Evolution-Data-Server 3.59.2 2026-01-30
---------------------------------------

Bug Fixes:
	I#617 - Calendar: Prepare to support build with libical 4.x
	M!206 - docs: Document libical-glib as dependency (Juan Luis Cano Rodríguez)

Miscellaneous:
	Correct few developer comments
	Calendar: Correct typo in error message
	Fix a compiler warning in camel-network-service.c
	e-book-utils: Correct read of a certificate from a vCard attribute
	Add ESourceConflictSearch from Evolution

Translations:
	Aurimas Aurimas Černius (lt)
	Ekaterine Papava (ka)
	Juliano de Souza Camargo (pt_BR)
	Martin (sl)
	Yuri Chornoivan (uk)

Evolution-Data-Server 3.59.1 2026-01-02
---------------------------------------

Bug Fixes:
	I#8 - Support vCard v4.0 (RFC 6350)
	I#554 - CalDAV: Provide a date limit for information sync
	I#609 - Camel: Encrypt Recipient Alias Configuration
	I#612 - Calendar: Multiple detached instances cause duplicates
	I#613 - Camel: Message info changes do not propagate sometimes
	I#614 - CamelSearchFolder: Add "not_all" "match-threads" kind
	I#616 - Crash when reading broken multipart/signed
	I#618 - Calendar: Free/busy not exported without set calendar mail
	I#620 - alarm-notify: Snooze "until X minutes before start" wrongly reminds "X min after start"
	I#621 - addressbook-export: Fails with "Invalid query" error
	M!201 - Camel: Remove camel_session_ref_service_by_url (Corentin Noël)
	M!203 - Remove several migration functions from Evolution Source Registry (Corentin Noël)
	evo-I#3157 - Broken multipart/signed shown as raw MIME data

Miscellaneous:
	org.gnome.EvolutionDataServer.Devel.json: Build also gweather-locations
	Lower default connection timeout to 15 seconds
	evolution-source-registry: Remove unused variable (reported by compiler)
	CamelGpgContext: Improve error messages
	WebDAV: Default to no download limit
	CamelStoreDB: Keep 'sqlite_sequence' table during migration
	CamelDB: Correct return value and repeated function call arguments
	CamelStoreSearch: Unlock summary and folder when save or prepare_fetch_all fails
	IMAPx: Avoid Junk/Trash folder open when saving changes
	ERemindersWidget: Workaround too large gap between action buttons
	CamelFolderSummary: Reload from DB could leak already loaded infos
	Correct developer comment of e_source_webdav_set_limit_download_days()
	addressbook: Prefer vCard "take" functions
	CamelDataCache: Rephrase "Empty cache file" error message
	Camel: Unread count for virtual Trash/Junk folder not updated properly
	CamelStoreSearch: Ignore all errors when a message cannot be opened
	CamelStore: Speed up open folders with virtual Trash or Junk folder
	EContactAddress: Add helper functions to read, write and clear the structure
	EContact: Add EContactGeo functions to convert to/from string
	EVCard: Add conversion code for GEO attribute
	EVCard: Correct PHOTO/LOGO data: URI conversion
	EContact: Add 'timezone' field
	EVCard: Add conversion code for KEY attribute
	EContactCert: Add helper functions to work with attributes
	ECertificateWidget: Add a function to check whether any certificate data is shown
	flatpak: Add gettext ACLOCAL workaround
	EBookSqlite: Correct mutex unlock in e_book_sqlite_lock()
	EVCard: Add RFC 2739 properties into the list of known vCard 3.0 properties

Translations:
	Asier Saratsua Garmendia (eu)
	Aurimas Černius (lt)
	Daniel Rusek (cs)
	Ekaterine Papava (ka)
	Emin Tufan Çetin (tr)
	Juliano de Souza Camargo (pt_BR)
	Martin (sl)
	Sabri Ünal (tr)
	twlvnn kraftwerk (bg)
	Yuri Chornoivan (uk)

Evolution-Data-Server 3.58.0 2025-09-12
---------------------------------------

Bug Fixes:
	I#607 - test-cal-component-bag: Fails to run with source tree only

Miscellaneous:
	IMAP: Disable PREVIEW fetch on FETCH error

Translations:
	Balázs Úr (hu)
	Daniel Rusek (cs)

Evolution-Data-Server 3.57.3 2025-08-29
---------------------------------------

Bug Fixes:
	I#555 - Calendar: Deleting "This and Future Occurrences" instances can duplicate events
	I#602 - IMAP: Sometimes removes message from local summary in error
	I#604 - CamelGpgContext: Provide information about encrypted content
	I#605 - Camel: MH account busy-loops when reading directory content
	M!188 - EDataServer: Use g_object_notify_by_pspec when possible (Corentin Noël)
	M!193 - EBookContacts: Use g_object_notify_by_pspec when possible (Corentin Noël)
	M!198 - alarm-notify: Add a systemd service (Adrian Vovk)
	M!198 - data: Conditionalize installation of alarm-notify (Adrian Vovk)
	M!199 - cmake: Specify GLib minimal version to gdbus-codegen (Corentin Noël)
	M!200 - data: Set desktop directory outside the condition (Hari Rana)
	M!202 - build: Conditionally install org.gnome.Evolution-alarm-notify.desktop (Georges Basile Stavracas Neto)

Miscellaneous:
	CamelDB: Do not error out on SQLITE_ABORT
	CamelVeeFolder: Fix runtime warning when rebuilding folder content
	CamelVeeSummary: Reference subfolder in the internal hash table

Translations:
	Anders Jonsson (sv)
	Artur S0 (ru)
	Asier Saratsua Garmendia (eu)
	Jordi Mas (ca)
	Juliano de Souza Camargo (pt_BR)
	Piotr Drąg (pl)

Evolution-Data-Server 3.57.2 2025-08-01
---------------------------------------

* The libcamel API dropped CamelObject, it was not needed anymore.

Bug Fixes:
	I#449 - alarm-notify: Rework snooze options
	I#591 - alarm-notify: Sometimes uses original reminder time for modified instance
	evo-I#3089 - Camel: App freezes often when performing various threaded tasks
	evo-I#3093 - EContact: Consider also FullName as FileAs

Miscellaneous:
	CamelVeeSummary: Fix dub-subfolders annotations (Corentin Noël)
	CamelFolder: Add state saving API directly (Corentin Noël)
	Camel: Remove CamelObject (Corentin Noël)
	Camel: Remove index of deprecated symbols (Corentin Noël)
	CamelStoreSearch: Make it possible to search for a hashed message ID
	CamelFolder: Fix a memory leak
	EReminderWatcher: Debug-print what changes had been received from the calendars
	ERemindersWidget: Change gap around description text view
	CamelNetworkService: Cache the GQuark locally for the private data (Corentin Noël)
	Camel: Use g_object_notify_by_pspec when possible (Corentin Noël)
	ECal: Use g_object_notify_by_pspec when possible (Corentin Noël)
	EDataServerUI: Use g_object_notify_by_pspec when possible (Corentin Noël)
	EBook: Use g_object_notify_by_pspec when possible (Corentin Noël)
	EBackend: Use g_object_notify_by_pspec when possible (Corentin Noël)
	EDataBook: Use g_object_notify_by_pspec when possible (Corentin Noël)
	EDataCal: Use g_object_notify_by_pspec when possible (Corentin Noël)
	Camel: Use GParamSpec consistently to create properties (Corentin Noël)
	CamelVeeFolder: Fix a runtime warning when rebuilding the folder
	CamelFolderSummary: Notify about flag changes on idle
	ECalClient: Improve performance of generate_instances() function

Translations:
	Martin (sl)
	Yuri Chornoivan (uk)

Evolution-Data-Server 3.57.1 2025-06-27
---------------------------------------

* The libcamel API had been changed in several ways, some deprecated
  symbols had been removed, some API functions renamed and their return
  values changed (mostly from "transfer full" to "transfer container").

Bug Fixes:
	I#592 - Handle changed server pool in WebDAV collection sources
	I#593 - CamelDataWrapper: Correct return value of size calculate functions (dagosuhn)
	I#597 - GOA EWS: Fallback to likely EWS host URL when autodicovery fails
	M!170 - docs: Update URL to libsoup docs (Simon McVittie)
	M!176 - docs: Add docs_url argument (Corentin Noël)
	evo-I#2434 - alarm-notify: Should show a visual notification to accompany notification sounds (John Lorentzson)

Miscellaneous:
	e-data-server-util: Fix a compiler warning about 'const' qualifier discard
	libecal: Add utility functions to read and convert time to given timezone
	test-cal-utils: Add a simple additional check
	libecal: Add an ECalComponentBag object
	ESourceRegistry: Reject to create an instance when D-Bus service is not available
	Misc: Correct developer documentation annotations
	CamelService: Add private construct-only "with-proxy-resolver" property
	Camel: Add CamelStoreDB and CamelStoreSearch and use them
	Camel: Rework Search folders
	CamelFilterDriver: Remove unused "global variables"
	Camel: Rename camel_folder_summary_get_array() to camel_folder_summary_dup_uids()
	Camel: Rename camel_folder_get_uids() to camel_folder_dup_uids()
	Camel: Remove camel_folder_get_summary()
	Camel: Rename camel_folder_get_uncached_uids() to camel_folder_dup_uncached_uids()
	Camel: Rename camel_folder_summary_get_changed() to camel_folder_summary_dup_changed()
	Camel: Rename camel_uid_cache_get_new_uids() to camel_uid_cache_dup_new_uids()
	Camel: Rename CAMEL_DB_FILE to CAMEL_STORE_DB_FILE
	CamelDB: Remove unneeded public defines
	CamelProvider: Remove autodetect function (Corentin Noël)
	lib-camel-test-utils: Reference CamelProvider struct members by name in initialization
	Camel: Remove deprecated symbols from CamelStoreSummary (Corentin Noël)
	Camel: Remove deprecated symbols from CamelOfflineSettings (Corentin Noël)
	CamelStoreDB: Allow empty folder names
	CamelStoreGetFolderFlags: Remove deprecated and unused flag (Corentin Noël)
	CamelFolder: Undeprecate get/set_message_flags (Corentin Noël)
	CamelFolder: Remove deprecated functions (Corentin Noël)
	CamelFolderThread: Use the oldest message as a parent of a leaf-only subthread
	CamelFolder: Add nullable annotation to camel_folder_get_folder_summary (Corentin Noël)
	CamelFolder: Use g_object_notify_by_pspec when possible (Corentin Noël)
	CamelFolderSummary: Use g_object_notify_by_pspec when possible (Corentin Noël)
	CamelMessageInfo: Use g_object_notify_by_pspec when possible (Corentin Noël)
	CamelMimePart: Use g_object_notify_by_pspec when possible (Corentin Noël)
	CamelIMAPXMessageInfo: Use g_object_notify_by_pspec when possible (Corentin Noël)
	CamelFolderThread: Fix a crash caused by the previous commit
	Camel: Remove extra camel_pstring_free() calls
	vala: Fix several warnings thrown by Camel (Corentin Noël)
	CamelFolderSummary: Remove prepare-fetch-all signal (Corentin Noël)
	alarm-notify: Skip reminders for cancelled components
	CamelURL: Add glib-object to the header (Corentin Noël)
	CamelService: Rebase on GObject (Corentin Noël)
	CamelVeeStore: Remove unused property (Corentin Noël)
	CamelIMAPXCommand: Remove leftover assignation to CamelObject (Corentin Noël)

Translations:
	Asier Saratsua Garmendia (eu)
	Álvaro Burns (pt_BR)
	Balázs Meskó (hu)
	Boyuan Yang (zh_CN)
	Ekaterine Papava (ka)
	Emin Tufan Çetin (tr)
	Jordi Mas (ca)
	Jose Riha (sk)
	Martin (sl)
	Yuri Chornoivan (uk)

Evolution-Data-Server 3.56.0 2025-03-14
---------------------------------------

Translations:
	Balázs Úr (hu)
	Jean-Marc Tissières (fr)
	Luna Jernberg (sv)
	Piotr Drąg (pl)
	Rafael Fontenelle (pt_BR)
	Sabri Ünal (tr)

Evolution-Data-Server 3.55.3 2025-02-28
---------------------------------------

Bug Fixes:
	I#582 - test-book-client-view-operations: Enforce LC_COLLATE for the backend process
	I#585 - alarm-notify: Tasks without DTSTART cause runtime warning

Miscellaneous:
	EBackend: Change when adding signal handler for "network-changed"
	CI: Use a Fedora image instead of Flatpak build
	camel-mime-utils: Correct a compiler warning [-Wpointer-sign]

Translations:
	Artur S0 (ru)
	Ekaterine Papava (ka)
	Jiri Eischmann (cs)
	Martin (sl)

Evolution-Data-Server 3.55.2 2025-01-31
---------------------------------------

Bug Fixes:
	I#576 - Contacts: Categories miscalculated in the cache
	I#581 - CamelGpgContext: Verify status buffer read is in buffer boundary
	I#583 - devel-doc: Do not require tests to be build
	I#584 - ESoupSession: Leaked input stream on 503 response
	M!167 - build: Use Heimdal KRB5 implementation when found (Dan Cîrnaț)
	M!169 - camel_content_type_decode: Remove unneeded g_free() call (Дилян Палаузов)
	ews-I#295 - Calendar: Import of forwarded meeting as bare event

Miscellaneous:
	Do not use variable named 'bool' in the code
	Camel: Disable photo-loading when used gpg version does not understand it
	ESoupSession: Check validity of passed-in URI

Translations:
	Anders Jonsson (sv)
	Artur S0 (ru)
	Ekaterine Papava (ka)
	Jan Tojnar ()
	Yuri Chornoivan (uk)

Evolution-Data-Server 3.55.1 2025-01-03
---------------------------------------

Bug Fixes:
	I#562 - Pass GError instead of CamelException to camel_movemail_solaris (Niveditha Rau)
	I#563 - Fix argument types in ENABLE_BROKEN_SPOOL code (Alan Coopersmith)
	I#564 - Use GIConv instead of iconv_t with iconv wrappers (Alan Coopersmith)
	I#566 - ESoupSession: Sometimes accesses server without OAuth2 token
	I#568 - CalDAV: Do not use SCHEDULE-AGENT parameter
	I#570 - Adapt to libical icalrecurrencetype changes
	I#571 - libedataserverui: Avoid initializing the icon_theme when building introspection data (Jordan Petridis)
	I#574 - Fails to build/link against icu 76.1
	M!162 - EContact: Don't duplicate strings twice in get_property() (Andy Holmes)
	M!164 - EWebDAVDiscoverWidget: show Server-side scheduling (Дилян Палаузов)
	M!165 - Set project-wide emacs formatting rules (Дилян Палаузов)
	evo-I#2897 - Correct certificate key usage constants

Miscellaneous:
	libebook-contacts: Add test for EContact GObject property get/set functions
	build: Update CMake uninstall file
	Typo assing -> assign (Дилян Палаузов)
	reminder-watcher: Verify calendar's last-notify time before showing reminder

Translations:
	Anders Jonsson (sv)
	Boyuan Yang (zh_CN)
	Daniel Rusek (cs)
	Jean-Marc Tissières (fr)
	Juliano de Souza Camargo (pt_BR)
	Martin (sl)
	Милош Поповић (sr)
	Sabri Ünal (tr)
	Yuri Chornoivan (uk)

Evolution-Data-Server 3.54.0 2024-09-13
---------------------------------------

Bug Fixes:
	I#558 - Camel: Prefer GLib API for gpg process spawning
	I#559 - Camel: Correct typos in disabled code

Miscellaneous:
	docs: Correct developer documentation to install API indexes

Translations:
	Alan Mortensen (da)
	Anders Jonsson (sv)
	Boyuan Yang (zh_CN)
	Piotr Drąg (pl)
	Sabri Ünal (tr)

Evolution-Data-Server 3.53.3 2024-08-30
---------------------------------------

Bug Fixes:
	I#557 - Camel: Claim attachment in multipart/mixed

Translations:
	Artur S0 (ru)
	Asier Sarasua Garmendia (eu)
	Balázs Úr (hu)
	Bruce Cowan (en_GB)
	Boyuan Yang (zh_CN)
	Ekaterine Papava (ka)

Evolution-Data-Server 3.53.2 2024-08-02
---------------------------------------

Bug Fixes:
	I#550 - Calendar: Respect TZDIR env variable
	I#551 - alarm-notify: Save acknowledge time without sending iTip message
	I#552 - Calendar: Anniversaries hidden when book goes to online
	I#553 - Camel: 'match-threads' in search folder can miss messages
	M!159 - Add helper object to talk to intune (Microsoft OAuth2 broker service) (Felix Moessbauer)
	M!160 - e-ms-oapxbc: Check if broker is running before starting it (Felix Moessbauer)
	M!161 - e-ms-oapxbc: Use GDBusProxy to communicate with broker (Felix Moessbauer)
	evo-I#2780 - Enhance "junk-test" to return also "inconclusive" value
	evo-I#2790 - "Thread by Subject" option not propagated to Search Folders

Miscellaneous:
	module-gnome-online-accounts: Recognize "Microsoft 365" accounts
	e_util_get_source_full_name: Fix possible runtime warning

Translations:
	Artur S0 (ru)
	Boyuan Yang (zh_CN)
	Martin (sl)
	Yuri Chornoivan (uk)

Evolution-Data-Server 3.53.1 2024-06-28
---------------------------------------

Bug Fixes:
	I#498 - vCard: Incorrectly parses non-UTF-8 vCard data
	I#518 - WebDAV: Handle `Retry-After` header on 503 error
	I#531 - Camel: Sanitize exported OpenPGP public key before transfer
	I#534 - Google Task stale item cannot be deleted
	I#536 - Calendar: "This and Future" modifications can duplicate events
	I#537 - Camel: GPG message decryption can sometimes miss content
	I#539 - CardDAV: Prefetch PHOTO/LOGO when being remote URL
	I#543 - Camel: Attachments not recognized when filtering POP3 message
	I#545 - addressbook-export: Enhance listing of available sources
	I#546 - ECalClient: Generate RECURRENCE-ID in UTC
	I#547 - OAuth2 Prompt: Enlarge "Open in Browser" button
	I#548 - Camel: Search folder's message UID is not persistent
	I#549 - Camel: Unfolding headers eats consecutive white-spaces
	M!157 - Flatpak: Drop org.freedesktop.Sdk.Extension.vala and rely on GNOME SDK (Rico Tzschichholz)
	evo-I#2230 - Configurable timeout for WebDAV sources
	evo-I#2697 - IMAPX: Add option to define Not-Junk folder
	evo-I#2720 - Add e_util_host_is_in_domain helper (Peter Simonyi)

Miscellaneous:
	Calendar: Update comment of E_CAL_STATIC_CAPABILITY_RETRACT_SUPPORTED
	CamelMimePart: Fix runtime warning when removing some headers
	CamelMimeMessage: Check for non-NULL Subject value before using it
	IMAPx: Correct return value of imapx_splice_with_progress() when cancelled
	IMAPX: Correct path returned by imapx_get_filename()
	OAuth2 Prompter: Fix two memory leaks
	EOAuth2ServiceOutlook: Cannot be used with IMAP
	EOAuth2ServiceYahoo: Update redirect URI
	OAuth2Prompter: Fix possible crash on application quit
	Mark org.gnome.evolution-data-server.OAuth2-handler.desktop for translation
	Fix few issues reported by Coverity Scan
	CI: Pass --verbose to flatpak-builder (Bart Piotrowski)
	CI: Update OpenLDAP version in devel/nightly build
	CI: Workaround broken git clone for libcanberra

Translations:
	Anders Jonsson (sv)
	Andika Triwidada (id)
	Artur S0 (ru)
	Aurimas Černius (lt)
	Balázs Úr (hu)
	Fabio Tomat (fur)
	Martin (sl)
	Olga Smirnova (ie)
	Piotr Drąg (pl)
	Sabri Ünal (tr)
	Yuri Chornoivan (uk)

Evolution-Data-Server 3.52.0 2024-03-15
---------------------------------------

Bug Fixes:
	I#523 - addressbook: Crash on authenticate and finalize in two threads
	evo-I#2672 - Calendar: Prefer html/markdown description in preview

Miscellaneous:
	SetupBuildFlags.cmake: Remove "-Wl,--no-undefined" from compiler flags
	Replace https://wiki.gnome.org/Apps/Evolution in the sources
	Replace live.gnome.org with wiki.gnome.org URI (Andre Klapper)

Translations:
	Aefgh Threenine (th)
	Alan Mortensen (da)
	Anders Jonsson (sv)
	Andi Chandler (en_GB)
	Balázs Úr (hu)
	Bruce Cowan (en_GB)
	Daniel Mustieles (es)
	Daniel Rusek (cs)
	Emin Tufan Çetin (tr)
	Jean-Marc Tissières (fr)
	Rūdolfs Mazurs (lv)

Evolution-Data-Server 3.51.3 2024-03-01
---------------------------------------

Bug Fixes:
	I#139 - CalDAV Scheduling - utilize SCHEDULE-AGENT property parameter
	I#522 - build: Make sure tests run in serial
	I#526 - IMAPx: Disable PREVIEW fetch on error
	I#527 - Camel: Long header folding should not add empty folding line
	I#528 - Camel: Fix possible busy loop in camel-lock-helper
	evo-I#2675 - Support webcals: URI

Translations:
	Asier Sarasua Garmendia (eu)

Evolution-Data-Server 3.51.2 2024-02-09
---------------------------------------

Bug Fixes:
	I#513 - ephonenumber: Switch from 'std::auto_ptr' to 'std::unique_ptr'
	I#514 - Calendar: Decode attachment URI before inline it
	I#515 - OAuth2: Enable HTML5 database and local storage features for web view
	I#517 - Anniversary field from Google Contacts doesn't sync
	I#520 - Evolution Alarm Notify: Ship app icon
	I#521 - Camel: Convert text to UTF-8 when creating message preview
	I#525 - EXmlDocument: Save content with xml header
	M!143 - ECredentialsPrompter: Port to GTask (Corentin Noël)
	M!149 - camel-lock-helper: Change id to actually hold a guint32 (Corentin Noël)
	M!149 - CamelSettings: Remove the use of the deprecated GParameter (Corentin Noël)
	M!151 - CamelFolderThread: Remove unused possible future API (Corentin Noël)
	M!153 - IMAPX: Ensure preview has been cached (Cédric Bellegarde)
	M!154 - GLibTools: Automatically get the dependencies of a GResource (Corentin Noël)

Miscellaneous:
	build: Don't set CFLAGS returned by pkg-config as CMAKE_REQUIRED_FLAGS
	build: Bump CMake version requirement to 3.15 and change libedataserverui4 .h files copy
	camel-mime-filter-preview: Correct an 'if' statement
	vcard: Fix check for group name in e_vcard_remove_attributes()
	Update Google server names in checks for "is Google server"
	ESourceOpenPGP: Add "ask-send-public-key" option

Translations:
	Artur S0 (ru)
	Christian Kirbach (de)
	Julia Dronova (ru)
	Juliano de Souza Camargo (pt_BR)
	Yuri Chornoivan (uk)

Evolution-Data-Server 3.51.1 2024-01-05
---------------------------------------

Bug Fixes:
	I#494 - Update default calendar colors
	I#505 - alarm-notify: Some reminders could be lost
	I#506 - alarm-notify: Birthday floating date shifted by one day
	I#507 - sqlite3_enable_shared_cache is deprecated
	I#511 - Camel: Hide errors from for-offline download
	I#512 - IMAP: Copy/move messages in smaller batches
	M!123 - libebackend: Replace GSimpleAsyncResult with GTask (Corentin Noël)
	M!127 - Port EBookClient to the GTask API (Corentin Noël)
	M!131 - Port EClient to the GTask API (Corentin Noël)
	M!132 - EUserPrompter: Replace GSimpleAsyncResult with GTask (Corentin Noël)
	M!133 - libedataserver: Recognize schedule-inbox and schedule-outbox Collections (Дилян Палаузов)
	M!135 - goa: Add support for WebDAV provider (Mara Lasker)
	M!137 - Replace several GSimpleAsyncResult occurences with GTask (Corentin Noël)
	M!138 - e_webdav_discover_split_resources() remove unnecessary code (Дилян Палаузов)
	M!139 - CamelGpgContext: Don't leak istream in gpg_sign_sync() (Guido Günther)
	M!140 - docs: Add index.html (Corentin Noël)
	M!141 - libedata-cal/book: Replace GSimpleAsyncResult with GTask (Corentin Noël)
	M!142 - camel-net-utils: Replace deprecated unicode function (Corentin Noël)
	M!145 - e-xml-utils: Fix build with libxml2 2.12 (Jürg Billeter)
	M!146 - ECredentialsPrompter: Remove GSimpleAsyncResult from the public API (Corentin Noël)
	M!147 - Replace g_memdup with g_memdup2 everywhere (Corentin Noël)
	M!148 - build: remove references to unused optional dependencies (maxine)
	evo-I#935 - Mail: Preview message body in the message list
	evo-I#1436 - Mail: Correct conversion of UTF-16 encoded text files
	evo-I#1842 - Add option to show reminder before every event in calendar
	evo-I#2609 - S/MIME error message - part of string not localized

Miscellaneous:
	camel-message-info-base: Sanitize 'preview' property value on set
	IMAPx: Remove sanity check when reading PREVIEW result
	IMAPx: Remove forgotten debug print
	misc: Update description of the provided libraries
	build: Use -Wshadow build option, if available
	addressbook-export: Fix two memory leaks
	OAuth2: Add scheme handler for OAuth2 prompts in external browser
	module-google-backend: Fix a ref/unref imbalance found by Coverity Scan
	EReminderWatcher: Last-notified time not always set
	ESourceMailSignature: Signature load can fail on runtime warning
	build: Correct incompatible type warning from check for I_CAL_EMAIL_PARAMETER
	camel-smime-context: Fix a typo in a localized string
	CamelOperation: Add function to dupe current message
	Camel: Ignore errors about missing messages during filtering

Translations:
	Alan Mortensen (da)
	Artur S0 (ru)
	Boyuan Yang (zh_CN)
	Ekaterine Papava (ka)
	Florentina Mușat (ro)
	Jürgen Benvenuti (de)
	Kukuh Syafaat (id)
	Martin (sl)
	Sabri Ünal (tr)
	Yuri Chornoivan (uk)

Evolution-Data-Server 3.50.0 2023-09-15
---------------------------------------

Bug Fixes:
	I#499 - addressbook-export: Do not translate `--format` arg description
	I#500 - Disable building tests in CMake
	M!134 - Fix a typo (begining) in an openldap-extract.h comment (Дилян Палаузов)
	M!136 - Allow to use the flatpak manifest directly from GNOME Builder (Corentin Noël)

Miscellaneous:
	Correct test-cal-backend-sexp expected arguments
	Add e_util_guess_source_is_readonly() utility function

Translations:
	Anders Jonsson (sv)
	Aurimas Černius (lt)
	Balázs Úr (hu)
	Daniel Rusek (cs)
	Jürgen Benvenuti (de)
	Martin Srebotnjak (sl)

Evolution-Data-Server 3.49.3 2023-09-01
---------------------------------------

Bug Fixes:
	I#487 - IMAPx: Messages unexpectedly deleted from Inbox
	I#491 - docs: Move the gi-docgen documentation to the parent folder (Corentin Noël)
	I#493 - Use collection source also when it has no auth method set
	I#497 - IMAP: Cache does not refresh after UIDVALIDITY changes
	M!128 - reminder-watcher: Default to system set 24-hour format (Melker Narikka)
	M!129 - docs: Add more dependencies to the gi-docgen generated documentation (Corentin Noël)
	M!129 - Refine the pkgconfig and .gir dependencies (Corentin Noël)
	evo-I#1234 - Add "Unset Label" action in filter rules
	ews-I#241 - OAuth2: Provide detailed error on access token refresh failure

Miscellaneous:
	libecal: Move some basic utility functions from Evolution
	build: Do not depend on libsecret-unstable
	Harmonize `sizeof` keyword use
	CamelGgpContext: Strip unneeded information from keys on export
	ECalComponentText: Fix compiler warning from type-check of const object

Translations:
	Asier Sarasua Garmendia (eu)
	Jürgen Benvenuti (de)
	Kukuh Syafaat (id)
	Piotr Drąg (pl)
	Sabri Ünal (tr)
	Sergej A (ru)
	Yuri Chornoivan (uk)

Evolution-Data-Server 3.49.2 2023-08-04
---------------------------------------

Bug Fixes:
	I#59 - CalDAV: Allow to disable schedule reply on remove
	I#180 - Add option to reduce book/cal data usage when on a metered connection
	I#221 - CalDAV: Zimbra has incorrect OPTIONS response for shared calendars
	I#483 - Calendar: Add option to (not) delete "Declined" meeting
	I#484 - Camel MIME utils: fix aliasing issue in datetok (Enrik Berkhan)
	I#486 - ECollator: Always include Latin/English letters
	I#488 - Camel: Filtering Search folder leaves changed messages in the result
	I#490 - EBookMetaBackend: Changes from refresh() not propagated to the opened views
	M!125 - ci: Export the documentation with GitLab Pages (Corentin Noël)
	M!125 - docs: Add gi-docgen based documentation for all the libraries (Corentin Noël)
	evo-I#375 - Add functions to set and support Autocrypt for mail messages
	evo-I#609 - Calendar: Use user-configured date format in the editor
	evo-I#662 - Option to get Delivery Status Notification (DSN)
	evo-I#1750 - CamelCipherContext: Add a specific error code for missing public key

Miscellaneous:
	ECalMetaBackend: Error when trying to modify all instances from a detached instance
	ESoupSession: Setup GSSAPI/NTLM authentication also for insecure connections
	Calendar: Correct function prototype declarations (-Wenum-int-mismatch)
	IMAPx: Remove unused argument from imapx_update_message_info_flags()
	Camel: Add functions related to GPG key import/info
	IMAPx: Disable "Single client mode" by default
	Fix a memory leak in EDataBookViewWatcher-s
	libedata-book: Querying in aux tables fails with an SQLite error
	libedata-book: Treat "contains" query with empty value as "exists"
	EDataBookViewWatcher-s: Claim runtime warning when fails to get contacts

Translations:
	Balázs Úr (hu)
	Danial Behzadi (fa)
	Hugo Carvalho (pt)
	Julia Dronova (ru)
	Kukuh Syafaat (id)
	Sergej A (ru)
	Yuri Chornoivan (uk)

Evolution-Data-Server 3.49.1 2023-06-30
---------------------------------------

Bug Fixes:
	I#458 - IMAP: Overriding "[Gmail]" namespace doesn't work
	I#459 - Camel: POP3's 'UTF8' command blocking login
	I#461 - backends: React to destination URI changes
	I#462 - Fails to refresh backend with offline changes and broken local cache state
	I#465 - camel-cipher-context: Make camel_cipher_validity_get_description() return a const (Chris Talbot)
	I#468 - Camel: Update developer documentation for camel_cipher_context_encrypt()
	I#469 - IMAPx: Ignore 'Permission denied' error on refresh
	I#472 - Camel: Recognize disabled algorithms with S/MIME signatures
	I#474 - Camel: Set proper S/MIME signature verification status
	I#475 - EWebDAVSession: Claim also error nodes from propstat response
	I#477 - Add search folder condition for overdue messages
	I#478 - IMAP: Cannot remove labels added in Thunderbird
	I#479 - WebDAV: Fails to discover iCloud address book
	I#480 - Camel: Learn as Junk filter action not actually running the learn function
	M!116 - libedataserver: Disable deprecation notice around e_flag_timed_wait (Corentin Noël)
	M!117 - Replace GTimeVal by GDateTime or int64 (Corentin Noël)
	M!119 - Calendar: Change file backend discard_alarm() function
	M!120 - camel: Remove the last use of GTimeVal (Corentin Noël)
	M!121 - build: Fix WITH_PRIVATE_DOCS hint (Jan Tojnar)
	M!123 - Camel: Fix PGP test (Chris Talbot)
	evo-I#1293 - Allow to Search Contact's Phone With Numbers Only
	evo-I#2345 - Wrong S/MIME certificate selection for encrypted email

Miscellaneous:
	LDAP: Change how debug prints are printed
	WebDAV Notes: Fallback to derive component summary from description
	WebDAV backends: Specify cache file in an error message
	IMAPX: Add option for "Single client mode"
	CamelFilterDriver: Unset info's headers only when folder has summary
	docs: Stop 'evolution-data-server' depend on 'gtkdoc-camel' target
	DOAP: No more mailing lists on mail.gnome.org (Andre Klapper)
	Fix a typo in a developer comment
	e-xml-utils: Add parameter validity check into e_xml_find_children_nodes()
	CI: Use org.freedesktop.Sdk.Extension.vala in nightly flatpak manifest
	Contacts: Add "manual query" mode to the book view

Translations:
	Aleksandr Melman (ru)
	Alexander Shopov (bg)
	Asier Sarasua Garmendia (eu)
	Ekaterine Papava (ka)
	Fabio Tomat (fur)
	Hugo Carvalho (pt)
	Jiri Eischmann (cs)
	Jordi Mas (ca)
	Kukuh Syafaat (id)
	Nathan Follens (nl)
	Sabri Ünal (tr)
	Sergej A (ru)
	Yuri Chornoivan (uk)

Evolution-Data-Server 3.48.0 2023-03-17
---------------------------------------

Miscellaneous:
	e-cal-util: Check for duplicate UIDs when generating alarms
	EReminderWatcher: Ensure correct default timezone set on ECalClient
	M!115 - ci: Use CCache and store the flatpak-builder cache (Corentin Noël)
	M!115 - ci: Run the CI for the current commit (Corentin Noël)

Translations:
	Aleksandr Melman (ru)
	Ask Hjorth Larsen (da)
	Bruce Cowan (en_GB)
	Changwoo Ryu (ko)
	Chao-Hsiung Liao (zh_TW)
	Daniel Mustieles (es)
	Fabio Tomat (fur)
	Jean-Marc Tissières (fr)
	Jiri Grönroos (fi)
	Piotr Drąg (pl)
	Sabri Ünal (tr)

Evolution-Data-Server 3.47.3 2023-03-03
---------------------------------------

Bug Fixes:
	I#276 - alarm-notify: Incorrectly handles changes in recurring events
	I#453 - build: Make it possible to override C++ standard
	I#454 - libedataserverui: Tweak lookout of the Trust Prompt dialog

Miscellaneous:
	OAuth2 credentials prompter: Log what URI is being opened in the WebKitWebView

Translations:
	Alan Mortensen (da)
	Anders Jonsson (sv)
	Asier Sarasua Garmendia (eu)
	Aurimas Černius (lt)
	Balázs Úr (hu)
	Daniel Mustieles (es)
	Fran Dieguez (gl)
	Hugo Carvalho (pt)
	Jürgen Benvenuti (de)
	Kukuh Syafaat (id)
	Matej Urbančič (sl)
	Quentin PAGÈS (oc)
	Sabri Ünal (tr)
	Yuri Chornoivan (uk)

Evolution-Data-Server 3.47.2 2023-02-10
---------------------------------------

Bug Fixes:
	I#231 - Release unused memory in factories after certain operations
	I#445 - libedataserverui4: (almost) empty GIR/VAPI file (Corentin Noël)
	I#446 - IMAP: Inbox hidden in offline with "Show only subscribed folders"
	I#447 - Google Task modification not synced
	I#452 - CalDAV: Can fail to refresh content in some cases
	M!112 - Update for removal of WebKitGTK sandbox API (Michael Catanzaro)
	M!113 - Don't accidentally disable sandbox for GTK 3 users (Michael Catanzaro)
	M!114 - OAuth2: stop trying to disable WebKit plugins (Michael Catanzaro)
	M!114 - OAuth2: use WebKitNetworkSession to manage proxy settings (Michael Catanzaro)
	evo-I#2161 - Mail: Add 'Learn as Junk' message filter action
	ews-I#210 - Add option to always use HTTP/1

Miscellaneous:
	IMAPx: Utilize normalization of the Inbox folder name
	OAuth2 Credentials Prompter: Allow pasting the whole URL as an authorization code
	Enable GitLab CI for easier testing of the changes
	OAuth2: Show errors returned by the server in the prompt window
	Parse URI strings into GUri in a relaxed mode
	OAuth2: Extract returned information from URI query or fragment
	IMAPx: Folder refresh could remove new message from local summary

Translations:
	Aleksandr Melman (ru)
	Daniel Mustieles (es)
	Fran Dieguez (gl)
	Hugo Carvalho (pt)
	Jordi Mas i Hernandez (ca)
	Jürgen Benvenuti (de)
	Kukuh Syafaat (id)
	Quentin PAGÈS (oc)
	Sabri Ünal (tr)
	Yosef Or Boczko (he)
	Yuri Chornoivan (uk)

Evolution-Data-Server 3.47.1 2023-01-06
---------------------------------------

Bug Fixes:
	I#416 - LDAP: Possible memory leak in build_mods_from_contacts()
	I#417 - Serialize OAuth2 token refresh for an account
	I#418 - locale_supports_12_hour_format() can read uninitialized value
	I#419 - IMAP: Does not forget renamed folders on the server
	I#420 - LDAP: Use valid values for error paths of contact create/remove
	I#421 - libedataserver: Enhance two-digit year parsing
	I#427 - Tautology in e_named_parameters_equal()
	I#428 - Addressbook: Fix possible read of uninitialized data
	I#429 - Fix some (rarely) possible dereferences of NULL
	I#431 - e-xml-utils: Enable parse of huge XML files
	I#432 - Fix possible NULL-dereference in e_cal_backend_file_modify_objects()
	I#435 - ECalComponentAttendee: Default CUTYPE is INDIVIDUAL
	I#437 - IMAP: Excessive memory usage on folder summary download
	I#438 - Trust Prompt: Add issuer's certificate fingerprint
	I#439 - Fails to add task with X-EVOLUTION-GTASKS-POSITION into Google Task list
	I#442 - e_util_change_uri_component: Reset default port when changing scheme
	I#443 - Camel: Mail header order in malformed message matters
	M!97 - desktop: Remove obsolete Bugzilla entries (Jake Dane)
	M!102 - Stored values are never read (Дилян Палаузов)
	M!106 - Fix few memory leaks (Дилян Палаузов)
	M!107 - Use webkitgtk-6.0 API version (Michael Catanzaro)
	M!108 - Try harder to support webkitgtk-6.0 (Michael Catanzaro)
	M!109 - EGDataSession: Make it available to the GObject introspection (Corentin Noël)
	M!110 - typos: success, successful (Дилян Палаузов)
	M!111 - addressbook: Add autocleanups (Corentin Noël)
	ews-I#208 - Prompting for password too often

Miscellaneous:
	po: Merge .source files back to the POTFILES.in
	Handle negative value for GUri's port
	Stored values are never read (Дилян Палаузов)
	Fix memory leaks found by clang static analyzer (Дилян Палаузов)
	EVCard: Slightly speed up vCard parsing and export to text
	camel-db.c: Rearrange transaction handling (Дилян Палаузов)
	CamelDB: Fix an uninitialized variable warning
	build: Add a check for localtime_r()
	build: Update check for elfutils/libdwfl.h
	Add EXTENSIONS_DIR compile time option
	Replace use of g_source_set_name_by_id()
	Add ECacheKeys helper object for ref-counted data stored in an ECache table
	Calendar: Extract categories parsing into a utility function
	Contacts: Add 'categories' backend property with a list of used categories
	Fix a crash under source_registry_object_added_no_owner()
	ESoupAuthBearer: Add debug prints
	IMAPX: Hide complete requests in debug logs for some sensitive commands

Translations:
	Aleksandr Melman (ru)
	Asier Sarasua Garmendia (eu)
	Aurimas Černius (lt)
	Balázs Úr (hu)
	Charles Monzat (fr)
	Christian Kirbach (de)
	Danial Behzadi (fa)
	emintufan (tr)
	Fabio Tomat (fur)
	Gianvito Cavasoli (it)
	Goran Vidović (hr)
	Hugo Carvalho (pt)
	Martin (sl)
	Nathan Follens (nl)
	Rafael Fontenelle (pt_BR)
	Yuri Chornoivan (uk)
	Zurab Kargareteli (ka)
	Мирослав Николић (sr)

Evolution-Data-Server 3.46.0 2022-09-16
---------------------------------------

Translations:
	Piotr Drąg (pl)
	muzena (hr)
	Balázs Úr (hu)
	Anders Jonsson (sv)
	Fran Dieguez (gl)

Evolution-Data-Server 3.45.3 2022-09-02
---------------------------------------

Bug Fixes:
	I#413 - Camel: VACUUM cannot run from within a transaction
	M!96 - e-cal-component.c: typo VTOTO -> VTODO (Дилян Палаузов)

Miscellaneous:
	build: Correct use of manual NSS/NSPR build flags
	libedataserverui: Add a widget to show certificate information
	Replace GcrCertificateWidget with libedataserverui's ECertificateWidget

Evolution-Data-Server 3.45.2 2022-08-05
---------------------------------------

Bug Fixes:
	I#351 - LDAP: Conditionally use displayName for file-as
	I#402 - IMAPx: Unsubscribed folders in personal namespace hidden in offline
	I#404 - ESoupSession: Remember server fail response for detailed error
	I#405 - ECalClient: Remove libical errors from components on write
	I#407 - IMAPx: Unsubscribed folder always removed from the UI
	evo-I#1958 - reminders-widget: Sort snooze times by duration

Miscellaneous:
	Bump libsoup minimum version requirement to 3.1.1
	CamelDataWrapper: Add function to construct it from data
	ESourceMailAccount: Add 'builtin' property
	Add functions to manipulate Google Task API
	e_soup_session_util_normalize_uri_path: Normalize path only when not encoded
	Replace libgdata dependency with built-in functions
	Add camel_folder_get_full_display_name()
	CamelFolderSummary: Hide empty email address in user visible strings
	Calendar: Correct handling of a "not modified" On The Web calendar
	ESoupSession: Extract common auth failure code into a utility function
	ESoupAuthBearer: Check for token expiration in e_soup_auth_bearer_is_authenticated()
	EOAuth2Service: Correct free function for GBytes structure
	ESoupSession: Allow NULL source internally
	Check for non-zero value passed to g_flags_get_first_value()
	alarm-notify: Use themed icon instead of file icon for notifications
	ESoupSession: Avoid downgrade of Bearer (OAuth2) auth for authentication

Evolution-Data-Server 3.45.1 2022-07-01
---------------------------------------

 * The Evolution-Data-Server had been ported to libsoup3, which
   means anything what uses it, and all of its dependencies, should
   be libsoup3 too.

Bug Fixes:
	I#39 - Add Web Key Directory (WKD) support for OpenPGP
	I#234 - EReminderWatcher: Auto-remove old reminders
	I#350 - LDAP: Conditionally use 'description' as Note
	I#359 - CalDAV: Crash on calendar update
	I#379 - OAuth2: Option to use browser of choice for authentication
	I#380 - CalDAV: Free / Busy not working with Nextcloud
	I#381 - EWebDAVSession: Correct extract of href from Location header
	I#383 - Add option to respect Power Saver mode
	I#386 - e-webdav-discover: Fails to find Radicale calendars within collection account
	I#388 - Google OAuth out-of-band (oob) flow will be deprecated
	I#389 - IMAPx: Fails to create folder with NIL folder hierarchy delimiter
	I#390 - Camel: Give more precise error on failed message encryption
	I#391 - Tests fail with libphonenumber 8.12.49
	I#392 - Sanitize IPv6 proxy address before passing it to WebKitGTK
	I#393 - Calendar: Correct UNTIL recurrence with midnight start
	I#396 - Camel: Read message ID-s with multiple `@`
	M!80 - Provide libedataserverui for gtk4
	M!85 - Port to libsoup3
	M!91 - CamelStoreSummary: Make CamelStoreInfo a boxed class (Corentin Noël)
	evo-I#1026 - alarm-notify: Add option to enable/disable desktop notifications
	evo-I#1348 - WebDAVCollectionBackend: Removes sources on server error

Miscellaneous:
	Change how OAuth2 credentials are stored in the code
	ESoupAuthBearer: Implement two more SoupAuth virtual methods
	ERemindersWidget: Allow width shrink for small screens
	e-module: Add debug prints about module loading
	Fix few memory leaks discovered by Coverity scan
	goa-ews: Handle certificate errors during autodiscover
	GOA module: Prevent ESource removal on D-Bus reconnect or registry reload
	EExtensible: Introduce e_extensible_reload_extensions()
	EDataFactory: Reload extensions on factory start
	Disable hardware acceleration for WebKitGTK
	book/cal-meta-backend: Claim error on refresh call in Power Saver mode
	Calendar: Add functions to handle LANGUAGE parameter on properties
	e-cal-component: Fix a logic flaw in the foreach_property()
	alarm-notify: Use localized summary/description properties, if available
	build: Look for WebKitGTK only when GTK/GTK4 is enabled
	Correct libedataserverui4 main header file
	ECredentialsPrompterImplPassword: Dialog not closed on OK/Cancel click in gtk3
	ESoupSession: Change handling of credentials
	ESource: Reconnect signal handlers when the D-Bus 'source' interface changes
	Camel: Add 'Advanced Options' section to provider configuration
	IMAPx: Expose store-changes-interval in Advanced Options
	build: Disable libgdata dependency by default and check its soupapiversion

Translations:
	Fran Dieguez (gl)
	Danial Behzadi (fa)
	Daniel Mustieles (es)

Evolution-Data-Server 3.44.0 2022-03-18
---------------------------------------

Translations:
	Ask Hjorth Larsen (da)
	Balázs Úr (hu)
	emintufan (tr)
	Jordi Mas (ca)
	Piotr Drąg (pl)

Evolution-Data-Server 3.43.3 2022-03-04
---------------------------------------

Bug Fixes:
	I#377 - Camel: Use contact certificate unconditionally in S/MIME encryption
	I#378 - Camel: Spool auto-refresh too aggressive
	M!92 - CamelStoreSummary: Fix ref/unref annotations (Corentin Noël)
	M!93 - Port to libgweather4 (Javier Jardón)

Miscellaneous:
	Camel: Thaw frozen folders on failed Maildir message transfer
	CamelFolderSummary: Re-enable notifications on message info in summary_assign_uid()

Translations:
	Asier Sarasua Garmendia (eu)
	Changwoo Ryu (ko)
	Dušan Kazik (sk)
	Emin Tufan Çetin (tr)
	Goran Vidović (hr)
	Jordi Mas i Hernandez (ca)
	Luna Jernberg (sv)
	Quentin PAGÈS (oc)

Evolution-Data-Server 3.43.2 2022-02-11
---------------------------------------

Bug Fixes:
	I#369 - IMAPx: Add an option to send client 'ID' during login phase (z-z-zoey)
	I#372 - SMTP: Add option to not re-encode message on upload
	I#374 - LDAP: Let open when server is offline and marked for offline work
	M!79 - Add nullable annotations into developer documentation (Michael McClurg)

Miscellaneous:
	IMAPx: Avoid creating NOSELECT CamelFolder-s
	CamelMimeFilterCRLF: Correct encoding part of the filter
	CamelMimeParser: Correct body content parse when CRLF is used
	Provide database file name in SQLITE_CORRUPT error message
	camel-net-utils: Allow NULL string arguments in IDNA/ASCII functions

Translations:
	Aleksandr Melman (ru)
	Aurimas Černius (lt)
	Boyuan Yang (zh_CN)
	Daniel Mustieles (es)
	Fran Dieguez (gl)
	Hugo Carvalho (pt)
	Kukuh Syafaat (id)
	Leônidas Araújo (pt_BR)
	Luming Zh (zh_CN)
	Marek Černocký (cs)
	Matej Urbančič (sl)
	Matheus Barbosa (pt_BR)
	Quentin PAGÈS (oc)
	Yuri Chornoivan (uk)

Evolution-Data-Server 3.43.1.1 2022-01-07
-----------------------------------------

Miscellaneous:
	Correct install of the translation files (Corentin Noël)

Evolution-Data-Server 3.43.1 2022-01-07
---------------------------------------

Bug Fixes:
	I#352 - LDAP: Claim capabilities change on "sync for offline" change
	I#354 - LDAP: Listen for ESource changes
	I#355 - Camel: Ignore empty output from "Pipe to program" filter
	I#356 - LDAP: Consume departmentNumber
	I#360 - WebDAVNotes: Recognize and prefer files with .md extension
	I#361 - Camel: Understand non-standard "Content-Transfer-Encoding: uuencode"
	I#364 - Camel: Add a missing header include into camel-hostname-utils.c
	I#365 - Calendar: Crash on local calandar file change
	I#366 - Calendar: Correct 'occur-in-time-range?' for zero-length events
	I#368 - Calendar: X-EVOLUTION-ENDDATE can be calculated incorrectly
	I#371 - e-cal-util: Fix timezone clamp with DUE date only
	M!76 - Fixups (Span->Spam, Eventually->Possibly) in a translatable string (Anders Jonsson)
	M!78 - Remove dependency on intltool (Corentin Noël)
	M!81 - Camel-SMTP: accept any 2xx code on MAIL FROM: as success (Дилян Палаузов)
	M!83 - Adjust .pc file not to expose used crypto library (Alexander Traud)
	M!84 - Correct typos of doesnt/dont (Дилян Палаузов)
	M!87 - Typo cvs2vcard -> csv2vcard (Дилян Палаузов)
	M!88 - Camel: Add missing nullable annotations to Medium and MimePart (Corentin Noël)
	evo-I#1032 - alarm-notify: Add a way to disable sound notifications
	evo-I#1621 - Prevent IDN homograph attacks
	evo-I#1639 - Filter messages by condition if sender is in address book
	evo-I#1645 - Tasks: Support ESTIMATED-DURATION
	evo-I#1698 - Bundle legacy icons removed from adwaita-icon-theme

Miscellaneous:
	LDAP: Fix a memory leak when filling a contact address
	book/cal-backend: Add some safety checks around pending_operations queue
	Use `g_assert_true()` instead of `g_assert()` in the unit tests
	ERemindersWidget: Incorrect value for last selected snooze time after open
	Camel: Correct a copy&paste error in a function documentation
	org.gnome.Evolution-alarm-notify.desktop: Add X-GNOME-UsesNotifications=true
	Install legacy icons into correct directory
	LDAP: Some property changes do not update local cache properly
	secret-monitor: Turn runtime warnings into debug prints
	Camel: Use the same charset in all RFC2047-encoded words
	WebDAVNotes: Let the user choose which extension is used for new notes
	_libedataserverui_init_icon_theme: Test whether default GdkScreen exists
	camel-docs.sgml.in: Add camel-hostname-utils documentation
	e-cal-client: Correct non-NULL check in e_cal_client_create_objects_sync()
	Calendar: Adapt to libical 3.0.12 change
	ECalComponent: Add safety checks on get/set of DTEND/DUE properties

Translations:
	Alan Mortensen (da)
	Aleksandr Melman (ru)
	Aurimas Černius (lt)
	Boyuan Yang (zh)
	Boyuan Yang (zh_CN)
	Christian Kirbach (de)
	Daniel Mustieles (es)
	Fabio Tomat (fur)
	Fran Dieguez (gl)
	Gianvito Cavasoli (it)
	Goran Vidović (hr)
	Hugo Carvalho (pt)
	Jordi Mas i Hernandez (ca)
	Kukuh Syafaat (id)
	Quentin PAGÈS (oc)
	Rūdolfs Mazurs (lv)
	Yuri Chornoivan (uk)
	Мирослав Николић (sr)

Evolution-Data-Server 3.42.0 2021-09-17
---------------------------------------

Translations:
	Alan Mortensen (da)
	Balázs Úr (hu)
	Boyuan Yang (zh_CN)
	Changwoo Ryu (ko)
	Charles Monzat (fr)
	Daniel Șerbănescu (ro)
	Goran Vidović (hr)
	Luna Jernberg (sv)
	Nathan Follens (nl)
	Philipp Kiemle (de)
	Piotr Drąg (pl)
	Zander Brown (en_GB)

Evolution-Data-Server 3.41.3 2021-09-03
---------------------------------------

Bug Fixes:
	I#343 - Slow down automatic background downloads when in power saver mode (Milan Crha)
	I#349 - ERemindersWidget: Reverse order of the shown reminders (Milan Crha)

Miscellaneous:
	vala: FolderThreadNode is a compact class (Corentin Noël)

Translations:
	Daniel Mustieles (es)
	Asier Sarasua Garmendia (eu)
	Fran Dieguez (gl)
	Kukuh Syafaat (id)
	Baurzhan Muftakhidinov (kk)
	Jiri Grönroos (fi)
	Jordi Mas (ca)
	Nathan Follens (nl)
	Aurimas Černius (lt)

Evolution-Data-Server 3.41.2 2021-08-13
---------------------------------------

Bug Fixes:
	I#341 - Pass Proxy settings to WebKit in OAuth2 credentials prompter (Milan Crha)
	I#346 - Camel: "Pipe to program" filter does not work (Milan Crha)
	M!72 - Typos its <=> it's (Дилян Палаузов)
	M!73 - Add more GType for many Camel Flags (Corentin Noël)
	M!74 - LDAP: Don't force LDAPS port to 636 (Christoph Ruegge)
	evo-I#1433 - Message List columns for custom headers (Milan Crha)

Miscellaneous:
	CamelMimeFilterToHTML: Speed up read of long lines (Milan Crha)
	CamelMimeFilterToHTML: Correct filtering of text without new line at the end (Milan Crha)
	alarm-notify: Focus window on status icon click when shown (Milan Crha)
	vala: Add support for the auth_type class field of CamelSasl (Corentin Noël)
	vala: Properly annotate CamelServiceAuthType (Corentin Noël)
	ESoupSession: Let it understand GSSAPI authentication method (Milan Crha)

Translations:
	Chao-Hsiung Liao (zh_TW)
	Rafael Fontenelle (pt_BR)
	Philipp Kiemle (de)
	Fabio Tomat (fur)
	Hugo Carvalho (pt)
	Yuri Chornoivan (uk)
	Alexey Rubtsov (ru)
	Enrico Nicoletto (pt_BR)
	Marek Černocký (cs)
	Emin Tufan Çetin (tr)
	Quentin PAGÈS (oc)
	Matej Urbančič (sl)

Evolution-Data-Server 3.41.1 2021-07-09
---------------------------------------

Bug Fixes:
	I#289 - Support Matrix IM Protocol for Contacts (Milan Crha)
	I#306 - Camel: Listen for change notifications on spool account (Milan Crha)
	I#313 - EXmlDocument: Export unformatted text, to save bandwidth (Milan Crha)
	I#315 - EWebDAVDiscover: Correct error response (Milan Crha)
	I#316 - vCard: PHOTO/LOGO is a single value attribute (Milan Crha)
	I#317 - Add OAuth2 for Yahoo! accounts (Milan Crha)
	I#319 - SMTP: Extra empty line added at the end of the message (Milan Crha)
	I#323 - Camel: Consider plain words as message ids in In-Reply-To/References headers (Milan Crha)
	I#326 - libecal: Move Due date relative to the Start date on a recurring task completion (Milan Crha)
	I#328 - IMAPx: LIST-STATUS is not an extension of the LIST-EXTENDED (Milan Crha)
	I#329 - Calendar: Add SIMPLE_MEMO_WITH_SUMMARY capability (Milan Crha)
	I#334 - ECredentialsPrompter: Truncate multiline for pasted passwords (Milan Crha)
	I#335 - CamelFolder: Calls Junk/Not-Junk learn repeatedly (Milan Crha)
	I#336 - Handle "Object is out of sync" during backend refresh better (Milan Crha)
	M!68 - SetupBuildFlags.cmake: Correct testing of two compiler/linker build flags (Matt Turner)
	M!71 - CamelFolderThread: Use g_clear_object/pointer when possible (Corentin Noël)
	evo-I#571 - IMAPx QResync: Folder doesn't show all messages actually in it (Milan Crha)
	evo-I#1499 - ECredentialsPrompter: Ask for dialog parent with the auth_source (Milan Crha)
	evo-I#1512 - Choose account with which to forward message in filter rule (Milan Crha)

Miscellaneous:
	EWebDAVCollectionBackend: Preset also auth method on the new child (Milan Crha)
	Camel: Fails to filter unread junk messages in a virtual Junk folder (Milan Crha)
	Add Yahoo! OAuth2 service objects into the developer documentation (Milan Crha)
	ESourceWebDAV: Fallback to SHA1 on SSL trust verification if needed (Milan Crha)
	tests: Change how timezone is verified in CalMetaBackend test (Milan Crha)
	Ensure non-const pointers passed to I_CAL_IS_... functions (Milan Crha)
	tests: Run book-migration Berkeley DB tests only if libdb had been found (Milan Crha)
	ECalBackendSync: Ensure no Recurrence-ID set when removing all components (Milan Crha)
	PrintableOptions.cmake: Correct variable name comparison (Milan Crha)
	libecal: Fix a warning caught by a gcc static analyzer (Milan Crha)
	ECollectionBackend: Fix a memory leak (Milan Crha)
	gnome_online_accounts_create_client_cb: Prefer g_clear_object() (Milan Crha)
	Data Factories: Miscellaneous fixes (Milan Crha)
	ECalCache: Drop timezones_lock (Milan Crha)
	ECalBackend: Deliver component change notifications in a dedicated thread (Milan Crha)
	CardDAV: Recognize OPTIONS 'Bad Request' response as success for Google (Milan Crha)
	Fix e_webdav_session_util_item_href_equal() (Milan Crha)
	Addressbook: Switch from GData Contacts API to CardDAV API for Google books (Milan Crha)
	Camel: Stop using allow-none annotation (Corentin Noël)
	Introspection: Get rid of allow-none (Corentin Noël)
	CamelMimeFilterEnriched: Add safety checks into enriched_to_html() (Milan Crha)
	Calendar: Support THIS_AND_FUTURE range for the Recurrence-ID (Milan Crha)
	Calendar: Improve the annotation coverage (Corentin Noël)
	tests: Workaround libphonenumber behavior change (Milan Crha)
	test-book-client-write-write: Fix occasional test failure (Milan Crha)
	IMAPx: Change how Junk and NotJunk flags are handled (Milan Crha)
	ECalBackendFile: Free interval tree only when being allocated (Milan Crha)
	Calendar: Drop leftover GDataClientLogin reference in the gtasks backend (Milan Crha)

Translations:
	Alexey Rubtsov (ru)
	Asier Sarasua Garmendia (eu)
	Aurimas Černius (lt)
	Bruce Cowan (en_GB)
	Chao-Hsiung Liao (zh_TW)
	Charles Monzat (fr)
	Daniel Mustieles (es)
	Daniel Șerbănescu (ro)
	Emin Tufan Çetin (tr)
	Enrico Nicoletto (pt_BR)
	Fabio Tomat (fur)
	Florentina Mușat (ro)
	Fran Dieguez (gl)
	Gianvito Cavasoli (it)
	Hugo Carvalho (pt)
	Kjartan Maraas (nb)
	Luna Jernberg (sv)
	Nathan Follens (nl)
	Piotr Drąg (pl)
	Tim Sabsch (de)
	Yuri Chornoivan (uk)
	Zander Brown (en_GB)
	Мирослав Николић (sr)

Evolution-Data-Server 3.40.0 2021-03-19
---------------------------------------

Translations:
	Boyuan Yang (zh_CN)
	Milo Casagrande (it)

Evolution-Data-Server 3.39.3 2021-03-12
---------------------------------------

Bug Fixes:
	I#301 - alarm-notify: Add "until start time" as predefined snooze time (Milan Crha)
	I#303 - camel-folder: Add nullable and optional annotations to out parameters. (Corentin Noël)
	I#304 - IMAPx: Inbox hidden in offline when not subscribed (Milan Crha)
	I#309 - EContact: Inline locally stored image does not retain its mime type (Milan Crha)
	ews-I#144 - Calendar: Dismiss of a reminder doesn't provide recurrence ID (Milan Crha)

Miscellaneous:
	ESoupAuthBearer: Shorten the token expiry time by 4 more seconds (Milan Crha)
	ESoupSession: Refresh Bearer auth token during request redirect (Milan Crha)
	MetaBackend tests: Relax a runtime requirement (Milan Crha)
	Calendar: Add functions to clamp a VTIMEZONE component (Milan Crha)
	e_cal_client_get_component_as_string: Clamp the VTIMEZONE component (Milan Crha)
	test-cal-utils: Add test to clamp a VTIMEZONE by a future time (Milan Crha)
	Calendar: Make few improvements in the Weather backend (Milan Crha)
	camel-debug: Copy cached backtrace symbol strings (Milan Crha)
	camel-gpg-context: Add some debug prints (Milan Crha)
	[IMAPx] Cancel authentication request when failed to get the SASL response (Milan Crha)
	EBookMetaBackend: Add 'backend_module_directory' property into the class (Milan Crha)
	Allow to load modules from custom prefixes (Milan Crha)
	reminder-watcher: Process "Dismiss All" requests in the background (Milan Crha)
	Allocate large-enough buffer for g_base64_decode_step() (Milan Crha)
	CamelSpoolStore: Use cache for often accessed data (Milan Crha)
	alarm-notify: Default notify-past-events to false plus few related fixes (Milan Crha)
	e-book-backend-file: Fix busy loop when modifying multiple contacts at once (Milan Crha)
	Use SHA256 instead of SHA1 where appropriate (Milan Crha)
	Fix integer overflow on 32-bit architectures (Milan Crha)
	Fix a memory leak in camel_util_get_directory_variants() (Milan Crha)

Translations:
	Charles Monzat (fr)
	Ask Hjorth Larsen (da)
	Yuri Chornoivan (uk)
	Asier Sarasua Garmendia (eu)
	Fran Dieguez (gl)
	Kukuh Syafaat (id)
	Hugo Carvalho (pt)
	Мирослав Николић (sr)
	Emin Tufan Çetin (tr)
	Jiri Grönroos (fi)
	Matej Urbančič (sl)
	Balázs Úr (hu)
	Philipp Kiemle (de)
	Goran Vidović (hr)
	Henrique Machado Campos (pt_BR)
	Aurimas Černius (lt)
	Anders Jonsson (sv)
	Jordi Mas (ca)
	Piotr Drąg (pl)
	Rūdolfs Mazurs (lv)
	Daniel Mustieles (es)
	Daniel Șerbănescu (ro)
	Marek Černocký (cs)
	Guillaume Bernard (fr)
	Changwoo Ryu (ko)

Evolution-Data-Server 3.39.2 2021-02-12
---------------------------------------

Bug Fixes:
	I#196 - Use default OAuth2 services on scratch sources (Milan Crha)
	I#283 - CamelNetworkSettings: Unset default value for the 'user' property (Milan Crha)
	I#288 - Adapt to libgweather 40.alpha API changes (Milan Crha)
	I#293 - IMAPx: Ignore unexpected untagged LIST/LSUB responses (Milan Crha)
	I#295 - Calendar: Use ACKNOWLEDGED VALARM property (Milan Crha)
	I#296 - CamelMime*: Annotate the data arrays with element-type uint8 (Corentin Noël)
	I#297 - CalDAV: Support calendar-order property (Milan Crha)
	I#298 - Flatpak: Share NSS database with the system (Milan Crha)
	I#299 - e_xml_is_element_name: Can fail to match a namespaced node (Milan Crha)
	I#300 - Camel: Conversion between UTF-8 and UTF-7 misbehaves for emoji (Milan Crha)
	M!49 - vala: Make webdav_discover_sources E.Source methods ][ (Corentin Noël)
	M!64 - Fix variable reference in e_source_mail_identity_set_signature_uid docs (Michael McClurg)
	M!65 - Correct typos in a/an (Дилян Палаузов)

Miscellaneous:
	camel-debug: Cache symbol resolution to speed up backtrace demangle (Milan Crha)
	Fix variable type to calls of g_once_init_enter() (Milan Crha)
	Fix some compiler warnings (Milan Crha)
	alarm-notify: Stop using g_application_register() (Milan Crha)
	Remove OnlyShowIn from org.gnome.Evolution-alarm-notify.desktop (Milan Crha)
	alarm-notify: Guard new glib symbol usage by a version check (Milan Crha)
	alarm-notify: The XDG_CURRENT_DESKTOP env is a list (Sebastien Bacher)
	CamelFolder: Cancel save of the changes early in the dispose() (Milan Crha)
	AlarmNotify: The e_alarm_notify_activate() can be called multiple times (Milan Crha)
	Correct few typos in the developer comments (Milan Crha)

Translations:
	Daniel Mustieles (es)
	Marek Černocký (cs)
	Balázs Meskó (hu)
	Fabio Tomat (fur)
	Мирослав Николић (sr)
	Fran Dieguez (gl)
	Matej Urbančič (sl)
	Rafael Fontenelle (pt_BR)
	Marek Černocký (cs)
	Kukuh Syafaat (id)
	Emin Tufan Çetin (tr)
	Luna Jernberg (sv)

Evolution-Data-Server 3.39.1 2021-01-08
---------------------------------------

Bug Fixes:
	I#81 - EReminderWatcher: Triggers an alarm for a removed object (Milan Crha)
	I#247 - Trust Prompt: Can fail to extract host from a collection account (Milan Crha)
	I#249 - EBufferTagger: Add link-related options into the context menu (Milan Crha)
	I#254 - Calendar: Add 'has-end?', 'has-due?' and 'has-duration?' into SExp (Milan Crha)
	I#257 - Ineffective refresh of book/calendar meta backends (Milan Crha)
	I#260 - DAV: Relax collection's item href comparison (Milan Crha)
	I#265 - code-cleanup: Remove unnecessary NULL pointer checks (Markus Elfring)
	I#269 - EWebDAVSession: Traverse all 'propstat' nodes in the response (Milan Crha)
	I#271 - Maildir: Allow not to have colons in data filenames (Milan Crha)
	I#272 - WebDAV: Decode URI-s before comparing them (Milan Crha)
	I#273 - Camel: Save folder changes periodically (Milan Crha)
	I#275 - SMTP: Add option to override HELO/EHLO address (Milan Crha)
	I#277 - Reminders: Preselect a reminder in the notification window (Milan Crha)
	I#281 - GLibTools.cmake: Use basename in glib-mkenums templates (Milan Crha)
	I#282 - tests: Avoid build/source directories in executables (Milan Crha)
	I#286 - Skip collection account refresh when parts disabled (Milan Crha)
	M!42 - Change summary of 'notify-window-paned-position' gschema key (Thibault Martin)
	M!44 - Typo 'the the ' -> 'the ' (Дилян Палаузов)
	M!45 - e-cal-client: Make the documentation point to enum definition of E_CAL_OBJ_MOD_* (Corentin Noël)
	M!46 - camel-internet-address: Annotate methods to fetch strings as transfer none (Corentin Noël)
	M!47 - e-webdav-session: Fixed wrong annotation (Marco Betschart)
	M!48 - e-webdav-discover: Define EWebDAVDiscoveredSource as boxed type (Corentin Noël)
	M!49 - vala: Make webdav_discover_sources E.Source methods (Corentin Noël)
	M!50 - Added style class to alarm notification window (ptrxyz)
	M!51 - EWebDAVDiscover*: Make the WebDAV discover Dialog and Content real widgets (Corentin Noël)
	M!52 - Replace several G_TYPE_POINTER to their actual type in signal declaration (Corentin Noël)
	M!53 - calendar: Mention ECalOperationFlags directly instead of using guint32 (Corentin Noël)
	M!54 - Remove unneeded assignments in nntp_get_existing_article_numbers() (Markus Elfring)
	M!55 - Add pointer checks for SQL statement arguments (Markus Elfring)
	M!57 - libedataserver: Add explicit GData dependency for the introspection when enabled (Corentin Noël)
	M!61 - Camel: Add several headers to provide GType for error domains (Corentin Noël)
	M!62 - GObjectIntrospection.cmake: Specify the `sources-top-dirs` (Corentin Noël)
	evo-I#1070 - Improve URL scanner (detect angle brackets) (Milan Crha)
	evo-I#1090 - Forward as iCalendar: Embed event's local attachments (Milan Crha)
	evo-I#1095 - Password Credentials Prompt: Escape text for use in markup (Milan Crha)
	evo-i#1206 - Mail: Preserve TABs in plain text body preview (Milan Crha)

Miscellaneous:
	Mark a missed user-visible text for translation (Milan Crha)
	Calendar: Fix a possible leak in e_cal_util_parse_ics_string() (Milan Crha)
	ReminderWatcher: Add detailed debug prints about the scheduled reminders (Milan Crha)
	EReminderWatcher: Default alarm range should be from the day begin (Milan Crha)
	Camel: Special-case search for the match of the MESSAGE-ID headers (Milan Crha)
	Calendar: Make it possible to assign email address to On This Computer sources (Milan Crha)
	Introduce e_async_closure_new_with_context() (Milan Crha)
	Bump gtk+ requirement to 3.16, due to used functions from that version (Milan Crha)
	EBufferTagger: Derive link color from the theme (Milan Crha)
	EBook/CalBackend: Correct free function for the pending_operations queue (Milan Crha)
	e-categories: Show migration runtime warning only if the file exists (Milan Crha)
	DataCalView: Created objects could be notified twice (Milan Crha)
	CalComponentParameterBag: The take method gives the ownership of the object (Corentin Noël)
	CalComponentPropertyBag: The take method gives the ownership of the object (Corentin Noël)
	GLibTools.cmake: Generate signal marshallers without source reference (Milan Crha)
	Vala: Mark the message field of CamelFolderThreadNode as nullable (Corentin Noël)
	EReminderWatcher: Catch a race condition when creating a calendar view (Milan Crha)
	alarm-notify: Provide application reference in canberra calls (Milan Crha)
	CamelMimeFilterToHTML: Change how empty <div> is recognized (Milan Crha)
	Addressbook:file backend: Prevent percent letter in photo filename (Milan Crha)

Translations:
	Fabio Tomat (fur)
	Yuri Chornoivan (uk)
	Balázs Úr (hu)
	Jordi Mas (ca)
	Rūdolfs Mazurs (lv)
	Yosef Or Boczko (he)
	Dušan Kazik (sk)
	Juliano de Souza Camargo (pt)
	Florentina Mușat (ro)
	Hugo Carvalho (pt)
	Jordi Mas i Hernandez (ca)
	Philipp Kiemle (de)
	Aurimas Černius (lt)

Evolution-Data-Server 3.38.0 2020-09-11
---------------------------------------

Translations:
	Marek Černocký (cs)
	Balázs Meskó (hu)
	Anders Jonsson (sv)
	Dušan Kazik (sk)
	Alan Mortensen (da)
	Mario Blättermann (de)
	Gianvito Cavasoli (it)

Evolution-Data-Server 3.37.92 2020-09-04
----------------------------------------

Bug Fixes:
	I#172 - [IMAPx] Ignore truncated COPYUID server response (Milan Crha)
	I#208 - Avoid race condition when refreshing collection backend (Milan Crha)
	I#232 - ESoupSession: Ensure request URI is properly encoded (Milan Crha)
	I#245 - CardDAV contacts without UID are not shown (Milan Crha)
	I#246 - libecal: Specify forward-declared types for gir (Milan Crha)
	M!43 - Calendar: Add SExp function to filter with DTSTART (Helmut Pozimski)
	evo-I#461 - Let 'Wrap quoted text in replies' influence paragraph style (Milan Crha)
	evo-I#1014 - Calendar: Correct RRULE's UNTIL value saving (Milan Crha)

Miscellaneous:
	GObjectIntrospection.cmake: Depend rather on gir target, than on gir file (Milan Crha)

Translations:
	Efstathios Iosifidis (el)
	Fran Dieguez (gl)
	Piotr Drąg (pl)
	Thibault Martin (fr)
	Goran Vidović (hr)
	Rafael Fontenelle (pt_BR)
	Nathan Follens (nl)
	Kukuh Syafaat (id)
	Boyuan Yang (zh_CN)
	Changwoo Ryu (ko)
	Asier Sarasua Garmendia (eu)
	Zander Brown (en_GB)
	Matej Urbančič (sl)

Evolution-Data-Server 3.37.90 2020-08-07
----------------------------------------

Bug Fixes:
	I#236 - Uses LC_ADDRESS unconditionally in libphonenumber code (Milan Crha)
	I#239 - SMTP: Doesn't send fully qualified host name with EHLO (Milan Crha)
	I#240 - IMAPx: Disable move to real junk/trash in server-side virtual folders (Milan Crha)
	evo-I#1041 - Search folders can show non-matches after filter change (Milan Crha)
	evo-I#1042 - Show recurrence information with user-specified date format (Milan Crha)

Miscellaneous:
	e-soup-logger.h: Add missing G_BEGIN_DECLS (Milan Crha)
	Fix a memory leak in ebmb_gather_photos_local_filenames() (Milan Crha)
	ESoupSession: Provided SoupAuth might not be always used by libsoup (Milan Crha)

Translations:
	Baurzhan Muftakhidinov (kk)
	Boyuan Yang (zh_CN)
	Jordi Mas (ca)
	Fabio Tomat (fur)

Evolution-Data-Server 3.37.3 2020-07-03
---------------------------------------

Bug Fixes:
	I#215 - Utilize If-None-Match header for WebCal refresh (Milan Crha)
	I#222 - Camel: Match-All condition doesn't show any messages (Milan Crha)
	I#223 - WebDAV: Inefficient processing of returned XML data (Milan Crha)
	I#226 - CVE-2020-14928: Response Injection via STARTTLS in SMTP and POP3 (Milan Crha)
	I#228 - Restarting evolution-source-registry re-enables user-disabled CalDAV accounts (Milan Crha)
	evo-I#982 - 'Message contains'-search broken in 3.36.3 (Milan Crha)

Miscellaneous:
	e-data-book-cursor.c: Mute a compiler warning (Milan Crha)
	PrintableOptions.cmake: Sync the file with Evolution changes (Milan Crha)
	camel-folder-search: Fix a memory leak when searching message body (Milan Crha)
	docs: Add api-index file references for new symbols in 3.36 and 3.38 (Milan Crha)
	Rename camel_stream_buffer_truncate() to  camel_stream_buffer_discard_cache() (Milan Crha)
	Use 'xmlNode *' instead of 'xmlNodePtr' in public API (vala related) (Milan Crha)
	EWebDAVSession: Relax requirement for full path existence in propstat response (Milan Crha)
	e_xml_get_node_text: Consider also CDATA section nodes, not only TEXT nodes (Milan Crha)
	Enhance ESoupSession debug logging (Milan Crha)

Translations:
	Emin Tufan Çetin (tr)
	Yuri Chornoivan (uk)
	Florentina Mușat (ro)
	Baurzhan Muftakhidinov (kk)
	Aurimas Černius (lt)
	Daniel Mustieles (es)

Evolution-Data-Server 3.37.2 2020-05-29
---------------------------------------

Bug Fixes:
	I#101 - DAV backends: Limit server requests after getting online (Milan Crha)
	I#209 - libedataserverui: Remove unneeded dependency on libebackend (Milan Crha)
	I#210 - Global buffer overflow in e_contact_check_attr_type_value_used() (Milan Crha)
	I#211 - IMAPx: No IDLE after extraneous connection reset (Milan Crha)
	I#212 - EWebDAVSession: Ignore text/plain server responses on success (Milan Crha)
	I#213 - camel_mime_filter_backup() calls memcpy(null, ...) (Milan Crha)
	I#219 - Search folder content rebuilt after a change in it (Milan Crha)
	M!40 - Add the the enumeration of possible values for ENABLE_FILE_LOCKING (Дилян Палаузов)
	evo-I#915 - Fix some issues reported by Clang's ubsan sanitizer (Milan Crha)

Miscellaneous:
	ECredentialsPrompterImplOAuth2: Enable sandbox usage for WebKitGTK (Milan Crha)
	CamelFilterDriver: do_shell: NULL-terminate the arguments array (Milan Crha)
	SetupBuildFlags.cmake: Use -Werror=implicit-function-declaration only for C code compilation (Milan Crha)
	ECollectionBackend: Limit how often checks for new child sources (Milan Crha)
	WebDAV backends: Transform Precondition Failed error to E_CLIENT_ERROR_OUT_OF_SYNC (Milan Crha)

Translations:
	Daniel Mustieles (es)
	Emin Tufan Çetin (tr)
	Florentina Mușat (ro)

Evolution-Data-Server 3.37.1 2020-04-24
---------------------------------------

Bug Fixes:
	I#165 - Add backend to access Nextcloud Notes (Milan Crha)
	I#195 - alarm-notify: Show more details of the selected event (Milan Crha)
	I#199 - ESoupAuthBearer: Is not thread safe (Milan Crha)
	I#203 - Google book: Do not use progress callbacks in libgdata sync API (Milan Crha)
	I#204 - GOA-configured Nextcloud account not appearing (Milan Crha)
	I#205 - e-source-selectable: Add annotations to developer comments (Milan Crha)
	I#206 - LDAP: Incorrectly converts SExp to LDAP query (Milan Crha)
	evo-I#831 - Free/Busy times are not in UTC (Milan Crha)
	ews-I#87 - Meta backends not moved back online after connect failure (Milan Crha)

Miscellaneous:
	Name D-Bus .service files by D-Bus service names they provide (Milan Crha)
	ESourceRegistryWatcher: The 'filter' signal listener should not be required (Milan Crha)

Translations:
	Marek Černocký (cs)
	Rafael Fontenelle (pt_BR)
	Gianvito Cavasoli (it)
	Goran Vidović (hr)
	Daniel Korostil (uk)
	Daniel Șerbănescu (ro)
	Fabio Tomat (fur)

Evolution-Data-Server 3.36.0 2020-03-06
---------------------------------------

Bug Fixes:
	I#198 - goa: Doesn't set ESourceAuthentication::is-external properly (Milan Crha)

Translations:
	Alan Mortensen (da)
	Nathan Follens (nl)
	Matej Urbančič (sl)
	Jiri Grönroos (fi)
	Gianvito Cavasoli (it)
	Tim Sabsch (de)

Evolution-Data-Server 3.35.92 2020-02-28
----------------------------------------

Bug Fixes:
	I#166 - Remembers last connection error for too long (Milan Crha)
	I#167 - IMAPx: Can claim existing folders as gone (Milan Crha)
	I#192 - Collection accounts: Do not suddenly enable disabled sub-sources (Milan Crha)
	I#193 - EWebDAVDiscover: Can skip lookup for books with /.well-known/carddav address (Milan Crha)
	I#194 - e-cal-recur: Incorrect timezone used for DTEND from DURATION (Milan Crha)

Miscellaneous:
	EWebDAVCollectionBackend: Require credentials only if user name is set (Milan Crha)
	CalDAV/CardDAV: Fix 'local_error' variable usage in connect_sync() (Milan Crha)
	CalDAV/CardDAV: Remove unused variable declaration (Milan Crha)
	CalDAV: Claim not found objects during refresh as removed (Milan Crha)

Translations:
	Fran Dieguez (gl)
	Piotr Drąg (pl)
	Asier Sarasua Garmendia (eu)
	Charles Monzat (fr)
	Marek Černocký (cs)
	Changwoo Ryu (ko)

Evolution-Data-Server 3.35.91 2020-02-14
----------------------------------------

Bug Fixes:
	I#168 - Camel: Can fail to connect when password contains non-ASCII letters (Milan Crha)
	I#178 - Implement RFC 6856 - POP3 support for UTF-8 (Milan Crha)
	I#187 - camel-sasl-gssapi: Fails to build without KRB5 (Milan Crha)
	I#189 - Crash on malformed server response with minimal capabilities (Milan Crha)

Miscellaneous:
	Remove outdated and unused devel-docs files from camel (Milan Crha)
	EWebDAVDiscover: Returns address books when asked for calendars only (Milan Crha)

Translations:
	Aurimas Černius (lt)
	Daniel Mustieles (es)
	Anders Jonsson (sv)
	Rafael Fontenelle (pt_BR)
	Sabri Ünal (tr)
	Kukuh Syafaat (id)
	Balázs Úr (hu)

Evolution-Data-Server 3.35.90 2020-01-31
----------------------------------------

Bug Fixes:
	I#154 - Replace deprecated gdk_beep() usage in the code (Milan Crha)
	I#179 - Calendar: Handle errors in file backend's refresh thread gracefully (Milan Crha)
	I#184 - WebDAV: Privilege with multiple child elements not handled properly (Milan Crha)
	I#186 - Allow override of PHONENUMBER_DEFINITIONS (Milan Crha)
	M!34 - Use G_PARAM_STATIC_STRINGS (Niels De Graef)
	M!35 - CamelMessageContentInfo: Define CamelProviderAutoDetectFunc (Corentin Noël)
	M!36 - EBookSqlite: Make the signal definition for before-*-contact more specific (Corentin Noël)
	M!37 - CamelFolderSummary: Explicitely map the virtual methods to their callers (Corentin Noël)
	evo-I#686 - Broken search folder that includes all mails from other search folders (Milan Crha)

Miscellaneous:
	EDBusServer: Delay new module load (Milan Crha)
	alarm-notify: Double-free with certain types of the reminder (Milan Crha)
	ESourceCollection: Add 'allow-sources-rename' property (Milan Crha)
	camel: Document the GHashTable type in CamelProviderAutoDetectFunc and camel_provider_auto_detect (Corentin Noël)
	Speed-up e_contact_get_attributes_set() (Milan Crha)
	Prefer GSlice over heap allocation for short-lived structures (Milan Crha)
	EBookSqlite: Address runtime warnings from remove_leading_zeros() in unit tests (Milan Crha)
	CamelMessageInfo: Cache common strings in the string pool (Milan Crha)
	ECalCache: Be more specific regarding the signal definition and fix documentation (Corentin Noël)
	CamelHeaderParam: Specify the transfer annotation for camel_header_param (Corentin Noël)
	Vala: Add more .metadata fixes (Corentin Noël)
	Bump libical-glib dependency to 3.0.7 and benefit from its behavior (Milan Crha)

Translations:
	Rafael Fontenelle (pt_BR)
	Sucipto (id)
	Dušan Kazik (sk)
	Anders Jonsson (sv)
	Umarzuki Bin Mochlis Moktar (ms)

Evolution-Data-Server 3.35.3 2020-01-03
---------------------------------------

Bug Fixes:
	I#177 - DAV: Ignore 404 responses on content refresh (Milan Crha)

Translations:
	Yi-Jyun Pan (zh_TW)
	Jordi Mas (ca)
	Fabio Tomat (fur)
	Fran Dieguez (gl)

Evolution-Data-Server 3.35.2 2019-11-22
---------------------------------------

Bug Fixes:
	I#156 - EBook/CalMetaBackend: Automatic refresh not always setup ][ (Milan Crha)
	I#157 - IMAPx: Does not respect LOGINDISABLED (Milan Crha)
	I#159 - LDAP: Fails to read userCertificate from the server (Milan Crha)
	I#162 - e-cal-recur: Ignores recurrence exceptions (Milan Crha)
	I#164 - HSTS (RFC 6797) support for "On The Web" calendars (Milan Crha)
	I#169 - Detached instances shown as with floating time (Milan Crha)
	I#173 - ESoupSession: Accept also compressed responses (Milan Crha)

Miscellaneous:
	EWeatherSource: Use g_signal_connect_object() in e_weather_source_parse() (Milan Crha)
	Correct runtime warning from camel_network_service_can_reach() (Milan Crha)
	ESoupSession: Do not presend credentials on insecure connections (Milan Crha)
	EBackend: Slightly enhance g_warning() messages with an ESource identification (Milan Crha)
	ESource: Required signals not connected after EDBusObject is replaced (Milan Crha)
	LDAP: Change how LDAP query is constructed (Milan Crha)

Translations:
	Daniel Mustieles (es)
	Jordi Mas (ca)

Evolution-Data-Server 3.35.1 2019-10-11
---------------------------------------

Bug Fixes:
	I#145 - WebDAV: Not every 403/Forbidden means wrong credentials (Milan Crha)
	I#151 - Camel: Correct result of the "is" filter condition on address headers (Milan Crha)
	I#156 - EBook/CalMetaBackend: Automatic refresh not always setup (Milan Crha)
	M!32 - Replace deprecated 'g_type_class_add_private' (Pablo Barciela)
	M!33 - ESourceAuthentication: Add is-external property (Corentin Noël)
	evo-I#635 - LDAP: Double free when query conversion fails (Milan Crha)

Miscellaneous:
	Correct a developer comment for SECTION:e-cancellable-locks (Milan Crha)

Translations:
	Nathan Follens (nl)
	Matej Urbančič (sl)
	Alan Mortensen (da)

Evolution-Data-Server 3.34.0 2019-09-09
---------------------------------------

Translations:
	Rafael Fontenelle (pt_BR)
	Gianvito Cavasoli (it)
	Christian Kirbach (de)
	Sabri Ünal (tr)

Evolution-Data-Server 3.33.92 2019-09-02
----------------------------------------

Bug Fixes:
	I#136 - Meta backends: Fails to remove locally created object in online mode (Milan Crha)
	I#141 - e_xml_parse_data: Recover from XML errors if possible (Milan Crha)
	I#147 - CamelVeeFolder: Propagate searches into subfolders (Milan Crha)
	I#148 - Alarm for the end of a task not working (Milan Crha)
	evo-I#551 - Enhance URL end recognition regarding closing bracket (Milan Crha)

Miscellaneous:
	Avoid possible use after free caused in vee_folder_set_expression() (Milan Crha)

Translations:
	Daniel Mustieles (es)
	Piotr Drąg (pl)
	Fran Dieguez (gl)
	Jordi Mas (ca)
	Changwoo Ryu (ko)
	Charles Monzat (fr)
	Balázs Úr (hu)
	Petr Kovář (cs)

Evolution-Data-Server 3.33.91 2019-08-19
----------------------------------------

Bug Fixes:
	I#68 - WebDAV registry backend Refresh can remove existing sources ]I[ (Milan Crha)
	I#138 - Notify clients when backend is refreshing its content (Milan Crha)
	I#142 - EContact: Define defaults for attributes without TYPE (Milan Crha)
	evo-I#559 - CalDAV: Unescape URI path parts during refresh in iCloud (Milan Crha)
	evo-I#568 - Set GtkLabel's width-chars when using line-wrap (Milan Crha)

Miscellaneous:
	Include also CFLAGS in gtkdoc-scangobj command line (Milan Crha)
	EDataFactory: Free backend when no client connects to it (Milan Crha)
	Correct typo in a developer comment (Milan Crha)
	GOA module: Run EWS autodiscovery asynchronously (Milan Crha)
	Fix two memory leaks (Milan Crha)

Translations:
	Aurimas Černius (lt)
	Daniel Șerbănescu (ro)
	Bruce Cowan (en_GB)
	Jordi Mas (ca)
	Kukuh Syafaat (id)
	Asier Sarasua Garmendia (eu)
	Anders Jonsson (sv)
	Florentina Mușat (ro)

Evolution-Data-Server 3.33.90 2019-08-05
----------------------------------------

Bug Fixes:
	I#112 - Credentials prompter re-asks for credentials of disabled accounts ][ (Milan Crha)
	I#137 - POSIX locale tests fail with ICU 64.x (Milan Crha)
	M!27 - e-book-backend-ldap.c:func_exists() avoid strdup+free (Дилян Палаузов)
	M!28 - Include LDFLAGS in gtkdoc-scangobj command line (Ting-Wei Lan)
	M!29 - WebDAV: Add a way to allow any component with MKCALENDAR (Дилян Палаузов)
	M!30 - ecal: Add camel and libedataserver to the library search path for the gir (Iain Lane)
	M!31 - EWebDAVDiscoverContent: Select implicitly the single item (Дилян Палаузов)

Miscellaneous:
	EWebDAVDiscover can report failure on success and hide collections (Milan Crha)
	e_webdav_discover_dialog_new: Set default response button for the dialog (Milan Crha)
	Let the message-location check also real message location in the search folders (Milan Crha)

Translations:
	Daniel Șerbănescu (ro)
	Rafael Fontenelle (pt_BR)
	Asier Sarasua Garmendia (eu)
	Jordi Mas (ca)

Evolution-Data-Server 3.33.4 2019-07-15
---------------------------------------

Bug Fixes:
	I#128 - [LDAP] Claim an error when a Contact List might be saved incomplete (Milan Crha)
	I#130 - [CamelOfflineFolder] Multiple downsync operations can run simultaneously (Milan Crha)
	M!18 - Prefer g_string_append_c() over g_string_append() (Дилян Палаузов)
	M!19 - e-book-backend-ldap.c:address_populate(): avoid g_strdup+g_free call (Дилян Палаузов)
	M!20 - camel-search-sql-sexp.c:func_and() memory leak (Дилян Палаузов)
	M!22 - Ignore the return value of g_string_append() (Дилян Палаузов)
	M!23 - Use the return value of g_string_free(*, FALSE) (Дилян Палаузов)
	M!24 - e-vcard.c:read_attribute_params(): Remove unneeded if() (Дилян Палаузов)
	M!26 - Fix a possible memory leak in e_cal_client_get_component_as_string() (Дилян Палаузов)
	evo-I#479 - Call mail account refresh also after going online ][ (Milan Crha)

Miscellaneous:
	[LDAP] Fix several memory leaks (Milan Crha)
	Prefer built-in timezone component in e_cal_util_copy_timezone() (Milan Crha)
	Fix a memory leak in e_cal_recur_generate_instances_sync() (Milan Crha)
	Miscellaneous changes in ecmb_modify_object_sync() (Milan Crha)

Translations:
	Nathan Follens (nl)
	Daniel Mustieles (es)
	Fabio Tomat (fur)
	Kukuh Syafaat (id)

Evolution-Data-Server 3.33.3 2019-06-17
---------------------------------------

Bug Fixes:
	I#108 - [IMAPx] Folder changes could be claimed in a wrong folder after APPEND (Milan Crha)
	I#117 - Fix clang warnings (mostly [-Wenum-conversion]) (Milan Crha)
	I#120 - Fails to build with libasan using Clang (undefined symbols) (Milan Crha)
	I#121 - CalDAV-advertised subscribed WebCal is not imported (Milan Crha)
	I#123 - [SMTP] Ignore 8BITMIME extension for Yahoo! servers (Milan Crha)
	M!15 - Fix typos in CMake modules (Дилян Палаузов)
	M!17 - Use Media Type from RFC 8551 for S/MIME creation (Tom Kranz)
	evo-I#476 - Hide "Server handles meeting invitations" for VJOURNAL/CalDAV (Milan Crha)
	evo-I#479 - Call mail account refresh also after going online (Milan Crha)

Miscellaneous:
	EDataBook/EDataCal: Flush GDBus connection on backend property change (Milan Crha)
	Add workaround for D-Bus property change into get-revision tests (Milan Crha)
	Expose E-Book/Cal-BackendSExp lock (Milan Crha)
	Update overdue time immediately after the reminders' window is mapped (Milan Crha)
	Add ESourceLocal::writable extension property (Milan Crha)
	CamelOperation can be used by other thread while in its finalize() (Milan Crha)
	Memos cannot have set reminders according to RFC 5545 (Milan Crha)
	Change how CamelOfflineStore goes online (Milan Crha)
	[IMAPx] Prefer local search in folders fully synchronized for offline (Milan Crha)
	Correct e_cal_component_get_start_plus_duration() (Milan Crha)

Translations:
	Ih0rko (uk)
	Balázs Meskó (hu)
	Fabio Tomat (fur)
	Daniel Mustieles (es)

Evolution-Data-Server 3.33.2 2019-05-20
---------------------------------------

 * The calendar part begun to use libical-glib, instead of libical, which
   includes change from API version 1.2 to 2.0.

 * The addressbook part and the calendar part changed client APIs, which
   modified also D-Bus API, thus D-Bus services' versions had been bumped
   as well.

 * All the C libraries generate GObject introspection and Vala bindings.

Bug Fixes:
	I#33 - Port to libical-glib (Milan Crha)
	I#89 - [IMAPx] Downloads content for offline in unsubscribed folders (Milan Crha)
	I#105 - Invalid UTF-8 letters in a mail body get lost (Milan Crha)
	I#106 - [IMAPx] Return cached folder list even when being online (Milan Crha)
	I#112 - Credentials prompter re-asks for credentials of disabled accounts (Milan Crha)
	I#114 - [IMAPx] Option to enable full folder update on metered networks (Milan Crha)
	I#116 - [IMAPx] Correct handling of mailbox names (with RFC 6855 extension) (Milan Crha)
	I#190 - Does not show reminders after resume from suspend (Milan Crha)
	M!14 - Correct typo in a comment in the main CMakeLists.txt (Дилян Палаузов)

Miscellaneous:
	[EWebDAVDiscover] Prevent crash on GError use in gio functions (Milan Crha)
	[SMTP] Log also DATA itself when SMTP logging is enabled (Milan Crha)
	[IMAPx] Fix a leak of CamelMessageInfo when downloading message from a server (Milan Crha)
	Change libebook and libedata-book APIs (Milan Crha)
	Revert "Rename AddressBookView/CalendarView D-Bus members for backward compatibility" (Milan Crha)
	Rename ECalBackendClass methods to address some gir warnings (Milan Crha)
	Enable vala bindings for libebackend, libedata-book and libedata-cal (Milan Crha)
	Correct get_/set_property() for EReminderWatcher::default-zone (Milan Crha)
	Miscellaneous changes for issues overlooked during port to libical-glib (Milan Crha)

Translations:
	Daniel Mustieles (es)
	Kukuh Syafaat (id)
	Fabio Tomat (fur)
	Carmen Bianca BAKKER (eo)
	Guillaume Bernard (fr)

Evolution-Data-Server 3.33.1 2019-04-22
---------------------------------------

Bug Fixes:
	I#91 - Verify database presence in test-migration test (Milan Crha)
	I#92 - [IMAPx] Permanently delete single items in real Trash folder (Milan Crha)
	I#94 - Remove -Wabi from the default C++ warning flags (Milan Crha)
	I#95 - [WebDAV Session] Ignore empty current-user-privilege-set response (Milan Crha)
	I#96 - Limit properties receive based on expected collection type in WebDAV discover (Milan Crha)
	I#98 - [CardDAV] Use CARDDAV_DEBUG instead of WEBDAV_DEBUG (Milan Crha)
	I#99 - Fails to build against git master of OpenLDAP (vendor version check) (Дилян Палаузов)
	I#102 - Change order of gtkdoc-scangobj libraries (Milan Crha)
	M!12 - libedataserver: Fix annoations syntax (Marco Trevisan (Treviño))
	M!13 - [EBackend] Add GObject introspection (Corentin Noël)
	evo-I#326 - Reword "Display reminders in notification area only" option (Milan Crha)
	ews-I#39 - Let handle recurring task completion by the server (Milan Crha)

Miscellaneous:
	Make sure libdb addressbooks are available before book-migration test (Milan Crha)
	Fix typo: reach-ability 🡒 reachability (Andre Klapper)
	[Flatpak] Use a persistent location for an NSS certificate database (Milan Crha)
	Rename AddressBookView/CalendarView D-Bus members for backward compatibility (Milan Crha)
	Address several issues reported by Coverity Scan (Milan Crha)

Translations:
	Марко Костић (sr)
	Matej Urbančič (sl)
	Balázs Úr (hu)
	Alan Mortensen (da)
	Asier Sarasua Garmendia (eu)
	Carmen Bianca BAKKER (eo)
	Gianvito Cavasoli (it)

Evolution-Data-Server 3.32.0 2019-03-11
---------------------------------------

Translations:
	Daniel Mustieles (es)
	Balázs Meskó (hu)
	Anders Jonsson (sv)
	Ask Hjorth Larsen (da)
	Tim Sabsch (de)
	Rafael Fontenelle (pt_BR)
	Daniel Șerbănescu (ro)

Evolution-Data-Server 3.31.92 2019-03-04
----------------------------------------

Bug Fixes:
	I#68 - WebDAV registry backend Refresh can remove existing sources ][ (Milan Crha)
	I#86 - Rejecting connection certificate causes constant connection retries (Milan Crha)
	I#87 - [CalDAV] Free/busy request uses wrong format for the time-range (Milan Crha)
	I#88 - Contacts with Birthday on Feb 29th Have No Appointment in Non-leap Years (Milan Crha)

Miscellaneous:
	[CalDAV] POST data to scheduling outbox with correct Content-Type (Milan Crha)
	Change order of CFLAGS/LDFLAGS passed to gtk-doc (Milan Crha)
	[OAuth2 Prompter] Show also current URL in the credentials prompt dialog (Milan Crha)
	Make the OAuth2 credentials prompt window default size a bit larger (Milan Crha)

Translations:
	Rafael Fontenelle (pt_BR)
	Changwoo Ryu (ko)
	A S Alam (pa)
	Kukuh Syafaat (id)
	Марко Костић (sr)
	Fabio Tomat (fur)
	Piotr Drąg (pl)
	Emin Tufan Çetin (tr)
	Matej Urbančič (sl)
	Nathan Follens (nl)
	Aurimas Černius (lt)
	Marek Cernocky (cs)
	Fran Dieguez (gl)

Evolution-Data-Server 3.31.91 2019-02-18
----------------------------------------

Bug Fixes:
	M!9 - [Vala] Make camel_sasl_new usable in Vala (Corentin Noël)
	M!10 - [Camel] Add more documentation and annotations to CamelMimeMessage (Corentin Noël)
	M!11 - [EData-Book] fix several annotations (Corentin Noël)

Miscellaneous:
	[EDataBook] Enforce EBookBackend type (Corentin Noël)
	[CamelStreamMem] Fix transfer annotations and array element type (Corentin Noël)
	[OAuth2] Add GSettings keys to override client ID and secret (Milan Crha)
	[Camel] Fix several annotations for message creation (Corentin Noël)
	Hide sendmail in Flatpak (Milan Crha)

Translations:
	Daniel Mustieles (es)
	Piotr Drąg (pl)
	Marek Cernocky (cs)
	Serdar Sağlam (tr)
	Fran Dieguez (gl)
	Aurimas Černius (lt)
	Kukuh Syafaat (id)
	Matej Urbančič (sl)
	Balázs Úr (hu)
	Alan Mortensen (da)
	Baurzhan Muftakhidinov (kk)
	Emin Tufan Çetin (tr)
	Yi-Jyun Pan (zh_TW)

Evolution-Data-Server 3.31.90 2019-02-04
----------------------------------------

Bug Fixes:
	I#70 - Add camel-autocleanups header (Corentin Noël)
	I#71 - Add e-backend-autocleanups header (Corentin Noël)
	I#73 - Add e-dataserver-autocleanups header (Corentin Noël)
	I#75 - Sometimes fails to properly decrypt large GPG encrypted messages (Milan Crha)
	I#79 - [Camel] Threading view depends on message order (Milan Crha)
	I#81 - Pops up a reminder of a deleted instance of a recurring event (Milan Crha)
	I#82 - Use uppercase in MIME-Version 1.0 header (Milan Crha)

Miscellaneous:
	Remove some duplicated #define-s with developer documentation comments (Milan Crha)
	De-deprecate camel_folder_info_build() (Milan Crha)
	[libebackend] Do not define autoptr for deprecated EOfflineListener (Milan Crha)
	[EBookBackendSExp] Skip PHOTO attribute in "Any field contains" search (Milan Crha)
	Add also $PREFIX/share/gir-1.0 into g-ir-scanner arguments (Milan Crha)

Translations:
	Jordi Mas (ca)
	Charles Monzat (fr)
	Daniel Mustieles (es)
	Kukuh Syafaat (id)
	Balázs Úr (hu)

Evolution-Data-Server 3.31.4 2019-01-07
---------------------------------------

Bug Fixes:
	Bug 312581 - Optimise string manipulation in vCard parsing (Milan Crha)
	Bug 576071 - Update developer documentation of e_book_query_{andv,orv}() (Milan Crha)
	Bug 651234 - Update developer documentation for e_destination_get_name() (Milan Crha)
	I#68 - WebDAV registry backend Refresh can remove existing sources (Milan Crha)
	I#72 - [EBackend] Improve the coverage of the annotations (Corentin Noël)
	M!7 - [CalDAV] Perform free-busy-query on the correct principal (Jamie McClymont)
	M!8 - [CalDAV] Invert success value of schedule outbox free_busy (Jamie McClymont)

Miscellaneous:
	Correct developer documentation of some EBook asynchronous API (Milan Crha)
	Crash on meeting cancellation receive in local calendar (Milan Crha)
	Fix few memory leaks in calendar backends (Milan Crha)

Translations:
	Fabio Tomat (fur)

Evolution-Data-Server 3.31.3 2018-12-10
---------------------------------------

Bug Fixes:
	Bug 651197 - message/rfc822 attachment encoded in base64 parsed correctly (Milan Crha)
	Bug 719328 - [IMAPx] Fails to update folder content with QResync (Milan Crha)
	I#5 - Compare only date when searching with Sent/Received dates ][ (Milan Crha)
	I#54 - Enable 'Listen for server change notifications' by default (Milan Crha)
	I#55 - [IMAPx] Flags after certain BODYSTRUCTURE not recognized (Milan Crha)
	I#56 - [Camel] Can stop parsing mail address header too early (Milan Crha)
	I#61 - Cannot search contacts for existence of boolean fields (Milan Crha)
	I#62 - Make EVCardAttribute/EVCardAttributeParam structures ref-counted internally (Milan Crha)
	I#63 - [CalDAV/CardDAV] Incorrectly thinks an object is created in offline (Milan Crha)
	I#64 - S/MIME: Two signerInfos (one *invalid*, one valid) are merged into a single valid indicator (Milan Crha)
	I#65 - [Documentation] Fix several warnings with non-existing links (Corentin Noël)
	M!6 - [Documentation] Fix references to unexisting functions or classes (Corentin Noël)

Miscellaneous:
	Include also environment LD_LIBRARY_PATH in gtk-doc-scangobj call (Milan Crha)
	test-cal-client-get-revision could fail due to delayed D-Bus property change notification (Milan Crha)
	Correct how extra compiler warnings are used in the maintainer mode (Milan Crha)
	[evolution-dbus-session] Handle method calls with GUnixFDList (Milan Crha)
	Deadlock when marking as read message in a search folder (Milan Crha)
	[CalDAV/CardDAV] Can add component to local cache with incomplete info (Milan Crha)
	Copy messages within mail filters immediately (Milan Crha)
	[test-cal-client-get-free-busy] Correct error messages (Milan Crha)
	Correct use-after-free in e_vcard_attribute_remove_param_value() (Milan Crha)
	Replace evolution-dbus-session tool with DBUS_SERVICES_PREFIX option (Milan Crha)
	[Camel] Address compiler warning in header_address_list_encode_append() (Milan Crha)
	Relax runtime check in e_cal_util_get_system_timezone() (Milan Crha)
	[Flatpak] Save passwords in libsecret with the same prefix as used by D-Bus services (Milan Crha)
	[test-server-utils] Correct when open of deprecated book/calendar is retried (Milan Crha)
	[test-cal-client-get-free-busy] Enhance the test execution (Milan Crha)
	Let child source with 'none' authentication method use collection source authentication (Milan Crha)
	[EDBus Private] Add new symbols into the developer documentation (Corentin Noël)
	[Flatpak] Make alarm-notify use the D-Bus services prefix, if specified (Milan Crha)

Evolution-Data-Server 3.31.2 2018-11-12
---------------------------------------

Bug Fixes:
	Bug 228772 - Allow to specify a default language for a given identity (Milan Crha)
	Bug 606071 - [Calendar] Preserve existing CREATED/LAST-MODIFIED on create (Milan Crha)
	I#41 - Documentation doesn't go through gtkdoc-scangobj (Milan Crha)
	I#42 - [Collection CalDAV] Populate calendar-auto-schedule for discovered sources (Milan Crha)
	I#43 - [CalDAV] Change of calendar-auto-schedule not used immediately (Milan Crha)
	I#44 - [CalDAV/CardDAV] Ignore Not Found error on resource delete (Milan Crha)
	I#48 - [CalDAV] Use Location as TZID (Milan Crha)
	I#49 - [CardDAV] Local cache made broken after update (Milan Crha)
	I#50 - [Reminders] Ignore all errors on a reminder dismiss (Milan Crha)
	I#51 - [Gmail] Change from OAuth2 to other authentication doesn't stick (Milan Crha)
	I#52 - cursor-example.c includes cursor-slot.h twice (Milan Crha)
	evo-I#113 - Make 'Mark messages as read' a folder/account option (Milan Crha)
	evo-I#196 - Build developer documentation in a fix order (Milan Crha)

Miscellaneous:
	Use G_PARAM_EXPLICIT_NOTIFY flag to avoid false property change notifications (Milan Crha)
	Correct e-source-camel.c to unset G_PARAM_EXPLICIT_NOTIFY (Milan Crha)
	[CamelProvider] Do not localize empty strings in provider configuration (Milan Crha)
	Make tests retry when factory doesn't know about added ESource yet (Milan Crha)
	[On The Web calendar] Log also response body when requested (Milan Crha)
	[IMAPx] Fix a concurrent message download issue (Milan Crha)
	Suppress libxml2 warnings when parsing data with e_xml_parse_data() (Milan Crha)
	Add translator comments into camel-sasl-anonymous.c (Milan Crha)
	Make sure intltool-merge cache is created only once (Milan Crha)
	Remove e-gdbus-templates from libedataserver (Milan Crha)

Translations:
	Yi-Jyun Pan (zh_TW)
	Matej Urbančič (sl)
	Cédric Valmary (oc)
	Kristjan SCHMIDT (eo)

Evolution-Data-Server 3.31.1 2018-10-08
---------------------------------------

Bug Fixes:
	evo-I#86 - Quoting of plain text mail into HTML mode mangles deeper levels (Milan Crha)
	I#3 - [GPG] Mails that are not encrypted look encrypted ][ (Milan Crha)
	I#24 - The 'contacts' calendar backend leaks BookRecord (Milan Crha)
	I#29 - Changed user name not propagated to collection child sources (Milan Crha)
	I#30 - Some of the tests fail to run with disabled RPATH (Milan Crha)
	I#31 - [ESoupSession] Preset authentication when username is filled (Milan Crha)
	I#32 - test-cal-meta-backend cannot run without installed Evolution (Milan Crha)
	I#34 - Remove Ubuntu Online Accounts from master (Milan Crha)
	I#35 - [IMAPx] Ignore incomplete BODYSTRUCTURE responses (Milan Crha)
	I#36 - Asks for password after going online, even it's stored (Milan Crha)
	I#37 - [IMAPx] Disable request of BODYSTRUCTURE when its response is broken (Milan Crha)
	I#38 - Archive from search folder should use original folder for transfer (Milan Crha)
	I#40 - [IMAPx] Support RFC 6855 (IMAP Support for UTF-8) (Milan Crha)
	M!2 - Expose GData 'parent' and 'position' task fields (Georges Basile Stavracas Neto)

Miscellaneous:
	Add an optionally built evolution-dbus-session tool (Milan Crha)
	[NNTP] Address REVERSE_INULL Coverity scan issue (Milan Crha)
	Address two Clang warnings (Milan Crha)
	Mark string for a translation (Milan Crha)
	Fix a memory leak in ebmb_start_view_thread_func() (Milan Crha)
	[evolution-dbus-session] Proxy also D-Bus subtrees (Milan Crha)

Translations:
	Marek Cernocky (cs)
	Gábor Kelemen (hu)
	Aurimas Černius (lt)

Evolution-Data-Server 3.30.0 2018-09-03
---------------------------------------

Translations:
	Changwoo Ryu (ko)
	Fran Dieguez (gl)
	Rafael Fontenelle (pt_BR)
	Ask Hjorth Larsen (da)
	Anders Jonsson (sv)

Evolution-Data-Server 3.29.92 2018-08-27
----------------------------------------

Bug Fixes:
	I#23 - [IMAPx] Fails to parse some BODYSTRUCTURE responses (Milan Crha)
	I#27 - [IMAPx] Ignore DavMail's CR/LF in BODYSTRUCTURE response (Igor Makarov)
	I#26 - test-book-client-write-write test is failing (Milan Crha)
	I#25 - [CamelVeeFolder] Implement CamelFolderClass::get_message_cached() (Milan Crha)
	evo-I#83 - Follow Up "is not Completed" search condition does not work (Milan Crha)

Miscellaneous:
	Correct build when nss/nspr do not provide pkg-config files (Milan Crha)
	Use 48 pixel icon in reminder notification (Milan Crha)
	[evolution-alarm-notify] Do not show a window with a list of pending reminders by default (Milan Crha)
	GNOME Shell doesn't show evolution-alarm-notification reminders (Milan Crha)
	Correct few annotations in developer comments (Milan Crha)

Translations:
	Claude Paroz (fr)
	Piotr Drąg (pl)
	Jiri Grönroos (fi)
	Bruce Cowan (en_GB)
	Efstathios Iosifidis (el)
	Cheng-Chia Tseng (zh_TW)
	Emin Tufan Çetin (tr)
	Baurzhan Muftakhidinov (kk)
	Kukuh Syafaat (id)
	Çağatay Yiğit Şahin (tr)

Evolution-Data-Server 3.29.91 2018-08-13
----------------------------------------

Translations:
	Daniel Mustieles (es)
	Mario Blättermann (de)
	Fabio Tomat (fur)

Evolution-Data-Server 3.29.90 2018-07-30
----------------------------------------

Bug Fixes:
	Bug 788370 - Rename address book WebDAV backend to CardDAV (Milan Crha)
	I#22 - [Camel] Store disconnect can abort just started downsync for offline (Milan Crha)
	I#19 - Check also /var/db/zoneinfo when looking for system timezone (Milan Crha)

Miscellaneous:
	ESourceRegistry's thread main_context can leak (Milan Crha)
	Correct format specifier arguments to work on both 32-bit and 64-bit arches (Milan Crha)
	[EClient] Really default readonly property to FALSE (Milan Crha)
	[CamelDebug] Change when backtraces are demangled in pointer tracker (Milan Crha)
	[CamelOfflineFolder] Fix a runtime warning on application exit (Milan Crha)
	Enhance attachment detection in a MIME message (Milan Crha)

Translations:
	Aurimas Černius (lt)

Evolution-Data-Server 3.29.4 2018-07-16
---------------------------------------

Bug Fixes:
	Bug 702127 - Crash under cal_backend_store_save_cache_now() ][ (Milan Crha)
	Bug 704246 - Cannot send encrypted mail to contact with certificate (Milan Crha)
	I#9 - [IMAPx] Remove stale cache files in a dedicated thread (Milan Crha)
	I#10 - [CalDAV/CardDAV] Avoid GET after PUT when the server didn't modify the component (Milan Crha)
	I#11 - Better error message when WebDAV GET response has missing href or ETag (Дилян Палаузов)
	I#12 - vCard REV attribute should be a timestamp (Milan Crha)
	evo-I#37 - Color support for iCalendar entries (Milan Crha)
	I#13 - [IMAPx] Fails to append message to Yahoo! with no CRLF at the end (Milan Crha)
	I#3 - [GPG] Mails that are not encrypted look encrypted (Milan Crha)
	I#14 - [IMAPx] Use extended LIST with Cyrus IMAP >= 2.5.11 (Milan Crha)
	I#16 - [IMAPx] BODYSTRUCTURE extension fields not skipped properly (Milan Crha)
	I#17 - [EWebDAVDiscoverWidget] Do not require filled user name (Milan Crha)

Miscellaneous:
	Use Unicode in new translatable strings (Piotr Drąg)
	[Camel] Bulk message copy/move during folder filtering (Milan Crha)
	Make sure errors reported from backends are valid UTF-8 strings (Milan Crha)
	[CamelSMIMEContext] Fix a memory leak (Milan Crha)
	[CalDAV/CardDAV] Consider collection writable also with DAV:write-content hint (Milan Crha)
	[IMAPx] Search for whole word "Cyrus" when parsing version from the server response (Milan Crha)
	[ECalCache] Alter timezones table only if the 'refs' column doesn't exist (Milan Crha)

Translations:
	Fabio Tomat (fu)

Evolution-Data-Server 3.29.3 2018-06-18
---------------------------------------

Bug Fixes:
	Bug 796115 - [EWebDAVDiscover] Propagate auth error from .well-known addresses (Milan Crha)
	Bug 796116 - [webcal] Skip UTF-8 marker when parsing iCalendar string (Milan Crha)
	Bug 793927 - [Google book] Do not use URI as contact UID (Milan Crha)
	Bug 796281 - [Calendar] Runtime warning when searching in empty Description (Milan Crha)
	Bug 763029 - S/MIME encrypt fails to find certificate in other slots (Milan Crha)
	Bug 792610 - Consider alternate signer emails in sender address verification (Milan Crha)
	Bug 796136 - [IMAPx] Guess message info's attachment flag more accurately (Milan Crha)
	Bug 794108 - ETimezoneCache only grows (Milan Crha)
	Bug 795197 - Add an API to refresh collection backend (Milan Crha)
	Bug 795869 - Synchronize color of WebDAV resources (Milan Crha)
	Bug 796174 - strcat() considered unsafe for buffer overflow (Milan Crha)
	I#2 - Confusing counts when downloading messages for offline (Milan Crha)
	I#4 - Incorrectly says signature from KMail is invalid (Milan Crha)
	I#7 - Missing build dependency for gdbus-codegen on input .xml file (Milan Crha)
	I#5 - Compare only date when searching with Sent/Received dates (Milan Crha)
	I#6 - Can throw an error when parsing BODYSTRUCTURE response (Milan Crha)

Miscellaneous:
	Check for ICAL_STATUS_DELETED status enum value (Milan Crha)
	Correct prototypes of some virtual functions of EReminderWatcher (Milan Crha)
	Fix a memory leak (Milan Crha)
	Use Unicode in translatable strings (Milan Crha)
	Silently skip empty lines when reading autoconfig-variables (Milan Crha)
	Update bug URL and switch to https:// in the DOAP file (Milan Crha)
	Google's "Daily Limit Exceeded" error not always propagated into UI (Milan Crha)
	[IMAPx] Prefer existing allocate/deallocate structure functions (Milan Crha)
	[CalDAV] Race condition on connection object (Milan Crha)
	Correct false runtime warning from camel_folder_info_build() (Milan Crha)

Translations:
	Christian Kirbach (de)
	Daniel Mustieles (es)
	Jordi Mas (ca)

Evolution-Data-Server 3.29.2 2018-05-21
---------------------------------------

Bug Fixes:
	Bug 795295 - Fails to compile after icu 61.1 upgrade (icu::UnicodeString) (Hussam Al-Tayeb)
	Bug 794874 - [CalDAV/CardDAV] Use current-user-privilege-set to determine whether writeable (Milan Crha)
	Bug 795414 - Errors on delete of a detached instance (Milan Crha)
	Bug 794727 - [IMAPx] False unsubscribed signal emitted when LSUB is required (Milan Crha)
	Bug 795997 - Fails to parse Google OAuth2 authorization code (Milan Crha)
	Bug 585146 - Default to show Reminders window on notification (Milan Crha)
	Bug 796206 - CalDAV PUT's If-Match ETag is double quoted (Milan Crha)

Miscellaneous:
	Introduce EReminderWatcher to listen for scheduled reminders (Milan Crha)
	Link WebKitGTK+ only with libedataserverui when OAuth2 is enabled (Milan Crha)
	[CamelSaslGssapi] Claim detailed error when org.gnome.KrbAuthDialog not found (Milan Crha)
	Stale connection used after resume (Milan Crha)
	Correct some public headers in libedataserverui (Milan Crha)
	Move evolution-alarm-notify to evolution-data-server (Milan Crha)
	Address some of the clang warnings (Milan Crha)
	Address some of the compiler and static analyzers warnings (Milan Crha)
	[EReminderWatcher] Make it possible to override ECalClient connect functions (Milan Crha)
	[module-secret-monitor] Correct runtime warning from secret_service_search_sync() (Milan Crha)

Translations:
	Efstathios Iosifidis (el)
	Daniel Mustieles (es)
	Marek Černocký (cs)
	Matej Urbančič (sl)

Evolution-Data-Server 3.29.1 2018-04-16
---------------------------------------

Bug Fixes:
	Bug 767683 - Crash when updating Maildir 'changes' structure (Milan Crha)
	Bug 793031 - Decrease memory usage by disabling backend-per-process by default ][ (Milan Crha)
	Bug 793488 - Drop hard build dependency on python (and partly perl) (Milan Crha)
	Bug 788193 - [itip-formatter] Describe used recurrence, if possible (Milan Crha)
	Bug 725295 - Crash in e_cal_backend_remove_view() (Milan Crha)
	Bug 793963 - Add debugging for GOA accounts (Milan Crha)
	Bug 200907 - Add support for recurring tasks (Milan Crha)
	Bug 794417 - Let expand recurring tasks when generating reminders (Milan Crha)
	Bug 794434 - [EWebDAVDiscover] The .well-known addresses not tried after first failure (Milan Crha)
	Bug 794534 - Runtime warning when Content-Type header is invalid (Milan Crha)
	Bug 794628 - Don't preload timezones on libical 3.0.2+ (Dan Nicholson)
	Bug 793601 - [IMAPx] Asks for password when server is unavailable (Milan Crha)
	Bug 794639 - Sender/signer address comparison should not be case sensitive (Milan Crha)
	Bug 794879 - GOA-configured Google account has set wrong authentication method (Milan Crha)
	Bug 795108 - Trailing bracket not stripped when linkifying URL inside angle brackets (Milan Crha)
	Bug 791475 - Incorrectly parses headers in certain case ]I[ (Milan Crha)

Miscellaneous:
	[ECalMetaBackend] Doesn't store custom time zones permanently (Milan Crha)
	Add a workaround for glib bug 793727 (Milan Crha)
	Correct typo in config.h.in (Milan Crha)
	Make it possible to disable Reminders for Tasks (Milan Crha)
	Change how next occurrence of a recurring task is found (Milan Crha)
	[IMAPx] Add a code for completeness check of camel-imapx-tokens.txt (Milan Crha)
	Update POTFILES.in (Piotr Drąg)
	Introduce e_util_debug_print() for consistent debug print form (Milan Crha)

Translations:
	Piotr Drąg (pl)
	Anders Jonsson (sv)
	Rafael Fontenelle (pt_BR)
	Gianvito Cavasoli (it)
	Rūdolfs Mazurs (lv)
	Aurimas Černius (lt)
	Balázs Meskó (hu)
	Mario Blättermann (de)

Evolution-Data-Server 3.28.0 2018-03-12
---------------------------------------

Translations:
	Guillaume Bernard (fr)
	Gianvito Cavasoli (it)
	Alan Mortensen (da)
	Rūdolfs Mazurs (lv)
	Fabio Tomat (fur)
	Efstathios Iosifidis (el)
	Милош Поповић (sr@latin)
	Anders Jonsson (sv)

Evolution-Data-Server 3.27.92 2018-03-05
----------------------------------------

Bug Fixes:
	Bug 793491 - Enable C++11 and C++14 when available (Ting-Wei Lan)
	Bug 793476 - [IMAPx] Message download interleave when synchronizing for offline (Milan Crha)
	Bug 793504 - Links containing Cyrillic characters are not highlighted properly (Milan Crha)
	Bug 793673 - Crash on failure of e_cal_cache_search_ids() (Milan Crha)
	Bug 793031 - Decrease memory usage by disabling backend-per-process by default (Milan Crha)
	Bug 793728 - Correct typo in description of 'oauth2-services-hint' GSettings key (Milan Crha)
	Bug 793852 - Remove unused code after changes for bug 793466 (Lubomir Rintel)
	Bug 791475 - Incorrectly parses headers in certain case ][ (Milan Crha)
	Bug 793759 - categories.xml keeps changing on disk (Milan Crha)
	Bug 793779 - Forward slash in UID breaks CardDAV backend (Milan Crha)

Miscellaneous:
	[IMAPx] Enhance processing of server IDLE notifications (Milan Crha)
	No more '.libs' directory in the build directory (Milan Crha)
	Meta backend tests required system-running evolution-source-registry (Milan Crha)
	Google calendar stopped reporting user email (Milan Crha)

Translations:
	Милош Поповић (sr)
	Милош Поповић (sr@latin)
	Jordi Mas (ca)
	Justin van Steijn (nl)
	Piotr Drąg (pl)
	Balázs Úr (hu)
	Fabio Tomat (fur)
	Efstathios Iosifidis (el)
	Nathan Follens (nl)
	Mario Blättermann (de)
	Марко Костић (sr)
	Emin Tufan Çetin (tr)
	Muhammet Kara (tr)
	Changwoo Ryu (ko)
	Rafael Fontenelle (pt_BR)
	Baurzhan Muftakhidinov (kk)
	Aurimas Černius (lt)
	Kukuh Syafaat (id)
	Fran Dieguez (gl)
	Marek Černocký (cs)
	Bruce Cowan (en_GB)
	Jiri Grönroos (fi)

Evolution-Data-Server 3.27.91 2018-02-19
----------------------------------------

Bug Fixes:
	Bug 793104 - COMPLETED in libical 3.0+ is DATE-TIME only (Milan Crha)
	Bug 793368 - Install AppStream metadata to /usr/share/metainfo/ (Jeremy Bicha)
	Bug 792746 - Fails to build with ENABLE_SMIME set to OFF (Milan Crha)
	Bug 793465 - [NNTP] Fix division by zero when folder is empty (Fatih Akca)
	Bug 793466 - [evolution-source-registry] Empty .source file causes high CPU usage (Milan Crha)

Miscellaneous:
	Correct return value of e_oauth2_service_get_access_token_sync() (Milan Crha)
	Write also message UID in Junk filter debug logs (Milan Crha)
	build: favor python3 as interpreter (Dominique Leuenberger)

Translations:
	Claude Paroz (fr)
	Emin Tufan Çetin (tr)
	Fran Dieguez (gl)
	Piotr Drąg (pl)
	Fabio Tomat (fur)
	Mario Blättermann (de)
	Rafael Fontenelle (pt_BR)
	Aurimas Černius (lt)

Evolution-Data-Server 3.27.90 2018-02-05
----------------------------------------

Bug Fixes:
	Bug 792302 - CMake build fails to include iconv-detect.h (Milan Crha)
	Bug 792610 - [GPG] Consider alternate signer emails in sender address verification (Milan Crha)
	Bug 792513 - [IMAPx] Deadlock after deleting messages (with real Trash) (Milan Crha)
	Bug 789522 - Decode of empty base64 encoded part causes runtime warnings (Milan Crha)

Miscellaneous:
	[devel-doc] Rename api-index IDs, to not clash with gtk-doc generated IDs (Milan Crha)
	Prevent early free of an ESource when it has pending operations (Milan Crha)
	[IMAPx] Select destination mailbox only when permanentflags not known yet (Milan Crha)
	Change how built-in OAuth2 authentication works (Milan Crha)
	Add a debug print for OAUTH2_DEBUG=1 when obtaining authentication token (Milan Crha)
	Correct OAuth2 mail accounts configured in GNOME Online Accounts (Milan Crha)
	Miscellaneous changes related to built-in OAuth2 services (Milan Crha)
	Add missed default implementation for EOAuth2Service::get_authentication_policy() (Milan Crha)
	Introduce e_oauth2_service_get_redirect_uri() (Milan Crha)
	[SMTP] Change how the list of available authentication methods is constructed (Milan Crha)
	Add OAuth2 authentication for Outlook.com IMAP and SMTP (Milan Crha)
	Correct "may be used uninitialized" warning in imapx_query_auth_types_sync() (Milan Crha)
	Correct developer documentation in e-oauth2-service/s (Milan Crha)
	Prevent passing NULL ldap handle into LDAP functions ][ (Milan Crha)
	[IMAPx] Sort array of UIDs before syncing changes to the server (Milan Crha)
	Address some issues reported by Undefined Behavior Sanitizer (Milan Crha)
	Replace e_cal_recur_nth array with e_cal_recur_get_localized_nth() (Milan Crha)
	Add book/calendar-factory argument to override backend-per-process compile-time option (Milan Crha)
	Correct return value of e_soup_session_get_authentication_requires_credentials() (Milan Crha)
	Provide associated ESource to more EOAuth2Service virtual methods (Milan Crha)

Translations:
	Marcos Lans (gl)
	Balázs Úr (hu)
	Daniel Mustieles (es)
	Rafael Fontenelle (pt_BR)
	Andika Triwidada (id)

Evolution-Data-Server 3.27.4 2018-01-08
---------------------------------------

Bug Fixes:
	Bug 791475 - Incorrectly parses headers in certain case (Milan Crha)
	Bug 791282 - Sanitize RFC2047 encoded strings to avoid exploits (Milan Crha)

Miscellaneous:
	Prevent passing NULL ldap handle into LDAP functions (Milan Crha)
	[Maildir] Correct double free when the source message file doesn't exist (Milan Crha)

Translations:
	Daniel Mustieles (es)
	Fabio Tomat (fur)
	Marek Černocký (cs)
	Tim Sabsch (de)

Evolution-Data-Server 3.27.3 2017-12-11
---------------------------------------

Bug Fixes:
	Bug 790032 - Google Contacts ESource recreated every start of source-registry (Milan Crha)
	Bug 789549 - [IMAPx] Runtime warning after message copy/move (Milan Crha)
	Bug 790267 - Expired Google OAuth2 token not refreshed (Milan Crha)
	Bug 790759 - Proxies are ignored in EWebDAVDiscover and Google OAuth2 token refresh (Eloi Vanderbeken)
	Bug 790020 - Use original location when composing new message in Search Folder (Milan Crha)
	Bug 790887 - [IMAPx] Folder '[Gmail]' hidden after start (Milan Crha)
	Bug 790635 - Slow start with 10+ mail accounts enabled (Milan Crha)
	Bug 791016 - [Camel] Fix a compiler warning at folder_summary_update_counts_by_flags() (Philip Withnall)
	Bug 790987 - [IMAPx] Also copy/move locally cached message on COPY/MOVE command (Milan Crha)
	Bug 791327 - Adapt to gweather_info_new() API change (Milan Crha)

Miscellaneous:
	Extend workaround for bug 674885 (type initialisation deadlock in GObject) (Milan Crha)
	[SMTP] Recognize rejected credentials during SASL authentication (Milan Crha)
	[OAuth2] Enhance how expired or invalid access tokens are handled (Milan Crha)
	Merge duplicated code around EGDataOAuth2Authorizer (Milan Crha)
	[File Calendar] Include detailed information in Free/Busy response (Milan Crha)
	[CalDAV/CardDAV] Always set error on failed connection attempt (Milan Crha)
	Correct introspection code build without libgdata (Milan Crha)
	Correct typo in libgweather include directory variable (Milan Crha)
	Show feedback on message download for offline after going online (Milan Crha)
	Correct a failure condition in cal_client_init_in_dbus_thread() (Milan Crha)

Translations:
	Kjartan Maraas (nb)
	Kukuh Syafaat (id)
	Hanifi Çakmak (tr)

Evolution-Data-Server 3.27.2 2017-11-13
---------------------------------------

Bug Fixes:
	Bug 696047 - [alarm-notify] Busy loop on midnight and DST change (Milan Crha)
	Bug 789169 - [CalDAV] Ask for credentials when PUT fails with Unauthorized (Milan Crha)
	Bug 742167 - Stuck when going online (Milan Crha)
	Bug 789132 - Different TZID of RECURRENCE-ID fails to match instances (Milan Crha)
	Bug 789677 - [ECalClient] Incorrect free call in process_detached_instances() (Jan Alexander Steffens (heftig))
	Bug 789555 - "Synchronize for offline" works on opened folders only (Milan Crha)
	Bug 789147 - [IMAPx] Slow message move with UID MOVE (Milan Crha)

Miscellaneous:
	Return hash-like IDs from camel_header_msgid_generate() (Milan Crha)
	[CalDAV/CardDAV] Append ending slash to URL when missing (Milan Crha)
	[IMAPx] Show progress of message body download only (Milan Crha)
	[IMAPx] Prevent deadlock under camel_imapx_server_copy_message_sync() (Milan Crha)
	[google-backend] Limit for what sources authentication method is changed (Milan Crha)
	Add missed API indexes into developer documentation (Milan Crha)
	[CamelOfflineStore] Incorrect disconnect when going online (Milan Crha)

Translations:
	Matej Urbančič (sl)
	Anders Jonsson (sv)
	Mario Blättermann (de)
	Marek Cernocky (cs)
	Kjartan Maraas (nb)

Evolution-Data-Server 3.27.1 2017-10-16
---------------------------------------

Bug Fixes:
	Bug 787266 - Failure in installed tests (Milan Crha)
	Bug 787341 - [IMAPx] Report message download progress (Milan Crha)
	Bug 769834 - [IMAPx] Minimize bandwidth usage on metered networks (Milan Crha)
	Bug 786982 - After pressing "NOT JUNK" mail stays in the Junk folder (Milan Crha)
	Bug 787445 - Add message to Unmatched only if still exists (Milan Crha)
	Bug 787542 - Fix search for exact phrase in body of mail on Gmail (Milan Crha)
	Bug 787713 - Can overwrite GError under camel_imapx_conn_manager_sync_changes_sync() (Milan Crha)
	Bug 787514 - [IMAPx] Overaggressive folder change saving after filtering (Milan Crha)
	Bug 787935 - Handle Redirection in ESoupSession (Milan Crha)
	Bug 788048 - Junk/filtering preferences change requires restart (Milan Crha)
	Bug 788051 - Junk messages moved to a real folder are considered seen (Milan Crha)
	Bug 787656 - Do not use Transfer-Encoding:chunked for CalDAV/CardDAV PUT (Milan Crha)
	Bug 786208 - Already opened message box doesn’t show new emails (Milan Crha)
	Bug 781645 - Skip GSettings schema compile when DESTDIR is set (Milan Crha)
	Bug 788371 - Correct reuse of _have_headers in FindSMIME.cmake (Дилян Палаузов)
	Bug 788430 - More corrections to FindSMIME.cmake (Дилян Палаузов)
	Bug 788686 - Google Tasks not shown in To Do-list after restart of Evolution (Milan Crha)
	Bug 788848 - [IMAPx] Enhance which folders are refreshed on NOTIFY notices (Milan Crha)

Miscellaneous:
	e_module_load_all_in_directory: Use g_debug() instead of g_warning() (Milan Crha)
	Ignore "timed out" error from goa_account_call_ensure_credentials_sync() (Milan Crha)
	[EGoaPasswordBased] Reuse GoaClient object between password lookup calls (Milan Crha)
	Misleading error for Google collection account without Calendar part (Milan Crha)
	[IMAPx] Wait for IDLE stop up to 10 seconds, then give up (Milan Crha)
	Fix some issues found by Coverity Scan (Milan Crha)
	Initialize libxml2 global memory in the main() (Milan Crha)
	Use icaltime_is_utc() instead of icaltimetype::is_utc (Milan Crha)
	Mute a compiler warning from e_collator_generate_key() (Milan Crha)
	e-cal-recur.c:ensure_timezone(): Unset icaltimetype::zone only if not UTC (Milan Crha)
	Crash under e-data-cal-view.c:pending_flush_timeout_cb() (Milan Crha)
	[CamelFolderSearch] The 'header-exists' misuses message info structure (Milan Crha)
	[Camel] Speed up message filtering on headers (Milan Crha)
	Internal Google OAuth2 token not refreshed on calendar open (Milan Crha)
	[IMAPx] Prevent crash in imapx_update_store_summary() (Milan Crha)
	Extend a developer comment of camel_message_info_property_lock() (Milan Crha)
	[ESoupSession] Special-case Daily Limit errors and propagate them to the caller (Milan Crha)
	[CalDAV/CardDAV] Improve logic for object load from the server (Milan Crha)
	[GTasks] Remember when timed query resulted in '400 Bad Request' (Milan Crha)
	Prevent crash when an On The Web calendar has set incorrect URI (Milan Crha)

Translations:
	hanniedu (nl)
	Kristjan SCHMIDT (eo)
	Dušan Kazik (sk)
	Xavi Ivars (ca@valencia)

Evolution-Data-Server 3.26.0 2017-09-11
---------------------------------------

Translations:
	Pawan Chitrakar (ne)
	Jordi Mas (ca)
	Inaki Larranaga Murgoitio (eu)
	Ask Hjorth Larsen (da)
	Emin Tufan Çetin (tr)
	Muhammet Kara (tr)
	Anders Jonsson (sv)
	Gianvito Cavasoli (it)

Evolution-Data-Server 3.25.92 2017-09-04
----------------------------------------

Bug Fixes:
	Bug 785952 - Google Tasks refresh fails with Bad Request (Milan Crha)
	Bug 786362 - Keep changed messages in Search Folder view until refreshed (Milan Crha)
	Bug 553770 - e_time_get_d_fmt_with_4digit_year: Correct %y replacement (Milan Crha)
	Bug 548814 - [On The Web] Cannot read multiple VCALENDAR objects in single file (Milan Crha)
	Bug 563602 - Detached recurrence ignored after import until EDS is restarted (Milan Crha)

Miscellaneous:
	[ESoupSession] Treat G_TLS_ERROR_BAD_CERTIFICATE as SOUP_STATUS_SSL_FAILED (Milan Crha)
	[CalDAV/CardDAV] Check for TLS/authentication errors on refresh (Milan Crha)
	[IMAPx] Not all local changes saved to the server (Milan Crha)
	camel_store_get_inbox_folder() can fail for IMAPx stores (Milan Crha)
	[EWebDAVDiscoverWidget] Minor changes to error label (Milan Crha)
	[ECalMetaBackend] Removing detached instance doesn't set EXDATE (Milan Crha)
	[IMAPx] Handle gracefully when service is unavailable for get_folder_info() (Milan Crha)
	Merge a cmake/modules change from Evolution (Milan Crha)

Translations:
	Fabio Tomat (fur)
	Ask Hjorth Larsen (da)
	Piotr Drąg (pl)
	Rūdolfs Mazurs (lv)
	Милош Поповић (sr)
	Милош Поповић (sr@latin)
	Rafael Fontenelle (pt_BR)
	Jordi Mas (ca)
	Wolfgang Stöggl (de)
	Jiri Grönroos (fi)
	Changwoo Ryu (ko)
	Dušan Kazik (sk)

Evolution-Data-Server 3.25.91 2017-08-21
----------------------------------------

Bug Fixes:
	Bug 781901 - [CamelOperation] Do not use g_cancellable_connect/disconnect() (Milan Crha)
	Bug 786366 - Convert C source files to UTF-8 (Jan Alexander Steffens (heftig))

Miscellaneous:
	Add new developer documentation file into evolution-data-server-docs.sgml.in (Milan Crha)

Translations:
	Kukuh Syafaat (id)
	Fabio Tomat (fur)
	Fran Dieguez (gl)
	Gianvito Cavasoli (it)
	Aurimas Černius (lt)
	Pawan Chitrakar (ne)
	Gábor Kelemen (hu)
	Marek Cernocky (cs)
	Anish Sheela (ml)

Evolution-Data-Server 3.25.90 2017-08-07
----------------------------------------

Bug Fixes:
	Bug 785136 - Summary changes can be lost on folder leave (Milan Crha)
	Bug 785188 - Do not add LIB_INSTALL_DIR into RPATH (Milan Crha)
	Bug 785212 - Quit with a large vFolder causes load of each message info (Milan Crha)
	Bug 785284 - Add asynchronous variant for camel_offline_store_set_online_sync() (Milan Crha)
	Bug 785340 - Change "IMAP+" server type to "IMAP" in GUI (Milan Crha)
	Bug 785393 - [ESourceRefresh] Let zero Refresh interval mean 'No periodic update' (Milan Crha)
	Bug 785629 - Document the CamelStoreGetFolderFlags (Corentin Noël)
	Bug 785647 - Fix some warnings within the documentation (Corentin Noël)
	Bug 785718 - Optimize Maildir sync/check to not load whole summary (Milan Crha)

Miscellaneous:
	Make EWebDAVSession soft-depend on ESourceWebdav extension (Milan Crha)
	Introduce EWebDAVCollectionBackend to be used for WebDAV-discovered collections (Milan Crha)
	Workaround issue with badRequest/invalid format for Google address book (Milan Crha)
	Deadlock on exit under e-categories.c:finalize_categories() (Milan Crha)
	[EWebDAVDiscover] Correct href sets reading (Milan Crha)
	[Vala] Fix a warning with a virtual method being the same name as another method (Corentin Noël)
	Rename owncloud-backend module to webdav-backend (Milan Crha)
	Add calendar and contacts URLs into ESourceCollection extension (Milan Crha)

Translations:
	Andika Triwidada (id)
	Daniel Mustieles (es)
	Marek Cernocky (cs)
	Baurzhan Muftakhidinov (kk)
	Pawan Chitrakar (ne)
	Matej Urbančič (sl)

Evolution-Data-Server 3.25.4 2017-07-17
---------------------------------------

Bug Fixes:
	Bug 493801 - [IMAPx] Locally cached files not deleted after message remove (Milan Crha)
	Bug 343904 - [POP3] Local cache keeps stored orphaned files (Milan Crha)
	Bug 779753 - [NNTP] Removed messages from server kept in local cache (Milan Crha)
	Bug 338649 - [NNTP] Add option to limit message download count (Milan Crha)
	Bug 784116 - Preserve header's folding misbehaves for folded boundary parameter (James Bottomley)
	Bug 784182 - Change how code snippets are marked in developer comments (Ting-Wei Lan)
	Bug 779156 - [IMAPx] Not listening for changes after resume from suspend ][ (Milan Crha)
	Bug 784183 - tests/libedata-cal/test-cal-cache-utils.c needs sys/wait.h (Ting-Wei Lan)
	Bug 784218 - [Camel] Document some variables to make them available in the introspection (Corentin Noël)
	Bug 772572 - Allow creating Receive-only mail accounts (Milan Crha)
	Bug 781744 - Support not storing sent messages (Milan Crha)
	Bug 782844 - Folder changes not always saved (Milan Crha)
	Bug 781790 - Configure signature and start cursor position per account (Milan Crha)
	Bug 784548 - Collection credentials used for different SMTP server (Milan Crha)
	Bug 784746 - Remove version number from gettext package name (Jeremy Bicha)

Miscellaneous:
	Better react on connection lost in EBookMetaBackend/ECalMetaBackend (Milan Crha)
	Introduce 'list-sources' tool (Milan Crha)
	Use the fancy Unicode apostrophes in the “list-sources” tool (Piotr Drąg)
	Change --module-dir for gtkdoc-fixxref call (Milan Crha)
	Warn and set default when sendmail not found during the build (Milan Crha)
	Expose D-Bus service names in evolution-data-server pkg-config file (Milan Crha)
	Correct localization of external tools (Milan Crha)

Translations:
	Daniel Mustieles (es)
	Piotr Drąg (pl)
	Rafael Fontenelle (pt_BR)
	Anders Jonsson (sv)
	Kukuh Syafaat (id)
	Gábor Kelemen (hu)
	Mario Blättermann (de)

Evolution-Data-Server 3.25.3 2017-06-19
---------------------------------------

Bug Fixes:
	Bug 782096 - Folder unread count sometimes doesn't update properly (Milan Crha)
	Bug 770476 - Crash on exit in object_bag_notify() (Milan Crha)
	Bug 783385 - Prefer SSL over STARTTLS for mail when both are set in GOA (Milan Crha)

Miscellaneous:
	Prevent busy-loop opening Google calendar configured in GOA (Milan Crha)
	Rename "WebDAV" books group to "CardDAV" (Milan Crha)
	Make some EBookMetaBackend/ECalMetaBackend private functions public (Milan Crha)
	Deprecate e_uid_new() in favor of e_util_generate_uid() (Milan Crha)
	[ESoupSession] Prefer request's URI when setting OAuth2 authorizer (Milan Crha)
	[EBookCache/ECalCache] Understand '#t' search expression as 'list all' (Milan Crha)
	Prevent GError override in e_cal_backend_sync_get_timezone() (Milan Crha)
	Publicize immediate refresh function for EBookMetaBackend/ECalMetaBackend (Milan Crha)
	Fix few memory leaks (Milan Crha)
	Correct ECalMetaBackend::get_object_sync() implementation (Milan Crha)
	Be able to get all UID/id-s from book/cal cache with certain 'extra' data (Milan Crha)
	Fix a crash under e_webdav_discover_traverse_propfind_response_cb() (Milan Crha)
	Introduce ESourceRegistryWatcher (Milan Crha)
	Update ESource's connection-status in EBookMetaBackend/ECalMetaBackend (Milan Crha)
	Allow overwrite of CMAKE_SKIP_RPATH variable (Milan Crha)

Translations:
	Mario Blättermann (de)
	Kukuh Syafaat (id)
	Daniel Mustieles (es)
	Jordi Mas (ca)
	Fabio Tomat (fur)
	Kjartan Maraas (nb)
	Baurzhan Muftakhidinov (kk)

Evolution-Data-Server 3.25.2 2017-05-22
---------------------------------------

Bug Fixes:
	Bug 781833 - Do not set '-Wl,--no-undefined' on BSD (Antoine Jacoutot)
	Bug 779749 - [NNTP] Add exclusive usage locking for underlying stream (Milan Crha)
	Bug 782360 - Remove src/addressbook/docs/ from git and releases (Milan Crha)
	Bug 782362 - csv2vcard not marked as executable (Milan Crha)
	Bug 782377 - ESourceWebdav overrides ESourceAuthentication::method (Milan Crha)
	Bug 782745 - Build failure of vapi bindings (xmlDocPtr ~> xmlDoc *) (Milan Crha)
	Bug 782799 - On The Web calendar update incorrectly cancelled (Milan Crha)
	Bug 782847 - Some fixes to the developer documentation (Corentin Noël)

Miscellaneous:
	Remove forgotten debug print (Milan Crha)
	Add CamelWeakRefGroup to camel-docs.sgml (Milan Crha)
	Merge offline-cache changes into master (Milan Crha)
	Unicode typography fixes (Piotr Drąg)
	Bump libical dependency to 2.0 for ICAL_FILENAME_PARAMETER (Milan Crha)
	Fix possible use of uninitialized variables in the new code (Milan Crha)
	Correct some developer code comments and annotations (Milan Crha)
	Introduce e_util_generate_uid() (Milan Crha)
	Re-apply missed change for bug 781543 after the offline-cache code merge (Milan Crha)
	Mis-filters emails with Mailing List rule in certain situations (Milan Crha)
	On The Web calendars don't work when the server doesn't return ETag header (Milan Crha)

Translations:
	Kukuh Syafaat (id)
	Daniel Mustieles (es)

Evolution-Data-Server 3.25.1 2017-04-24
---------------------------------------

Bug Fixes:
	Bug 780617 - [IMAPx] Allow FETCH response split into multiple lines (Milan Crha)
	Bug 777161 - [CalDAV] Deadlock after refresh of OAuth2 token (Milan Crha)
	Bug 777042 - [NNTP] Offline access not working when server service unreachable (Milan Crha)
	Bug 656635 - Use-after-free when setting summary for component with alarms (Milan Crha)
	Bug 781376 - [LDAP] Search in supported fields only (Milan Crha)
	Bug 781465 - Add db4_load and db_load-4 to DB_LOAD NAMES (Antoine Jacoutot)
	Bug 781543 - Provide all Google Task lists (Milan Crha)
	Bug 781549 - [IMAPx] Treat UID as unsigned integer (Milan Crha)

Miscellaneous:
	Revert "Disable support for all POP3 extensions by default" (Milan Crha)
	Fix maybe-used-uninitialized compiler warning from camel-pop3-folder.c (Milan Crha)
	Fix few Coverity scan issues (Milan Crha)
	Correct two libecal/client tests (Milan Crha)
	[IMAPx] Unsubscribed folders shown after refresh (Milan Crha)
	[IMAPx] Fix a memory leak of CamelIMAPXServer (Milan Crha)

Translations:
	Ask Hjorth Larsen (da)
	Piotr Drąg (pl)
	Rūdolfs Mazurs (lv)
	Cédric Valmary (oc)

Evolution-Data-Server 3.24.0 2017-03-20
---------------------------------------

Translations:
	Jordi Mas (ca)
	Rūdolfs Mazurs (lv)
	Andika Triwidada (id)
	Piotr Drąg (pl)
	Dušan Kazik (sk)
	Gianvito Cavasoli (it)

Evolution-Data-Server 3.23.92 2017-03-13
----------------------------------------

Bug Fixes:
	Bug 779156 - [IMAPx] Not listening for changes after resume from suspend (Milan Crha)
	Bug 779161 - [Google Auth] Asks for re-sign when cannot reach server to refresh token (Milan Crha)
	Bug 779761 - Duplicate parenthesis in LDAP schema file (Milan Crha)
	Bug 779886 - Add NULL checks to camel_content_type_set_param/camel_content_type_simple (Milan Crha)

Miscellaneous:
	Disable support for all POP3 extensions by default (Milan Crha)
	Skip outdated Camel tests in 'make check' (Milan Crha)
	[Camel] Extend filter debug logging (Milan Crha)

Translations:
	Daniel Mustieles (es)
	Ask Hjorth Larsen (da)
	Fran Dieguez (gl)
	Changwoo Ryu (ko)

Evolution-Data-Server 3.23.91 2017-02-27
----------------------------------------

Bug Fixes:
	Bug 778775 - Add carddav scope to google-contacts.service for Ubuntu online accounts (Khurshid Alam)
	Bug 778768 - Fails to modify contact with Yandex CardDAV server (Milan Crha)
	Bug 778235 - [IMAPx] Ignore truncated COPYUID server response (Milan Crha)
	Bug 775699 - Only latest 100 tasks downloaded from the Google ][ (Milan Crha)

Miscellaneous:
	Fix a performance issue caused by GWeakRef usage in CamelMessageInfo (Milan Crha)
	[IMAPx] Declare summary to use when cloning message info after message append (Milan Crha)
	Correct how data for installed tests are searched for (Milan Crha)

Translations:
	Inaki Larranaga Murgoitio (eu)
	Ask Hjorth Larsen (da)
	Mingye Wang (Arthur2e5) (zh_CN)
	Chao-Hsiung Liao (zh_TW)
	Anders Jonsson (sv)
	Jiri Grönroos (fi)
	Kjartan Maraas (nb)
	Claude Paroz (fr)
	Balazs Mesko (hu)
	Mario Blättermann (de)
	Rafael Fontenelle (pt_BR)
	Мирослав Николић (sr)
	Мирослав Николић (sr@latin)

Evolution-Data-Server 3.23.90 2017-02-13
----------------------------------------

Bug Fixes:
	Bug 777207 - Allow e-mail address change for GOA configured accounts (Milan Crha)
	Bug 777431 - [IMAPx] Gmail's BODY search returns only whole word matches (Milan Crha)
	Bug 771289 - Memory leaks in test-contact-types.c (Milan Crha)
	Bug 777695 - [ECalClient] Produce CRLF line endings in iCalendar string (Tim Ruffing)
	Bug 777781 - Unfold header values before comparing them (Milan Crha)
	Bug 778222 - Fix a build break with gperf 3.1 (Milan Crha)
	Bug 778069 - UI not updated after IMAP NOTIFY notifications (Milan Crha)
	Bug 777660 - Strange sentence in gschema string (Milan Crha)
	Bug 778265 - Serialize access to underlying NNTP stream (Milan Crha)

Miscellaneous:
	Ignore errors when getting message for a body-contains search (Milan Crha)
	Correct config.h inclusion in some recent Camel source files (Milan Crha)
	Fix a CamelVeeMessageInfo memory leak (Milan Crha)
	Fix a ref/unref imbalance of CamelIMAPXStoreInfo (Milan Crha)
	Fix a memory leak in camel_imapx_server_append_message_sync() (Milan Crha)
	Unable to add additional Google calendar (Milan Crha)
	Avoid local message cache expiry clean up when being offline (Milan Crha)
	[IMAPx] Avoid unneeded full flags folder update when no changes made (Milan Crha)

Translations:
	Daniel Mustieles (es)
	Fabio Tomat (fur)
	Piotr Drąg (pl)
	Dušan Kazik (sk)
	Mario Blättermann (de)
	Aurimas Černius (lt)
	Marek Černocký (cs)
	Kjartan Maraas (nb)

Evolution-Data-Server 3.23.4 2017-01-16
---------------------------------------

Bug Fixes:
	Bug 773419 - Age limit for offline message download (Milan Crha)
	Bug 775640 - Autoconfig: Use GSettings keys for folders and variables (Milan Crha)
	Bug 776152 - Cannot search for WebDAV/CalDAV sources (Milan Crha)
	Bug 776127 - Replies sometimes not grouped by thread (Milan Crha)
	Bug 776254 - Introspection for libedataserverui (Corentin Noël)
	Bug 776258 - Make CamelFolderThread a boxed type (Corentin Noël)
	Bug 776194 - [Gpg] Better encrypt error message when no key for recipient (Milan Crha)
	Bug 775643 - Autoconfig: Support also Signature sources (Milan Crha)
	Bug 776328 - Set the provider field in CamelService as boxed (Corentin Noël)
	Bug 776365 - Correct vapi build dependencies (Milan Crha)
	Bug 774304 - Cover relative path in /etc/localtime symlink (Milan Crha)
	Bug 777085 - vCard empty value could break next parameter name parsing (Milan Crha)

Miscellaneous:
	vala: libedataserver-1.2 depends on camel-1.2 (Michael Catanzaro)
	[Vala] Add Posix dependency to camel-1.2 (Corentin Noël)
	[Camel] Fix some introspection annotations (Corentin Noël)
	Use a Unicode apostrophe in a new translatable string (Piotr Drąg)
	Correct new module detection when installed by file rename (Milan Crha)
	[Camel] Fix CamelStore annotations (Corentin Noël)
	Various clean-ups of evolution-source-registry-autoconfig.c (Milan Crha)
	Build vala bindings of libedataserverui only if it's built as well (Milan Crha)
	camel-stream-process: Avoid call of g_debug() in the fork process (Milan Crha)
	Replace deprecated icalproperty_remove_parameter() with icalproperty_remove_parameter_by_kind() (Milan Crha)
	Replace deprecated icaltime_from_timet() with icaltime_from_timet_with_zone() (Milan Crha)
	[IMAPx] Fix a memory leak (Milan Crha)
	Fix a build with libphonenumber (Milan Crha)

Translations:
	Daniel Mustieles (es)
	Marek Černocký (cs)
	Balázs Meskó (hu)
	Fabio Tomat (fur)
	Rafael Fontenelle (pt_BR)

Evolution-Data-Server 3.23.3 2016-12-12
---------------------------------------

Bug Fixes:
	Bug 774331 - Use Unicode in translatable strings (Piotr Drąg)
	Bug 774698 - [Camel] Do not drop leftover 'Deletes' table on open (Milan Crha)
	Bug 772292 - [IMAPx] New mail not shown in UI until folder refresh (Milan Crha)
	Bug 774496 - [POP3] Downloads messages multiple times with auto-fetch (Milan Crha)
	Bug 774666 - Tell users how to keep messages on POP server indefinitely (Milan Crha)
	Bug 775363 - Fails to build with minimum CMake version (Milan Crha)
	Bug 775395 - Allow to override some (most) of the RPATH related settings (Dominique Leuenberger)
	Bug 774841 - [EWebDAVDiscover] One part failure caused credentials reject (Milan Crha)
	Bug 773156 - Allow system-wide ESource configurations (Autoconfig) (Iago López Galeiras)
	Bug 775597 - Add -L flags set in LDFLAGS to g-ir-scanner command line (Ting-Wei Lan)
	Bug 775618 - Contacts on Google does not accept a second address line (Milan Crha)
	Bug 775699 - Only latest 100 tasks downloaded from the Google (Milan Crha)

Miscellaneous:
	Set also HAVE_KRB5 when found Kerberos 5 with pkg-config (Milan Crha)
	[Camel] Consider NULL and empty arrays/sets equal (Milan Crha)
	Correct const/no-const argument of the camel_message_info_set_dirty() (Milan Crha)
	Do not propagate only folder-flagged flag change in CamelVeeMessageInfo (Milan Crha)
	[IMAPx] Save also server user flags and tags into the folder summary (Milan Crha)
	[IMAPx] Unnecessary local summary rewrites after folder update (Milan Crha)
	[IMAPx] Local flag changes could be missed and left unsaved on the server (Milan Crha)
	[Camel] Introduce camel_operation_new_proxy() (Milan Crha)
	[IMAPx] Notify about new messages early during folder update (Milan Crha)
	Fix a possible uninitialized variable use in a Camel test (Milan Crha)
	Fix some of the gtk-doc warnings in Camel (Milan Crha)
	Fix possible use-after-free in CamelVeeFolder with parent_vee_store (Milan Crha)
	Test for parent_store availability around camel_folder_changed() (Milan Crha)
	Let Camel build its .typelib for the introspection (Milan Crha)
	Fix a vapigen warning from EDataServer-1.2.metadata (Milan Crha)
	Make glib_mkenums() files depend on the source enum file (Milan Crha)

Translations:
	Mario Blättermann (de)
	Piotr Drąg (pl)
	Marek Cernocky (cs)
	Daniel Mustieles (es)
	Gábor Kelemen (hu)
	Baurzhan Muftakhidinov (kk)

Evolution-Data-Server 3.23.2 2016-11-21
---------------------------------------

Bug Fixes:
	Bug 773360 - Prefer in-tree libraries when scanning introspection data (Milan Crha)
	Bug 773363 - Do not use alloca() in camel-folder-thread.c (Glen Whitney)
	Bug 769573 - Allow also time part set for Tasks, not only date part (Milan Crha)
	Bug 773656 - Fix various g-ir-scanner failures after switching to cmake (Ting-Wei Lan)
	Bug 773659 - Don't set CFLAGS returned by pkg-config as CMAKE_REQUIRED_FLAGS (Milan Crha)
	Bug 773723 - Fix a few annotations in libecal (Corentin Noël)
	Bug 773427 - Do not run gobject-introspection in the source directory (Milan Crha)
	Bug 773657 - Fix JHBuild issues on FreeBSD after switching to cmake (Ting-Wei Lan)
	Bug 764065 - [Camel] Port more classes to GObject (Corentin Noël)
	Bug 767821 - Recognize X-GM-EXT-1 as SPECIAL-USE for Gmail IMAP (Zisu Andrei)
	Bug 772947 - Global junk test option doesn't respect account settings (Milan Crha)
	Bug 774103 - GOA mail account doesn't inherit GoaMail::name (Milan Crha)
	Bug 774234 - Unset INSTALL_RPATH for libs not linking libedbus-private (Dominique Leuenberger)
	Bug 774522 - Translator comments are missing in the .pot/.po files (Piotr Drąg)

Miscellaneous:
	[IMAPx] Avoid crash when untagged response doesn't have a token (Milan Crha)
	Correct WITH_LIBDB configure option processing (Milan Crha)
	Correct typo in the output name of camel tests (Milan Crha)
	Mute/fix some of the libedataserver annotation warnings (Milan Crha)
	Correct ENABLE_BACKTRACES configure option handling (Milan Crha)
	Correct gtkdoc-scan --ignore-headers argument value (Milan Crha)
	Update gtk-doc sgml input files (Milan Crha)
	Fix some of the gtk-doc warnings (Milan Crha)
	Split e-source-calendar.h/.c into three separate files (Milan Crha)
	Correct how private enums (for gtk-doc) are defined (Milan Crha)
	SetupBuildFlags.cmake: Check C++ flags only if C++ is enabled (Milan Crha)
	Ensure CMAKE_SKIP_RPATH is OFF, the RPATH is used here (Milan Crha)

Translations:
	Marek Černocký (cs)
	Mario Blättermann (de)

Evolution-Data-Server 3.23.1 2016-10-24
---------------------------------------

* Evolution-Data-Server uses CMake instead of autotools now. At the end
  of the configure phase are printed all the available options and their
  values. These can be used for the cmake command to tweak the build.

Bug Fixes:
	Bug 772095 - Don't check available sources for disabled accounts (Google/ownCloud) (Milan Crha)
	Bug 772347 - [IMAPx] NOTIFY responses stuck in stream until read from it (Milan Crha)
	Bug 605416 - Add aliases for accounts (Milan Crha)
	Bug 767807 - Inline non-text/image attachments hidden in message list (Milan Crha)
	Bug 773188 - Fix some warnings in the GObject Annotations (Corentin Noël)
	Bug 773248 - [CalDAV] Google OAuth authentication can fail on refresh (Milan Crha)
	Bug 773309 - Export the C compiler for introspection (Emmanuele Bassi)

Miscellaneous:
	Convert from autotools to CMake (Milan Crha)
	Require as hard dependency some dependencies (Milan Crha)
	Extend error messages in FindLDAP.cmake (Milan Crha)
	Reorganize directory structure (Milan Crha)
	Add a helper script for a 'dist' target (Milan Crha)
	Correct typos/overlooks in a build script (Milan Crha)
	Rename SHARE_INSTALL_DIR to SHARE_INSTALL_PREFIX (Milan Crha)
	Do not quote compiler/linker flags and fix g-ir-scanner cflags (Milan Crha)
	ENABLE_DOT_LOCKING not properly propagated into config.h (Milan Crha)
	Hard-break `make dist` when there are uncommitted changes (Milan Crha)

Translations:
	Peter Mráz (sk)
	Gianvito Cavasoli (it)
	Rafael Fontenelle (pt_BR)
	Marek Černocký (cs)
	Balázs Meskó (hu)
	Rūdolfs Mazurs (lv)
	Ask Hjorth Larsen (da)
	Dušan Kazik (sk)
	Aurimas Černius (lt)
	Piotr Drąg (pl)
	Benjamin Steinwender (de)
	Anders Jonsson (sv)

Evolution-Data-Server 3.22.0 2016-09-19
---------------------------------------

Translations:
	Claude Paroz (fr)
	Daniel Mustieles (es)
	Inaki Larranaga Murgoitio (eu)

Evolution-Data-Server 3.21.92 2016-09-12
----------------------------------------

Bug Fixes:
	Bug 770452 - Stop using camel_pstring_peek() (Hans Petter Jansson)
	Bug 770570 - [addressbook-export] Add broken Full Name into the CSV output (Milan Crha)
	Bug 770746 - [csv2vcard] Ensure @PERL@ is properly substituted (Michael Biebl)
	Bug 761450 - [CalDAV] Refresh expired OAuth2 token beforehand (Milan Crha)
	Bug 770854 - [Camel] Fix buffer over-read due to strchr() misuse (Hans Petter Jansson)

Translations:
	Daniel Mustieles (es)
	Мирослав Николић (sr)
	Мирослав Николић (sr@latin)
	Alexandre Franke (fr)
	Changwoo Ryu (ko)
	Baurzhan Muftakhidinov (kk)
	Jeremy Bicha (es)
	Jiri Grönroos (fi)
	Aurimas Černius (lt)
	David King (en_GB)
	Piotr Drąg (pl)
	Fran Dieguez (gl)
	Marek Černocký (cs)
	Dušan Kazik (sk)
	Ask Hjorth Larsen (da)
	Anders Jonsson (sv)
	Reinout van Schouwen (nl)

Evolution-Data-Server 3.21.91 2016-08-29
----------------------------------------

Bug Fixes:
	Bug 767786 - Don't hardcode socks:// scheme for Camel accounts proxy lookup (Milan Crha)
	Bug 768672 - Show account name and full folder path in UI messages (Milan Crha)
	Bug 769620 - Ensure Date field is filled in the folder summary (Milan Crha)
	Bug 770198 - Do not override UTC time with a DTSTART zone in e-cal-recur (Milan Crha)
	Bug 761450 - CalDAV fails to recognize "Daily Limit Exceeded" error from Google/GOA (Milan Crha)
	Bug 742117 - Loops on "Learning new spam message in INBOX" (Milan Crha)

Miscellaneous:
	Rename webkitgtk_minimum_version to webkit2gtk_minimum_version (Milan Crha)
	Add translator comments above '%s : %s' explaining its purpose (Milan Crha)
	[Camel] Folder summary can be leaked after its folder is freed (Milan Crha)

Translations:
	Piotr Drąg (pl)
	Dušan Kazik (sk)
	Jiří Eischmann (cs)
	Marek Černocký (cs)
	Andika Triwidada (id)
	Balázs Úr (hu)
	Daniel Mustieles (es)
	Enrico Nicoletto (pt_BR)
	Mario Blättermann (de)
	Balázs Úr (hu)
	Flo H (de)
	Rūdolfs Mazurs (lv)

Evolution-Data-Server 3.21.90 2016-08-15
----------------------------------------

Bug Fixes:
	Bug 768599 - Drop unused 'Deletes' table from folders.db (Milan Crha)
	Bug 766346 - Incorrect times provided in e_cal_recur_generate_instances() (Milan Crha)
	Bug 751588 - Port to WebKit2 (Milan Crha)
	Bug 767564 - Junk check fails due to empty cache file (Milan Crha)

Translations:
	Aurimas Černius (lt)
	Daniel Mustieles (es)
	Mario Blättermann (de)
	Dušan Kazik (sk)

Evolution-Data-Server 3.21.4 2016-07-18
---------------------------------------

Bug Fixes:
	Bug 767786 - Use socks:// scheme for Camel accounts proxy lookup (Milan Crha)
	Bug 767865 - [POP3] Correct Delete message after X days comparison (Milan Crha)
	Bug 767780 - The "References" header folded twice (Milan Crha)
	Bug 764065 - [Camel] Use get methods for CamelMessageInfo fields (Corentin Noël)
	Bug 443716 - Move evolution-addressbook-export to e-d-s (Milan Crha)
	Bug 768000 - [POP3] Make it understand Google authentication mechanism (Milan Crha)
	Bug 768258 - Decode headers before passing to regex comparison (Milan Crha)
	Bug 768496 - Fix some Camel annotations and rename structures (Corentin Noël)

Miscellaneous:
	Move Camel dependency into Requires.private in libedataserver/ui.pc (Milan Crha)
	Always build ESExp structure as a GObject descendant (Milan Crha)
	Correct version number reference in a developer comment (Milan Crha)
	Build developer documentation sections and types on the fly (Milan Crha)
	[POP3] Default to "Leave messages on server" for new accounts (Milan Crha)
	[IMAPx] Possible deadlock in camel_imapx_server_stop_idle_sync() (Milan Crha)
	Add Language headers to po files (Piotr Drąg)

Translations:
	Daniel Mustieles (es)
	Tiago Santos (pt)
	Rafael Fontenelle (pt_BR)
	Andika Triwidada (id)
	Chao-Hsiung Liao (zh_TW)

Evolution-Data-Server 3.21.3 2016-06-20
---------------------------------------

Bug Fixes:
	Bug 766747 - WebDAV discovery for GMX CalDAV server fails (Milan Crha)
	Bug 766682 - Three-state value for 'download messages for offline' per folder (Milan Crha)
	Bug 767056 - [IMAPx] Calculate message size on Append when not known (Milan Crha)
	Bug 767134 - [Camel] Avoid possible NULL dereference on folder dispose (Milan Crha)
	Bug 634294 - Calendar factory crash under e-cal-recur (Milan Crha)

Miscellaneous:
	e-webdav-discover-widget - Show all supported types for the source in the table (Milan Crha)
	Fix two memory leaks (Milan Crha)
	[CamelGpgContext] Provide signer photos when available (Milan Crha)
	Introduce an ENetworkMonitor (Milan Crha)
	Fix a GCC compiler warning (Milan Crha)
	Address some of the clang compiler warnings (Milan Crha)
	ENetworkMonitor: Implement also the async part of the GNetworkMonitor interface (Milan Crha)
	[Camel] Set default connection timeout to 90 seconds (Milan Crha)

Translations:
	Cédric Valmary (oc)
	Mario Blättermann (de)
	Dušan Kazik (sk)
	Rafael Fontenelle (pt_BR)

Evolution-Data-Server 3.21.2 2016-05-23
---------------------------------------

Bug Fixes:
	Bug 765857 - Allow blank "Full Name" for email account (Milan Crha)
	Bug 765646 - [Camel] Add some missing annotations (Corentin Noël)
	Bug 687038 - Support STARTTLS for NNTP servers (Milan Crha)
	Bug 740627 - [IMAPx] Cannot append to a write-only folder (Milan Crha)
	Bug 571723 - Prefer "Cancelled" over "Canceled" in translatable strings (Milan Crha)

Miscellaneous:
	Possible use-after-free on factory subprocess close (Milan Crha)
	Add error checks around factory subprocess backend loading (Milan Crha)
	[IMAPx] 'STARTTLS not supported' error ignored (Milan Crha)
	Fix some issues found by Coverity Scan, cppcheck and clang (Milan Crha)

Translations:
	Daniel Mustieles (es)
	Balázs Meskó (hu)
	sujiniku (ja)
	Cédric Valmary (oc)
	Tiago Santos (pt)

Evolution-Data-Server 3.21.1 2016-04-25
---------------------------------------

Bug Fixes:
	Bug 763951 - libedata-book: Handle an error return from e_sexp_parse() (Philip Withnall)
	Bug 764027 - [CalDAV] Use timezone location as tzid for iCloud.com (Milan Crha)
	Bug 763670 - [IMAPx] Silently ignore G_TLS_ERROR_EOF (Milan Crha)
	Bug 764172 - [IMAPx] Load folder summary into memory before sync/fetch (Milan Crha)
	Bug 764434 - Set Accept-Language header for libsoup sessions (Michael Kuhn)
	Bug 764307 - [IMAPx] Use NOTIFY only if supported and IDLE enabled (Milan Crha)
	Bug 728496 - GOA configured Google calendar not using OAuth2 (Milan Crha)
	Bug 764977 - Manual folder Refresh should fully resync with the server (Milan Crha)
	Bug 235681 - Preserve header's folding (Milan Crha)

Miscellaneous:
	Fix memory leak in error paths in EBookBackendSqliteDB::sexp_to_sql_query() (Milan Crha)
	[CalDAV] Instead of query for UID, try to get the object directly (Milan Crha)
	[CalDAV] Backend not initialized when asked to authenticate (Milan Crha)
	[IMAPx] Add default folder names as iCloud provides them (Milan Crha)
	[IMAPx] Do not change Sent folder for GMail in initial setup (Milan Crha)
	[IMAPx] Cleanup busy/idle hashes on connect/disconnect (Milan Crha)
	[IMAPx] Report message flag change only if really changed (Milan Crha)
	[IMAPx] Add thread-safety locking around server's private 'changes' property (Milan Crha)
	[IMAPx] Retry the operation only if an old connection fails (Milan Crha)
	[IMAPx] Release idle_lock before disconnecting the cancellable (Milan Crha)
	[IMAPx] Crash under imapx_server_info_changed_cb() (Milan Crha)

Translations:
	Balázs Úr (hu)
	Kristjan SCHMIDT (eo)
	Cédric Valmary (oc)
	YunQiang Su (zh_CN)

Evolution-Data-Server 3.20.0 2016-03-21
---------------------------------------

Translations:
	Jiri Grönroos (fi)
	Jordi Mas (ca)
	Efstathios Iosifidis (el)
	Yuri Myasoedov (ru)
	Ask Hjorth Larsen (da)
	Gianvito Cavasoli (it)

Evolution-Data-Server 3.19.92 2016-03-14
----------------------------------------

Bug Fixes:
	Bug 762759 - Crash on start when ~/.cache is not accessible (Milan Crha)
	Bug 763139 - libedata-book: Validate strings from the backend summary file as UTF-8 (Philip Withnall)
	Bug 761096 - [IMAPx] Disable message multi-fetch by default (Milan Crha)

Miscellaneous:
	Fix locking in an error path of camel_key_table_add() function (Insu Yun)
	[WebCal] Does not refresh when it's authenticated (Milan Crha)
	[CalDAV] Add Bearer auth to the SoupSession only when using OAuth2 (Milan Crha)

Translations:
	Rūdolfs Mazurs (lv)
	Stas Solovey (ru)
	Baurzhan Muftakhidinov (kk)
	Matej Urbančič (sl)
	Marek Černocký (cs)
	Jordi Mas (ca)
	Changwoo Ryu (ko)
	Sebastian Rasmussen (sv)

Evolution-Data-Server 3.19.91 2016-02-29
----------------------------------------

Bug Fixes:
	Bug 725320 - [Camel] Let the store preconfigure settings the first time (Milan Crha)

Miscellaneous:
	[IMAPx] Add "use-multi-fetch" boolean option (Milan Crha)
	[Camel] Run "headers-end-with" search rule in memory (Milan Crha)
	[IMAPx] Cannot mark-all-read in virtual Junk and Trash folders (Milan Crha)
	Address few issues found by Coverity Scan (Milan Crha)

Translations:
	Daniel Mustieles (es)
	Мирослав Николић (sr)
	Мирослав Николић (sr@latin)
	Rafael Fontenelle (pt_BR)
	Aurimas Černius (lt)
	Fran Dieguez (gl)
	Cédric Valmary (oc)
	Marek Černocký (cs)

Evolution-Data-Server 3.19.90 2016-02-15
----------------------------------------

Bug Fixes:
	Bug 759392 - Allow custom gpg binary (Milan Crha)
	Bug 760794 - Correct some annotations in the Calendar code (Corentin Noël)
	Bug 725320 - [Camel] Let the store preconfigure settings the first time (Milan Crha)
	Bug 748996 - GNetworkAddress is not thread safe (Milan Crha)
	Bug 760780 - [Camel] Make some bare structures boxed types (Corentin Noël)
	Bug 759153 - Prefer gpg2 over gpg (again, to match default for seahorse) (Milan Crha)
	Bug 760735 - Add RSCALE support (with libical 2.0.0+) (Milan Crha)
	Bug 761506 - Rename SSL to TLS (Milan Crha)
	Bug 761346 - More Camel introspection fixes (Corentin Noël)
	Bug 761527 - Local calendar interval tree not always updated (Milan Crha)
	Bug 760951 - Cannot copy contact from Google to WebDAV addressbook (Milan Crha)

Miscellaneous:
	[camel-debug] Add thread-safety around dwarf address resolution code (Milan Crha)
	[EDataCalView] Ensure GDBus string for view signals (Milan Crha)
	[IMAPx] Connection could be used multiple times at once in certain cases (Milan Crha)
	[IMAPx] Stop IDLE gracefully (Milan Crha)
	[IMAPx] Change how IDLE is handled (Milan Crha)
	[IMAPx] Remove runtime check from imapx_conn_manager_dec_mailbox_hash() (Milan Crha)
	[IMAPx] Try to guess also Templates and Archive folders (Milan Crha)
	[IMAPx] Crash in imapx_free_capability() (Milan Crha)
	[IMAPx] Prefer graceful IDLE stop than forced reconnect (Milan Crha)
	Use icaltzutil_set_exact_vtimezones_support(), if available (Milan Crha)
	Address/mute some Coverity Scan issues (Milan Crha)
	Do not require gnome-common to run autogen.sh (Milan Crha)
	Correct flags when checking for icaltzutil_set_exact_vtimezones_support() (Milan Crha)
	Correct some possibly uninitialized variables usages (Milan Crha)

Translations:
	Mario Blättermann (de)
	Mingye Wang (zh_TW)
	Balázs Meskó (hu)
	Daniel Mustieles (es)
	Piotr Drąg (pl)
	Ask Hjorth Larsen (da)
	Dušan Kazik (sk)
	Rūdolfs Mazurs (lv)
	Chao-Hsiung Liao (zh_TW)

Evolution-Data-Server 3.19.4 2016-01-18
---------------------------------------

Bug Fixes:
	Bug 759214 - Make CamelFilterDriver introspection friendly (Corentin Noël)
	Bug 759458 - Enable GIR generation for the Camel library (Corentin Noël)
	Bug 759714 - Fix annotations of EDataServer and Camel (Corentin Noël)

Miscellaneous:
	[IMAPx] Enhance IDLE run management on folders (Milan Crha)

Translations:
	Gianvito Cavasoli (it)
	Mario Blättermann (de)
	Aurimas Černius (lt)
	Kjartan Maraas (nb)

Evolution-Data-Server 3.19.3 2015-12-14
---------------------------------------

Bug Fixes:
	Bug 746675 - Workaround thread unsafety of icaltimezone_load_builtin_timezone() (Milan Crha)
	Bug 758856 - [GPG] Option to prefer inline sign/encrypt of pure text/plain mails (Milan Crha)

Miscellaneous:
	Make sure EDBusServer modules are loaded only once (Milan Crha)
	[POP3] Avoid deadlock around pop3_folder_get_message_sync() (Milan Crha)
	[ECacheReaper] Recover data for private folders (Milan Crha)
	[EDBusServer] Reload the server only if a new module was added (Milan Crha)

Translations:
	Aurimas Černius (lt)

Evolution-Data-Server 3.19.2 2015-11-23
---------------------------------------

Bug Fixes:
	Bug 757169 - Crash on GTasks save from gnome-todo (Milan Crha)
	Bug 757465 - [NNTP] 'Mark All Messages as Read' function does not work (Milan Crha)
	Bug 688921 - tests: Remove e-source-test (Milan Crha)
	Bug 700001 - [CamelDB] Try to recover when opening corrupt database file (Milan Crha)
	Bug 757789 - [IMAPx] Incorrect unref of a message info on message copy (Milan Crha)
	Bug 702127 - Crash under cal_backend_store_save_cache_now() (Milan Crha)

Miscellaneous:
	Correct gtk-doc build references to work in out-of-source builds too (Milan Crha)
	[Maildir] Change flag separator in file name for Win32 (Milan Crha)
	[Camel] Check for session existence in store/folder maybe_connect (Milan Crha)
	camel_service_ref_session() can return a NULL pointer (Milan Crha)
	Correct test-vcard-parsing, use unique test names (Milan Crha)
	[IMAPx] Doesn't ask for password when a wrong is entered (Milan Crha)
	[Camel] Add some helper functions for ref count issues debugging (Milan Crha)
	[EDBusServer] Load newly added modules on the fly (Milan Crha)

Translations:
	Pedro Albuquerque (pt)
	Gábor Kelemen (hu)
	Kjartan Maraas (nb)
	Marek Černocký (cs)
	Daniel Mustieles (es)

Evolution-Data-Server 3.19.1 2015-10-26
---------------------------------------

Bug Fixes:
	Bug 749974 - Use OAuth2 for Google sources (Milan Crha)
	Bug 754999 - Write EXDATE times in UTC (Milan Crha)
	Bug 255032 - Be able to write a note on a mail (Milan Crha)
	Bug 755412 - [UOA] Update OAuth flow according to Google documentation (Alberto Mardegan)
	Bug 755410 - [UOA] Incorrect ESource unref in e_signon_session_password_get() (Milan Crha)
	Bug 513779 - Select reply style per mail account (Milan Crha)
	Bug 552425 - [SMTP] Try to reconnect on connection lost during AUTH command (Milan Crha)
	Bug 755735 - Make D-Bus session service directory configurable (Simon McVittie)
	Bug 755735 - Add a systemd user service for each D-Bus session service (Simon McVittie)
	Bug 732931 - Google CalDAV returns whole calendar on UID comp-filter (Milan Crha)
	Bug 748636 - [IMAPx] Disable LIST-EXTENDED extension for Cyrus servers (Milan Crha)
	Bug 756172 - Asks for WebCal password at every start (Milan Crha)
	Bug 756530 - Deadlock in e_backend_set_online() (Milan Crha)
	Bug 756842 - [Maildir] Do not overwrite received date on the message info (Milan Crha)

Miscellaneous:
	[Weather calendar] Location/Unit changes not propagate until re-open (Milan Crha)
	Correct runtime warnings from ubuntu-online-accounts module (Milan Crha)
	source_registry_server_process_file_monitor_event - Correct possible runtime warning (Milan Crha)
	Fix a reference leak from e-webdav-discover (Milan Crha)
	Avoid the compile warning when initializing SPNEGO' gss_OID_desc structure (Tomas Popela)

Translations:
	Kenneth Nielsen (da)
	Милош Поповић (sr)
	Christian Kirbach (de)
	Inaki Larranaga Murgoitio (eu)

Evolution-Data-Server 3.18.0 2015-09-21
---------------------------------------

Bug Fixes:
	Bug 755075 - Recent glib 2.45.8 change breaks account settings (Milan Crha)

Translations:
	Fran Dieguez (gl)
	Claude Paroz (fr)
	Rūdolfs Mazurs (lv)
	Muhammet Kara (tr)
	Stas Solovey (ru)
	Marek Černocký (cs)
	Anders Jonsson (sv)
	Kjartan Maraas (nb)
	Tom Tryfonidis (el)

Evolution-Data-Server 3.17.92 2015-09-14
----------------------------------------

Bug Fixes:
	Bug 677438 - [POP3] Crash on disconnect with ongoing message download (Milan Crha)
	Bug 752339 - [POP3] Crash due to passing set GError to glib-networking (Milan Crha)
	Bug 402843 - Remove Junk/Deleted flag when moving out of real Junk/Trash folder (Milan Crha)
	Bug 753432 - Can not delete GMail's account Contact source (Milan Crha)
	Bug 750964 - Backend online state not updated before calling open() (Milan Crha)

Miscellaneous:
	[POP3] Message re-download shown as completely empty message (Milan Crha)
	[IMAPx] Junk/NotJunk message flags not stored server-side (Milan Crha)
	[IMAPx] Remove redundant CAMEL_IMAPX_ERROR_TRY_RECONNECT error code (Milan Crha)
	[IMAPx] Local changes not always properly saved to the server (Milan Crha)
	[IMAPx] Better runtime warning when running command on top of another (Milan Crha)
	[CamelVeeSummary] Do not freeze folder when setting info flags (Milan Crha)
	[IMAPx] Move to real Trash keeps original message with UID COPY (Milan Crha)
	[IMAPx] Empty trash doesn't empty virtual folder Trash (Milan Crha)
	[IMAPx] Add few more debug prints around command processing (Milan Crha)
	Always hold EDBusServer when opening factory subprocess (Milan Crha)
	Extract libsecret store/lookup/delete API into a public interface (Milan Crha)

Translations:
	Balázs Úr (hu)
	Andika Triwidada (id)
	Aurimas Černius (lt)
	Baurzhan Muftakhidinov (kk)
	Changwoo Ryu (ko)
	Kjartan Maraas (nb)

Evolution-Data-Server 3.17.91 2015-08-31
----------------------------------------

Bug Fixes:
	Bug 699529 - Store remote folder changes more often (Milan Crha)
	Bug 753764 - Can't move recurring 24h calendar entries back one day (Milan Crha)
	Bug 749773 - [IMAPx] Ignore preceding '+' in capability name (Milan Crha)

Miscellaneous:
	[IMAPx] Correct expunge and real trash/junk handling (Milan Crha)
	[CalDAV] Add workaround for FastMail servers (Milan Crha)
	[Google backend] Use imap/smtp.googlemail.com instead of .gmail.com (Milan Crha)
	[IMAPx] Do not block GetMessage requests for different messages (Milan Crha)
	[Google/ownCloud backend] Always update discovered ESource details (Milan Crha)
	[GOA/UOA] Remove duplicate ESource-s referencing the same GOA/UOA account (Milan Crha)
	[IMAPx] Do not inherit cancelled errors from previously running jobs (Milan Crha)
	[IMAPx] Name CAMEL_IMAPX_ERROR codes (Milan Crha)
	[IMAPx] Miscellaneous changes (Milan Crha)

Translations:
	Daniel Mustieles (es)
	Dušan Kazik (sk)
	Jordi Mas (ca)
	Pedro Albuquerque (pt)
	Piotr Drąg (pl)
	Chao-Hsiung Liao (zh_TW)

Evolution-Data-Server 3.17.90 2015-08-17
----------------------------------------

Bug Fixes:
	Bug 722270 - Crash under WebDAV's send_propfind() (Milan Crha)
	Bug 752233 - sexp: Eliminate some global variables which broke static linking (Philip Withnall)
	Bug 745545 - [IMAPx] Rewrite job queue to one central (Milan Crha)
	Bug 753276 - Fix return value errors in camel-imapx-conn-manager.c (Ting-Wei Lan)
	Bug 752338 - Incorrect handling of multibyte characters in vCards (Alex Shtyrov)
	Bug 752114 - Collection backend changes overwritten with old values (Milan Crha)
	Bug 233140 - Show message counts in subscribe folders dialog (Milan Crha)
	Bug 533478 - [IMAPx] Support umlauts in user tags (Milan Crha)
	Bug 752197 - Teach cache-reaper of 3rd-party private directories ][ (Milan Crha)
	Bug 684456 - Google Contacts: Support vCard REV attribute (Milan Crha)
	Bug 686105 - LDAP search with categories filter fails (Milan Crha)

Miscellaneous:
	Do not set write-to-all to installed tests executable (Milan Crha)
	Bump minimum SQLite version to 3.7.17 (Tanu Kaskinen)
	Prefix password lookup errors, thus they make more sense in UI (Milan Crha)
	Introduce CAL_STATIC_CAPABILITY_ALL_DAY_EVENT_AS_TIME (Milan Crha)
	[camel-operation.c] Correct argument in g_signal_new() (Milan Crha)
	[imapx_server_inactivity_thread] Do not claim 'cancelled' error on console (Milan Crha)
	[camel-imapx-conn-manager.c] Correct return values in some functions (Milan Crha)
	[e-cal-recur.c] Do not write out of bounds of the weekdays array (Milan Crha)
	[IMAPx] Correct IDLE detection to not overlap running commands (Milan Crha)
	[IMAPx] Add an 'output_stream' argument to imapx_step() (Milan Crha)
	[IMAPx] Stop early in imapx_authenticate_sync() if cancelled (Milan Crha)
	[IMAPx] imapx_server_inactivity_thread: Turn runtime warnings into debug messages (Milan Crha)
	[IMAPx] Ignore broken (truncated) COPYUID server response (Milan Crha)
	[IMAPx] Prefer Get/Copy/Move message and Expunge jobs over other (Milan Crha)
	[IMAPx] Treat G_IO_ERROR_CLOSED as a reason to try to reconnect (Milan Crha)
	[IMAPx] Connection could be used by two jobs at the same time (Milan Crha)
	[IMAPx] More pending-IDLE-detection related changes (Milan Crha)
	[IMAPx] Be able to search server with text with umlauts/UTF-8 letters (Milan Crha)
	[SMTP] Add thread safety around istream/ostream (Milan Crha)

Translations:
	Marek Černocký (cs)
	Aurimas Černius (lt)
	Pedro Albuquerque (pt)
	Necdet Yücel (tr)
	Kjartan Maraas (nb)
	Daniel Mustieles (es)
	Felipe Braga (pt_BR)
	Jordi Mas (ca)

Evolution-Data-Server 3.17.4 2015-07-20
---------------------------------------

Bug Fixes:
	Bug 751462 - Include header name length when folding long lines (Arthur de Jong)
	Bug 751329 - [IMAPx] Shared Folder Disappearing (Milan Crha)
	Bug 751701 - Update ESource's connection status after server connect (Milan Crha)
	Bug 751769 - camel_db_maybe_run_maintenance() returns failure incorrectly (Milan Crha)
	Bug 751657 - ESource can be removed after its property change (Milan Crha)
	Bug 750766 - [IMAPx] Deadlock filtering and downloading messages for offline use (Milan Crha)
	Bug 685035 - [IMAPx] Nonsensical progress report on folder update (Milan Crha)
	Bug 752049 - Fix return value error in camel_imapx_job_inc_update_locked() (Ting-Wei Lan)
	Bug 752197 - Teach cache-reaper of 3rd-party private directories (Milan Crha)
	Bug 752304 - [WebDAV book] Generated UIDs can clash with existing (Milan Crha)
	Bug 692361 - e_cal_client_get_free_busy() broken (Milan Crha)
	Bug 752370 - Hangs on vCard with 2 consecutive commas in the parameters list (Alex Shtyrov)
	Bug 752373 - Monthly events do not recur correctly (Milan Crha)

Miscellaneous:
	[CamelGpgContext] Handle decryption failures better (Milan Crha)
	[ENamedParameters] Be able to read/write values from/to a simple string (Milan Crha)
	[IMAPx] Set cache expiration for one week when not sync-for-offline (Milan Crha)
	Add E_CONTACT_PGP_CERT EContact field (Milan Crha)
	Enhance debugging output of source_registry_server_monitor_changed_cb() (Milan Crha)
	[Google backend] Claim Contacts and Tasks in populate() (Milan Crha)
	Not able to select time in appointment/meeting for some locales (Milan Crha)
	Doesn't honor Google settings as defined in gnome-online-accounts (Milan Crha)
	Add GCancellable parameter to camel_filter_search_match() (Milan Crha)
	Remove obsolete code comment (Milan Crha)

Translations:
	Balázs Úr (hu)
	Pedro Albuquerque (pt)
	Daniel Mustieles (es)
	Dušan Kazik (sk)

Evolution-Data-Server 3.17.3 2015-06-22
---------------------------------------

Bug Fixes:
	Bug 747988 - Adding 000D characters in plaintext mail replies (Milan Crha)
	Bug 749292 - SMTP connection lost while reading message data (Milan Crha)
	Bug 749664 - [IMAPx] Don't mark mail in trash folder as deleted (Milan Crha)
	Bug 720197 - [IMAPx] Indefinite waiting for message download (Milan Crha)
	Bug 750146 - [IMAPx] Deadlock when FETCH and STORE run at one time (Milan Crha)
	Bug 750416 - Crash under e_client_wait_for_connected_sync() (Milan Crha)
	Bug 750427 - Preserve EWS autodiscovered hosts in GOA accounts (Milan Crha)
	Bug 676155 - [POP3] Use 'Broken pipe' error for end-of-stream case (Milan Crha)
	Bug 678901 - Avoid ESource::changed notification after extension load (Milan Crha)
	Bug 750148 - GMail account with calendar/contacts broken the next start (Milan Crha)
	Bug 247661 - [LDAP] Cannot save contact with Calendar and Free/Busy URLs (Milan Crha)
	Bug 471791 - Move away from g_asserts to g_ret* (Milan Crha)
	Bug 751108 - Source registry Reload() method call broken (Milan Crha)
	Bug 750889 - Fix error in e_util_get_source_full_name() documentation (Ting-Wei Lan)
	Bug 751005 - [GOA/UOA] Make collection sources writeable by default (Milan Crha)

Miscellaneous:
	Google backend considers each discovered source as new (Milan Crha)
	[IMAPx] Message moved to real Trash/Junk multiple times (Milan Crha)
	Truly disable gtk-doc build when asked to (Milan Crha)
	[Google book] Remove unnecessary code path found by Coverity Scan (Milan Crha)
	Correct a white-space error (Milan Crha)
	[IMAPx] Consider also G_IO_ERROR_BROKEN_PIPE as 'Connection reset by peer' error (Milan Crha)
	Use e_source_remove_sync() instead of e_source_registry_server_remove_source () (Milan Crha)
	ownCloud/Google backends - make sure discovered sources are enabled (Milan Crha)
	Provide e_util_get_source_full_name() to describe source with parents (Milan Crha)
	Provide default implementation of EBackend::authenticate_sync() (Milan Crha)
	Do not add Google Tasks source for non-GOA master sources (Milan Crha)
	Make ESource::unset_last_credentials_required_arguments() virtual method (Milan Crha)
	source_registry_server_monitor_changed_cb: Reuse existing source (Milan Crha)
	addressbook: Treat an empty vCard attribute group name as NULL (Philip Withnall)
	e-source-registry-server: Watch for changes to .source files and reload (Philip Withnall)
	e_trust_prompt_run_for_source: Do not require Authentication extension (Milan Crha)
	[ETrustPrompt] Ensure needed extensions for GOA/UOA sources (Milan Crha)
	Add --factory parameter to factory subprocesses for easier debugging (Milan Crha)
	e-source-registry-server: Remove a spurious newline from a debug message (Philip Withnall)

Translations:
	Daniel Mustieles (es)
	Balázs Úr (hu)
	Piotr Drąg (am)
	Dimitris Spingos (el)

Evolution-Data-Server 3.17.2 2015-05-25
---------------------------------------

Bug Fixes:
	Bug 719476 - [IMAPx] Always run IDLE on Inbox folder (Milan Crha)
	Bug 705771 - Improve error handling in POP3 code (Milan Crha)
	Bug 748636 - [IMAPx] Disable LIST-EXTENDED extension for Cyrus servers (Milan Crha)
	Bug 748770 - Add "encrypt-by-default" property to ESourceOpenPGP (Daniel Kahn Gillmor)
	Bug 749190 - Remove unused code from EFreeFormExp (Milan Crha)
	Bug 749108 - Embedded inline images pretend message attachments (Milan Crha)
	Bug 382684 - Skip list ID prefixes in group by subject fallback (Milan Crha)
	Bug 728496 - GOA configured Google calendar not using OAuth2 (Milan Crha)
	Bug 734300 - [IMAPx] Process untagged EXPUNGE response only once (Milan Crha)
	Bug 749135 - GOA account changes not properly propagated (Milan Crha)
	Bug 749385 - [GOA] Fails to work with ownCloud with invalid certificate (Milan Crha)

Miscellaneous:
	Add a workaround for bug 674885 (Type initialisation deadlock in GObject) (Milan Crha)
	[IMAPx] Do not free uninitialized memory in imapx_call_idle() (Milan Crha)
	[POP3] Avoid crash on folder dispose, when iterating through pending commands (Milan Crha)
	[NNTP] Fix minor memory leaks (Milan Crha)
	GOA Google Calendar - Do not notify about past events (Milan Crha)
	GOA Google module - Update authentication method before WebDAV discovery (Milan Crha)
	Add thread-safety into CamelAsyncClosure (Milan Crha)
	Slow expunge of a maildir folder (Milan Crha)
	[http calendar] Add UID to the component, if missing (Milan Crha)
	[Win32] Use common Win32 init function in book/cal subprocesses (Milan Crha)
	Remove confusing runtime warning in e-source.c (Milan Crha)
	Correct 'since' tags in D-Bus .xml files (Milan Crha)
	Add ESource::UnsetLastCredentialsRequiredArguments method (Milan Crha)
	Fix a dead-code found by the Coverity Scan (Milan Crha)
	camel: Avoid an unlikely division by zero on a race condition (Philip Withnall)
	calendar: Remove dead code in HTTP backend (Philip Withnall)
	edataserverui: Remove redundant check for an error being set (Philip Withnall)
	edataserver: Remove redundant code path from e_source_dup_secret_label() (Philip Withnall)
	[Camel] Freeze/thaw also subfolders of vFolders (Milan Crha)
	Correct typos and remove dropped functions from gtk-doc definitions (Milan Crha)
	Also remove references to dropped structures from gtk-doc in eds-docs.sgml (Milan Crha)
	Correct and enhance developer documentation a bit (Milan Crha)
	[Google/ownCloud backend] Discover WebDAV sources only if URL is set (Milan Crha)
	[ESourceWebdav] Use Unknown instead of Reject result on runtime errors (Milan Crha)
	[Weather calendar] Merge intra-day forecasts into one event (Milan Crha)
	Change Google/ownCloud calendar color only when the source is new (Milan Crha)
	Address some Coveriry Scan detected issues (Milan Crha)
	Prevent read after buffer bounds in ENamedParameters::get_parameter_index() (Milan Crha)
	Close the connection in e-webdav-discover (set the soup header for it) (Milan Crha)

Translations:
	Kjartan Maraas (nb)
	Jordi Mas (ca)
	Martin Srebotnjak (sl)
	Dušan Kazik (sk)
	Cédric Valmary (oc)
	Gianvito Cavasoli (it)

Evolution-Data-Server 3.17.1 2015-04-27
---------------------------------------

Bug Fixes:
	Bug 663828 - Auto-add all Google calendars for GOA accounts (Milan Crha)
	Bug 744718 - Provide backend specific extensions as public (Milan Crha)
	Bug 692555 - Add "Personal" address book to birthdays calendar by default (Milan Crha)
	Bug 746346 - [IMAPx] Propagate no-password authentication errors into UI (Milan Crha)
	Bug 746732 - [IMAPx] Custom command doesn't have connection (Milan Crha)
	Bug 746828 - [IMAPx] Server-side deleted folders still visible in UI (Milan Crha)
	Bug 746395 - Let the provider store sent messages on its own (Milan Crha)
	Bug 723928 - Weather backend: Replace two deprecated gweather_* functions (Milan Crha)
	Bug 723260 - Use a strong reference to client in EBook/CalClientView (Milan Crha)
	Bug 747500 - Mail account connection settings change requires restart (Milan Crha)
	Bug 743996 - "FOREIGN KEY constraint failed" trying to delete contact (Milan Crha)
	Bug 746335 - [IMAPx] Current folder not updated after message move (Milan Crha)
	Bug 746276 - Add thread-safety into EAsyncClosure (Milan Crha)
	Bug 747789 - Implement Refresh for WebDAV books (Milan Crha)
	Bug 747822 - Use global gweather/gweather.h include (Giovanni Campagna)
	Bug 691456 - Incorrectly applied MONTHLY BYMONTHDAY RRULE rule (Milan Crha)
	Bug 691493 - [IMAPx] Show progress when fetching summary information (Milan Crha)
	Bug 747638 - Skipped changed messages in camel_folder_summary_get_changed() (Milan Crha)
	Bug 696552 - exists_vcard query fails with get_contacts_sync() (Milan Crha)
	Bug 696678 - Document ESourceRegistry requires running main loop (Milan Crha)
	Bug 745050 - GPG Signing key cannot be saved (prefer gpg again) (Milan Crha)
	Bug 701352 - [IMAPx] Remove deleted messages in real Trash immediately (Milan Crha)
	Bug 705268 - Run 'make check' within the build tree (Milan Crha)

Miscellaneous:
	EGoaPasswordBased - Avoid runtime warning when checking OAuth2 based accounts (Milan Crha)
	[CalDAV] Claim error when user name is missing for authentication (Milan Crha)
	Avoid possible crash in source_parse_dbus_data() (Milan Crha)
	e_collection_backend_authenticate_children: Fix a memory leak (Milan Crha)
	source_webdav_update_properties_from_soup_uri: Ignore empty user name (Milan Crha)
	Add a new WebDAV discover widget and dialog into libedataserverui (Milan Crha)
	[CalDAV] Stop re-trying authentication with bearer authenticator (Milan Crha)
	[ESourceExtension] Provide common property lock (Milan Crha)
	Drop unnecessary ldap.h include from e-source-ldap.c (Milan Crha)
	Do not use GTask for CamelSession thread jobs (Milan Crha)
	Avoid use of uninitialized variables (Milan Crha)
	Bump gtk+ version requirement to 3.10 (Milan Crha)
	Replace deprecated g_io_scheduler_push_job() in HTTP calendar backend (Milan Crha)
	Do not use deprecated gtk_dialog_get_action_area() (Milan Crha)
	[local book] Failure of contact remove not propagated to UI (Milan Crha)
	Correct developer documentation for camel_provider_list() (Milan Crha)
	[CalDAV] Fix a little memory leak (Milan Crha)
	Fix various memory leaks (Milan Crha)
	CamelVeeSummary::message_info_from_uid: Return referenced info (Milan Crha)
	Fix various memory leaks (Milan Crha)
	Revert camel-folder-thread.c part from the previous commit (Milan Crha)
	Incorrect message info unreferenced in camel_vee_folder_get_location() (Milan Crha)
	[NNTP] Provide feedback when updating folder content (Milan Crha)
	[NNTP] Can fail to disconnect when the command was cancelled (Milan Crha)

Translations:
	Rūdolfs Mazurs (lv)
	Sveinn í Felli (is)
	Marek Černocký (cs)

Evolution-Data-Server 3.16.0 2015-03-23
---------------------------------------

Translations:
	Fran Dieguez (gl)
	Chao-Hsiung Liao (zh_TW)
	Stas Solovey (ru)
	Enrico Nicoletto (pt_BR)
	Andika Triwidada (id)
	Inaki Larranaga Murgoitio (eu)
	Christian Kirbach (de)

Evolution-Data-Server 3.15.92 2015-03-16
----------------------------------------

Bug Fixes:
	Bug 720197 - [IMAPx] Indefinite waiting for message download (Milan Crha)
	Bug 737468 - [IMAPx] Temporarily workaround 'Empty cache file' error (Milan Crha)
	Bug 736040 - Local Drafts folder is displayed twice after the first run (Milan Crha)
	Bug 723614 - Restore from GConf only once (Milan Crha)
	Bug 732573 - Preset default Drafts and Sent folders for GOA/UOA accounts (Milan Crha)
	Bug 624003 - [SMTP] GMail password change not accepted first time (Milan Crha)
	Bug 697053 - Call view's remote dispose without waiting for a result (Milan Crha)
	Bug 700015 - Searching for mail contents does not respect encoding (Milan Crha)

Miscellaneous:
	Correct Berkeley DB (libdb) CFLAGS/LIBS (Milan Crha)
	module-gnome-online-accounts: Mail part of the account can be disabled (Milan Crha)
	Revert part of commit 687d1b1bcb to avoid deadlock (Milan Crha)
	Should not ask for password of GOA IMAP account (Milan Crha)
	[IMAPx] IDLE call timeouts for STARTTLS connections (Milan Crha)

Translations:
	Marek Černocký (cs)
	Piotr Drąg (pl)
	Fran Dieguez (gl)
	Balázs Úr (hu)
	Baurzhan Muftakhidinov (kk)
	Changwoo Ryu (ko)
	Aurimas Černius (lt)
	Daniel Mustieles (es)
	Anders Jonsson (sv)
	Dušan Kazik (sk)
	Tom Tryfonidis (el)
	Мирослав Николић (sr)
	Мирослав Николић (sr@latin)
	Samir Ribic (bs)
	Андрій Бандура (uk)
	Ask Hjorth Larsen (da)
	Matej Urbančič (sl)
	Josef Andersson (sv)
	Alexandre Franke (fr)
	Muhammet Kara (tr)

Evolution-Data-Server 3.15.91 2015-03-02
----------------------------------------

Bug Fixes:
	Bug 726036 - Hard to know which password belongs to which account part (Milan Crha)
	Bug 732018 - [IMAPx] Crash due to passing set GError to glib-networking ][ (Milan Crha)
	Bug 659522 - [CalDAV] Show URI in generic connection error messages (Milan Crha)
	Bug 744785 - [IMAPx] Check for correct Date before using it in APPEND (Milan Crha)
	Bug 737974 - [IMAPx] Resource-expensive EXPUNGE command (Milan Crha)

Miscellaneous:
	Avoid crash under e_source_set_connection_status() (Milan Crha)
	Load ESourceCredentialsProvider modules only once (Milan Crha)
	Provide and use thread safe variants of g_object_bind_property*() functions (Milan Crha)
	e_source_dup_secret_label: Fix compiler warning about printf format (Milan Crha)
	Update devel-doc Since from 3.14 to 3.16 (Milan Crha)
	Use recursive lock for camel_binding_* proxy functions (Milan Crha)
	[CalDAV] Be able to open in offline mode when VPN is down (Milan Crha)
	CamelNetworkService: Check for non-NULL session (Milan Crha)
	Fix a crash in server_side_source_credentials_lookup_cb() (Milan Crha)
	Sync version with GNOME 3.15 series (Milan Crha)

Translations:
	Kjartan Maraas (nb)
	Chao-Hsiung Liao (zh_TW)
	Dimitris Spingos (el)
	Dušan Kazik (sk)
	Daniel Mustieles (es)
	Claude Paroz (fr)
	Efstathios Iosifidis (el)
	Balázs Úr (hu)
	Aurimas Černius (lt)
	Fran Dieguez (gl)

Evolution-Data-Server 3.13.90 2015-02-16
----------------------------------------

Bug Fixes:
	Bug 743015 - Calendar factory crashes when trying to open a book source (Milan Crha)
	Bug 732145 - Breaks existing (not evolution's) maildir folder structure (Milan Crha)
	Bug 744092 - Define both _BSD_SOURCE and _DEFAULT_SOURCE (Milan Crha)
	Bug 743533 - [IMAPx] Shared folders removed on folder list refresh (Milan Crha)
	Bug 743010 - Do not strip S/MIME certificate names (Milan Crha)

Miscellaneous:
	Move authentication of backends back to the client (Milan Crha)
	Replace _BSD_SOURCE with _DEFAULT_SOURCE define (Milan Crha)
	Correct error in credentials_prompter_dispose() (Milan Crha)
	Fix issues found by 'make check' in ESource (Milan Crha)
	Let the 'make check' pass again (Milan Crha)
	Correct user data for credentials_prompter_connection_status_changed_cb() (Milan Crha)
	Set ESource's connection-status to disconnected on EBackend's dispose (Milan Crha)
	[WebDAV book backend] Return at least offline contacts when not connected (Milan Crha)
	[ECalClient] Do not replace cached timezones (Milan Crha)
	Identify job description for camel_session_submit_job() (Milan Crha)
	Make camel_stream_write() try to write all bytes at once (Milan Crha)
	Google address book backend opened read-only (Milan Crha)
	[IMAPx] Do not update mailboxes on exit which were not entered yet (Milan Crha)
	Declare camel_application_is_exiting variable in camel.h (Milan Crha)
	CalDAV source (calendar/task list/memo list) could be left unauthorized (Milan Crha)
	[Win32] Try to find subprefix when replacing runtime prefix (Milan Crha)

Translations:
	Marek Černocký (cs)
	Daniel Mustieles (es)
	Dušan Kazik (sk)
	Aurimas Černius (lt)
	Kjartan Maraas (nb)
	Balázs Úr (hu)
	Yuri Myasoedov (ru)

Evolution-Data-Server 3.13.10 2015-01-26
----------------------------------------

Bug Fixes:
	Bug 691465 - [IMAPx] Mark individual folder for automatic update (Milan Crha)
	Bug 741275 - [IMAPx] Handle parse errors in the disposition parsing code (Philip Withnall)
	Bug 741276 - [CalDAV] Remove dead code (Philip Withnall)
	Bug 741699 - Fix "incompatible pointer type" compiler warning (Debarshi Ray)
	Bug 741786 - Gets stuck while closing fds before execing gpg (Debarshi Ray)
	Bug 741787 - [Maildir] Cannot create subfolder 'Inbox' (Milan Crha)
	Bug 741557 - Bump vala dependency to version 0.22 (Milan Crha)
	Bug 736006 - Crash under backend_finalize() during online state change (Milan Crha)

Miscellaneous:
	EDataBook/Cal: Complete Refresh operation in IDLE (Milan Crha)

Translations:
	Balázs Úr (hu)
	Inaki Larranaga Murgoitio (eu)
	Marek Černocký (cs)

Evolution-Data-Server 3.13.9 2014-12-22
---------------------------------------

Bug Fixes:
	Bug 740627 - [IMAPx] Cannot append to a write-only folder (Milan Crha)
	Bug 721712 - Writeable calendars can report as read-only after open ][ (Milan Crha)
	Bug 701138 - Make e_cal_backend_sexp_match_comp() thread safe (Milan Crha)
	Bug 740585 - [IMAPx] Ignore timeout when no command is running (Milan Crha)
	Bug 740843 - Correct documentation of e_cal_client_remove_object_sync() (Mateusz Polrola)
	Bug 595389 - Auto-vacuum Camel DB on expunge (Milan Crha)
	Bug 550796 - Implement free form filter expression (Milan Crha)
	Bug 670114 - Provide list of Mail certificates in UI (Milan Crha)
	Bug 695754 - Use-after-free in source_registry_source_notify_enabled_idle_cb() (Milan Crha)
	Bug 735807 - Correct EPhoneNumber spelling errors (Anders Jonsson)
	Bug 741434 - Use-after-free after error in GPG signature verification (Milan Crha)

Miscellaneous:
	[IMAPx] Circle between tagprefix-es for connections (Milan Crha)
	[IMAPx] Speed-up folder cache removal on folder sync (Milan Crha)
	[IMAPx] Enhance and make work namespace override options (Milan Crha)
	[IMAPx] Runtime warning on inactivity timeout with IDLE enabled (Milan Crha)
	[SQLite VFS] Track pending sync requests (Milan Crha)
	e_cal_util_remove_instances_ex: Correct time check on an RDATE value (Milan Crha)
	Define EFreeFormExpSymbol::build_sexp as a full type, to make Vala happy (Milan Crha)
	Skip e-collator-test from 'make check' (Milan Crha)

Translations:
	Balázs Úr (hu)
	Muhammet Kara (tr)
	Daniel Șerbănescu (ro)
	Shantha kumar (ta)
	Daniel Mustieles (es)
	Balázs Úr (hu)

Evolution-Data-Server 3.13.8 2014-11-24
---------------------------------------

Bug Fixes:
	Bug 300871 - Ignore a specific thread (Milan Crha)
	Bug 739343 - Google Task with Due Date freezes UI on save (Milan Crha)
	Bug 738724 - [IMAP] Message flag changes not always saved (Milan Crha)
	Bug 739495 - addressbook: Fix a typo in a comparison (Philip Withnall)
	Bug 739904 - Can't create Contact List on an LDAP server (Milan Crha)
	Bug 678398 - Make evolution-source-registry debugging configurable (Milan Crha)
	Bug 739610 - [IMAPx] Prevent running FETCH and STORE at the same time (Milan Crha)
	Bug 736011 - [CalDAV] Receive two events adds only the first (Milan Crha)
	Bug 620088 - Enable "This and future" recurrence change option (Milan Crha)
	Bug 735659 - EBookSqlite: Revert ABI change introduced by commit 8231f94 (Mateusz Polrola)
	Bug 736947 - Attachment icon not shown in Sent folder (Milan Crha)
	Bug 732717 - Refreshing an IMAP account does not refresh folder list (Milan Crha)
	Bug 733518 - Make VOICE type optional for TEL in EContact (Milan Crha)
	Bug 732018 - Crash due to passing set GError to glib-networking (Milan Crha)

Miscellaneous:
	Disabling/enabling Collection master source doesn't update children properly (Milan Crha)
	CamelMimeFilterToHTML - Text can be quoted with different characters than just ">" (Tomas Popela)
	Factory could close due to inactivity with slow backend subprocess open (Milan Crha)
	[IMAPx] Try to reconnect after socket I/O timeout (Milan Crha)
	addressbook: Fix ordering of parameters to fread() (Philip Withnall)
	e-proxy: Eliminate more use of undefined C behaviour (Philip Withnall)
	addressbook: Strengthen an assertion to avoid negative bit shifts (Philip Withnall)
	camel: Fix ordering of parameters to fread() (Philip Withnall)
	camel: Fix ordering of parameters to fwrite() (Philip Withnall)
	addressbook: Fix ordering of parameters to fwrite() (Philip Withnall)
	camel_folder_thaw: Save changes to local summary (Milan Crha)
	[CamelIMAPXServer] Assign tagprefix per account (Milan Crha)
	e-source-registry-server: Fix a potential NULL pointer dereference (Philip Withnall)
	[ECalBackendFile] Stops refresh thread too late (Milan Crha)
	ECalComponent: Recurrence ID not rescan properly (Milan Crha)
	Update X-EVOLUTION-ENDDATE before saving changes to events (Milan Crha)
	Limit SQLite busy-wait for a lock (Milan Crha)

Translations:
	Baurzhan Muftakhidinov (kk)
	Marek Černocký (cs)
	Anders Jonsson (sv)
	Kjartan Maraas (nb)
	Duarte Loreto (pt)

Evolution-Data-Server 3.13.7 2014-10-27
---------------------------------------

Bug Fixes:
	Bug 737279 - DRA not working (Fabiano Fidêncio)
	Bug 653157 - Enable extra compiler warnings in maintainer mode only (Milan Crha)
	Bug 699597 - EBookSqlite: Add indices on family_name, nickname, given_name and file_as (David Woodhouse)
	Bug 699597 - EBookSqlite: Fix queries to use LEFT JOIN where appropriate (David Woodhouse)
	Bug 699597 - EBookSqlite: Use UNION for autocomplete queries (David Woodhouse)
	Bug 737903 - [SMTP] Crash when authentication fails (Milan Crha)
	Bug 737951 - CAMEL_DEBUG=smtp should provide information about SMTP server (Milan Crha)
	Bug 737733 - [IMAPx] Prevent "Stream has outstanding operation" error (Milan Crha)
	Bug 223621 - Add per-account mail Archive Folder option (Milan Crha)
	Bug 738288 - EBookSqlite is leaking memory in ebsql_ref_from_hash function (Mateusz Polrola)
	Bug 698964 - Hide password prompt right after getting the password (Milan Crha)
	Bug 708166 - Update EClient properties on idle after GDBusProxy notify (Milan Crha)
	Bug 737930 - Claims invalid PGP signature for single line mail (Christian Schaarschmidt)
	Bug 738724 - [IMAP] Message flag changes not always saved (Milan Crha)
	Bug 738965 - [SQLite VFS] Crash due to missing xFetch definition (Milan Crha)
	Bug 738184 - [IMAPx] Not every server returns empty namespace prefix for INBOX (Milan Crha)
	Bug 712392 - Delay server availability checks on network change (Milan Crha)
	Bug 583772 - Specify folder in "Downloading new messages for offline mode" (Milan Crha)

Miscellaneous:
	[Win32] Provide a simple password store (Milan Crha)
	Correct compiler flags for libedataserver-private.la (Milan Crha)
	Add libedbus-private.la into LIBADD where needed (Milan Crha)
	Fix UOA accounts accumulating on startup. (Michael Blennerhassett)
	imapx_is_duplicate_fetch_or_refresh: Fix incorrect bit-flag test (Milan Crha)
	CamelMimeFilterToHTML - If the PRE close tag is written to the output, mark it as processed in private as well (Tomas Popela)
	Do not define EBackend::online as G_PARAM_CONSTRUCT (Milan Crha)
	Fixed introspection annotations. (tintou)
	[SMTP] Fails to send message after a change for bug 737903 (Milan Crha)
	Update MAINTAINERS, doap. (Matthew Barnes)
	[CamelService] Connect/Disconnect rely on provided cancellable (Milan Crha)
	[CamelFolder/Store] Check online state of the session too before connecting (Milan Crha)
	[CamelIMAPXConnManager] Can starve in close connections (Milan Crha)
	Use 90 seconds timeout for Camel connections (Milan Crha)
	[CamelOfflineStore] Count with host reachability update delay (Milan Crha)
	[IMAPx] Do not connect to the server in offline mode (Milan Crha)

Translations:
	Rajesh Ranjan (hi)
	Rūdolfs Mazurs (lv)
	Saibal Ray (bn_IN)
	Piotr Drąg (pl)
	Milo Casagrande (it)
	Daniel Mustieles (es)

Evolution-Data-Server 3.13.6 2014-09-22
---------------------------------------

Bug Fixes:
	Bug 735311 - Adapt to new Google HTTP restriction (Matthew Barnes)
	Bug 486018 - Implement IDNA (Internationalized Domain Names in Applications) (Milan Crha)
	Bug 734853 - CamelNetworkService fails to connect to 'localhost' (Milan Crha)
	Bug 694112 - Crash under e_book_backend_ldap_stop_book_view() (Milan Crha)
	Bug 735523 - Migrate sync_data from EBookBackendSqliteDB to EBookSqlite (David Woodhouse)
	Bug 735191 - [IMAPx] Avoid storing server-disallowed message flags (Milan Crha)
	Bug 733733 - Crash due to write out of buffer in CamelMimeFilterToHTML (Milan Crha)
	Bug 735523 - test-book-client-custom-summary: Add 'exists' tests (David Woodhouse)
	Bug 735523 - EBookSqlite: Support 'exists' queries from summary (David Woodhouse)
	Bug 735523 - EBookSqlite: Support boolean summary field for EContactCert (David Woodhouse)
	Bug 735523 - EBookSqlite: Enable x509Cert summary field by default (David Woodhouse)
	Bug 735200 - [IMAPx] Fails to handle QUOTA response with no quotas (Jeffrey Hutzelman)
	Bug 735523 - Allow EBookSqlite to be used without transactions (David Woodhouse)
	Bug 735523 - Fix erroneous 'return' after EContactCert check (David Woodhouse)
	Bug 735809 - Only export symbols starting with 'e_' in libebook-contacts (Laurent Bigonville)
	Bug 730438 - Remove Coverity scan TOCTTOU races from file handling code (Philip Withnall)
	Bug 735659 - EBookSqlite should ignore leading zeros when looking for phone number (Mateusz Polrola)
	Bug 735342 - camel: Fix potential integer overflow found by Coverity scan (Philip Withnall)
	Bug 736116 - Add EBSQL_DEBUG=timing (David Woodhouse)
	Bug 735344 - camel: Fix potential integer overflow found by Coverity scan (Philip Withnall)
	Bug 730438 - camel_movemail: Treat no source file as no mail to copy (Philip Withnall)
	Bug 736657 - Extra space in nested quotation reply (Tomas Popela)

Miscellaneous:
	CamelDB: Allow nested transactions (Milan Crha)
	Build libedbus-private.la as a shared library (Milan Crha)
	Do not add GTasks source when the GTasks backend is not built (Milan Crha)
	[IMAPx] Deleted messages not always saved to the server properly (Milan Crha)
	[IMAPx] Incorrect mailbox used for untagged OK/NO/BAD with pending SELECT (Milan Crha)
	Miscellaneous Win32 related changes (Milan Crha)
	Add (failing) test for Evolution's address autocompletion query (David Woodhouse)

Translations:
	Christian Kirbach (de)
	Nilamdyuti Goswami (as)
	Andika Triwidada (id)
	Changwoo Ryu (ko)
	Rūdolfs Mazurs (lv)
	Balázs Úr (hu)
	Ville-Pekka Vainio (fi)
	Piotr Drąg (pl)
	Matej Urbančič (sl)
	Shantha kumar (ta)
	Saibal Ray (bn_IN)
	Kenneth Nielsen (da)
	Manoj Kumar Giri (or)
	Fran Diéguez (gl)
	Yuri Myasoedov (ru)
	Maria  Mavridou (el)
	Sandeep Sheshrao Shedmake (mr)
	Marek Černocký (cs)

Evolution-Data-Server 3.13.5 2014-08-25
---------------------------------------

Bug Fixes:
	[IMAPx] Add actual error message into 'Select failed' debug log (Milan Crha)

Miscellaneous:
	doap category core (Olav Vitters)
	doap: add <programming-language> (Andre Klapper)

Translations:
	YunQiang Su (zh_CN)
	Inaki Larranaga Murgoitio (eu)

Evolution-Data-Server 3.13.4 2014-07-28
---------------------------------------

Bug Fixes:
	Bug 731440 - [IMAPx] Moved folder within account duplicated in UI (Milan Crha)
	Bug 728653 - Fix Google Talk support (Christian Schaarschmidt)
	Bug 732263 - Deleting Search Folder very slow (Milan Crha)
	Bug 721712 - Writeable calendars can report as read-only after open (Milan Crha)
	Bug 729172 - [IMAPx] Cannot retrieve certain messages (Ian Campbell)
	Bug 732607 - Crash in imapx_job_fetch_new_messages_start() (Milan Crha)
	Bug 732366 - [IMAPx] Stuck FETCH command when using IDLE (Milan Crha)
	Bug 732800 - Generated files in tests/book-migration/db are not git-ignored (Jonas Hahnfeld)
	Bug 732801 - test-driver is not git-ignored (Jonas Hahnfeld)
	Bug 732730 - Addressbook: Notify views after locale change (Mateusz Polrola)
	Bug 732948 - Add backend-per-process support (Fabiano Fidêncio)
	Bug 733183 - Do not include built sources in distribution (Milan Crha)
	Bug 733081 - [IMAPx] Job stuck after send when saving to IMAP server (Milan Crha)
	Bug 732983 - e_book_query_field_exists() fails with non-string fields (Milan Crha)
	Bug 733081 - [IMAPx] Job stuck after send when saving to IMAP server (take 2) (Milan Crha)
	Bug 732627 - [IMAPx] Add support for literal8 in nstring (Milan Crha)

Miscellaneous:
	Make file references in sgml files source-dir capable (Milan Crha)
	data-test-utils.c: Make sure Camel's provider dir exists during tests (Milan Crha)
	Fix handling of NTLM passwords of 28 characters (David Woodhouse)
	Correct return value at pop3_folder_get_message_sync() (Milan Crha)
	Remove libdb related headers from libebackend.h (Milan Crha)
	Remove unused and obsolete evolution-data-server-zip.in (Milan Crha)
	Remove libdb related headers from libedata-book.h (Milan Crha)
	Do not delete passwords during authentication session (Milan Crha)
	g_subprocess_launcher_set_child_setup() is available only for Unixes (Milan Crha)
	Add missing chain-up-s to parent's constructed() method (Milan Crha)
	Strip remote GDBus errors after talking to GOA (Milan Crha)
	camel-sasl-gssapi: Generate correct error messages for non-krb5 mechanisms (Daniel Sands)
	camel-sasl-gssapi: Use SPNEGO for HTTP auth not bare krb5 (David Woodhouse)
	Improve error on failed conversion (David Woodhouse)
	camel-sasl-gssapi: Always use gss_display_status() for mechanism error code (David Woodhouse)
	Share subprocesses for built-in backends by default (Milan Crha)
	Correct typo in a CAMEL_CHECK_LOCAL_GERROR() debugging macro (Milan Crha)
	EBook/CalClient reference imbalance after commit 033215f for bug 721712 (Milan Crha)

Translations:
	Balázs Úr (hu)
	Yuri Myasoedov (ru)

Evolution-Data-Server 3.13.3 2014-06-23
---------------------------------------

Bug Fixes:
	Bug 719475 - [IMAPx] Increase multi-fetch chunk size to 32KB (Milan Crha)
	Bug 730788 - [IMAPx] Deadlock during IDLE start (Milan Crha)
	Bug 730645 - Search / filtering for "has words" is broken (Milan Crha)
	Bug 729850 - CamelMimeParser cannot parse mbox files (Milan Crha)
	Bug 730979 - [IMAPx] Quota information is not read properly (Milan Crha)
	Bug 721128 - Make Evolution-Data-Server build under Win32 (Tarnyko)
	Bug 730827 - Cannot use libphonenumber >= r568 (Mateusz Polrola)
	Bug 591811 - Do not re-encode attachments and change CRLF/LF (Milan Crha)
	Bug 227536 - Add "Message Location" filter option (Milan Crha)
	Bug 731418 - Unnecessary localedir override in configure.ac (Alan Swanson)
	Bug 731356 - GError overwrite in camel_filter_search_match() (Milan Crha)
	Bug 729848 - [IMAPx] Hard to get to cached messages in offline (Milan Crha)
	Bug 731585 - evolution-ews Camel part pretends offline state (Milan Crha)
	Bug 731562 - [IMAPx] Occasionally getting 'Empty cache file' error (Milan Crha)
	Bug 702703 - Be able to overwrite domain in Message IDs (Milan Crha)
	Bug 731560 - Crash under imapx_call_idle() after folder rename (Milan Crha)
	Bug 731656 - "Automatically synchronize remote mail locally" confusing (Milan Crha)
	Bug 731720 - Junk test logic has useless ordering (Milan Crha)
	Bug 652132 - Google Tasks support (Milan Crha)

Miscellaneous:
	Make libdb optional dependency (Milan Crha)
	Use OpenLDAP in Win32 builds as well (Milan Crha)
	Misceallenous Win32 build related fixes (Milan Crha)
	[IMAPx] 'Error performing IDLE: Shutting down' is not an error (Milan Crha)
	Use g_weak_ref_init/_clear() on structure-allocated GWeakRef-s (Milan Crha)
	[Maildir] g_mkdir() doesn't fail, if the folder already exists (Milan Crha)
	[IMAPx] Claim camel_store_folder_info_stale() when more settings changed (Milan Crha)
	Fix two dumb compiler warnings introduced in the previous commit (Milan Crha)
	Fix a memory leak in camel_imapx_server_copy_message() (Milan Crha)
	Fix possible compiler warning of unused 'fd' variable (Milan Crha)
	Revert leak-fix part from commit eb8ba5489 (Milan Crha)
	[IMAPx] Avoid useless console warnings after a call to g_rename() (Milan Crha)
	Correct a typo in CalDAV's Makefile.am (Milan Crha)
	libebook: Don’t warn on calling unimplemented methods (Philip Withnall)
	libecal: Don’t warn on calling unimplemented methods (Philip Withnall)

Translations:
	Marek Černocký (cs)
	Matej Urbančič (sl)

Evolution-Data-Server 3.13.2 2014-05-26
---------------------------------------

Bug Fixes:
	Bug #720154 - [IMAPx] Silently recover from "Connection reset by peer" error (Milan Crha)
	Bug #720154 - [NNTP] Silently recover from "Connection reset by peer" error (Milan Crha)
	Bug #728167 - [IMAPx] Message headers downloaded twice (Milan Crha)
	Bug #728414 - Deliver ESource data changes on idle (Milan Crha)
	Bug #729251 - EBookSqlite: Allow record detailed changes made to contacts (Mateusz Polrola)
	Bug #728973 - [IMAPX] Recover after store summary version mismatch (Milan Crha)
	Bug #678843 - May re-prompt password on account re-enable (Milan Crha)
	Bug #729546 - [IMAPx] Crash after large message download cancel (Milan Crha)
	Bug #728976 - [IMAPx] Ignore \NoSelect for Inbox folder (Milan Crha)
	Bug #730398 - [WebDAV] Incorrect cache clean-up after book view cancel (Milan Crha)
	Bug #725045 - Crash updating Google book's contact with photo (Milan Crha)
	Bug #730281 - [CalDAV] Recover after temporary connection lost (Milan Crha)

Miscellaneous:
	EBackend: Fix view leak when the client crashes (Fabiano Fidêncio)
	[IMAPx] Set local cache to never expire (Milan Crha)
	camel_imapx_conn_manager_close_connections: Avoid possible deadlock (Milan Crha)
	imapx_register_job: Try reconnect if the server is shutdown/disconnected (Milan Crha)
	[IMAPx] Try to address "Empty cache file" error (Milan Crha)
	[IMAPX] Missing folder operation finish call at imapx_search_process_criteria() (Milan Crha)
	[IMAPX] Do not hold queue_lock when calling imapx_server_ref_job() (Milan Crha)
	libedataserver: Fix a function name in a documentation comment (Philip Withnall)
	camel_imapx_conn_manager_get_connection: Ensure only connected servers are returned (Milan Crha)
	e-proxy: Eliminate use of undefined C behaviour (Philip Withnall)
	secret-monitor: Remove duplicate assignment (Philip Withnall)
	addressbook: Fix some potential NULL pointer dereferences with SQL (Philip Withnall)
	camel: Print a warning on failing to save migrated maildir version (Philip Withnall)
	camel: Avoid an unlikely division by zero on a race condition (Philip Withnall)
	addressbook: Add bounds checking to a summary file function (Philip Withnall)
	addressbook: Fix cancellable handling if not in a transaction (Philip Withnall)
	camel: Avoid an unlikely division by zero failure (Philip Withnall)
	addressbook: Strengthen an assertion to avoid negative bit shifts (Philip Withnall)
	[EBookBackendGoogle] Guard private 'groups' members with a lock (Milan Crha)
	[LDAP & Google] Use EBookBackendClass::refresh_sync method (Milan Crha)
	[EBookBackendGoogle] Do not store active views in its own way (Milan Crha)
	[EBookBackendGoogle] Serialize group list update and cache update (Milan Crha)

Translations:
	Matej Urbančič (sl)
	Pau Iranzo (ca)
	Christian Kirbach (de)
	Piotr Drąg (pl)
	Enrico Nicoletto (pt_BR)

Evolution-Data-Server 3.13.1 2014-04-28
---------------------------------------

Bug Fixes:
	Bug 660535 - Google contact groups/categories not showing in category
	             list (Philip Withnall)
	Bug 699797 - Verify SSL trust after redirection (Matt McCutchen)
	Bug 722275 - IMAPX: Incorrectly reads astring values (mailbox names)
	             (Milan Crha)
	Bug 726060 - Password prompt initiated before D-Bus name acquired
	             (Milan Crha)
	Bug 726767 - [imapx] Implement CamelFolder::get_message_cached()
	             (Milan Crha)
	Bug 726788 - Crash on malformed vCard (Xavier Claessens)
	Bug 727237 - Correct LGPL license information in sources (Milan Crha)
	Bug 727431 - Merge common factories' code into a superclass
	             (Fabiano Fidêncio)
	Bug 727598 - [IMAPX] Fails to list folders without NAMESPACE capability
	             (Milan Crha)
	Bug 728087 - Use-after-free in contact address switch in composer
	             (Christian Schaarschmidt)
	Bug 728737 - [IMAPx] Namespaces not recognized in subscription list
	             (Milan Crha)
	Bug 728917 - Crashes on start with SIGSEGV in
	             data_book_factory_list_books (Fabiano Fidêncio)

Other Changes:
	* The IMAP backend uses concurrent connections again. (Milan Crha)
	* Plugged assorted memory leaks. (Milan Crha)
	* Automatically reject revoked certificates rather than prompting -
	  mainly in reaction to "heartbleed". (Milan Crha)
	* libedataserver: Make ECategories thread safe (Philip Withnall)
	* Add e_contact_get_attributes_set(). (Christian Schaarschmidt)
	* libebook/libecal: Don’t emit a warning on a dropped D-Bus
	  connection in dispose (Philip Withnall)
	* Set properly children availability for newly created local
	  folders (Milan Crha)
	* [ownCloud backend] Check color format before using it (Milan Crha)

Translations:
	Inaki Larranaga Murgoitio (eu)
	Gianvito Cavasoli (it)
	Jiro Matsuzawa (ja)
	Kjartan Maraas (nb)


Evolution-Data-Server 3.12.0 2014-03-24
---------------------------------------

Bug Fixes:
	Bug 726681 - Check GConf XDG folder for migration too (Milan Crha)
	Bug 726723 - Data loss on message copy to an IMAPx folder (Milan Crha)

Translations:
	Ask H. Larsen (da)
	Christian Kirbach (de)
	Gábor Kelemen (hu)
	Duarte Loreto (pt)
	Мирослав Николић (sr)


Evolution-Data-Server 3.11.92 2014-03-17
----------------------------------------

Bug Fixes:
	Bug 633177 - Avoid runtime warnings from CamelFolder::cmp_uids()
	             overrides (Milan Crha)
	Bug 710633 - EDestination: Remove empty sublists (Milan Crha)
	Bug 711053 - WebDAV: Do not overwrite UID of a contact (Milan Crha)
	Bug 711436 - CalDAV: Ignore ctag on manual Refresh invocation
	             (Milan Crha)
	Bug 712564 - GPG: Treat marginal trust the same as unknown (Milan Crha)
	Bug 726204 - Ugly error message when creating Maildir folder fails
	             (Matthew Barnes)

Other Changes:
	* CamelStore: Handle CAMEL_STORE_FOLDER_CREATE flag directly.
	  (Matthew Barnes)
	* CamelDataWrapper: Add construct_from_input_stream() method.
	  (Matthew Barnes)
	* CamelIMAPXServer: Copy child setup gunk from CamelStreamProcess.
	  (Matthew Barnes)
	* Addressbook: Flush DBus properties after setting new locale.
	  (Mateusz Polrola)
	* Don't close base stream when destroying a CamelFilterOutputStream.
	  (Matthew Barnes)
	* e_cal_backend_get_timezone_finish: Do not panic when the timezone
	  cannot be found (Milan Crha)

Translations:
	Changwoo Ryu (ko)
	Rūdolfs Mazurs (lv)
	Kjartan Maraas (nb)
	Yuri Myasoedov (ru)


Evolution-Data-Server 3.11.91 2014-03-03
----------------------------------------

Bug Fixes:
	Bug 274316 - [IMAP] Follow-up flag lost on message move/copy
	             (Milan Crha)
	Bug 623066 - CalDAV doesn't read Location header from Created
	             response (Milan Crha)
	Bug 694084 - IMAPx doesn't stick Labels (Milan Crha)
	Bug 705028 - gen-western-table.py is not compatible with python3
	             (Arfrever Frehtes Taifersar Arahesis)
	Bug 710997 - Check some return values before use (Murray Cumming)
	Bug 724729 - camel-folder.c:folder_changed() blocks the UI thread
	             (Milan Crha)

Other Changes:
	* Ported IMAPX backend to use GIO streams instead of CamelStream.
	  (Matthew Barnes)
	* Weather Calendar: Weather info source never freed (Milan Crha)
	* Fix a memory leak in imapx_untagged_lsub() (Milan Crha)

Translations:
	Aurimas Černius (lt)
	Piotr Drąg (pl)


Evolution-Data-Server 3.11.90 2014-02-17
----------------------------------------

Bug Fixes:
	Bug 655806 - Folder deletion is very slow (Fabiano Fidêncio)
	Bug 719806 - IMAP: Empty trash doesn't work with a real trash folder
	             (Milan Crha)
	Bug 720529 - Merge RFC2047 encoded words before ensuring UTF-8 validity
	             (Milan Crha)
	Bug 720751 - camel_tag_set() doesn't copy tag's name properly
	             (Milan Crha)
	Bug 720940 - Always asked to synchronize folders when going offline
	             (Milan Crha)
	Bug 721030 - WebDAV: download_contacts() leaks (Michel Dänzer)
	Bug 723481 - Wrong callback signature in imapx_process_read_to_read()
	             (Matthew Barnes)
	Bug 723539 - Use SmtpAuth* properties from
	             org.gnome.OnlineAccounts.Mail (Matthew Barnes)
	Bug 724343 - Moving emails between IMAP server results in wrong date
	             (Milan Crha)

Other Changes:
	* Add a 'secret-monitor' module to maintain keyring entries.
	  (Matthew Barnes)
	* Begin phasing out CamelStream for GIO streams. (Matthew Barnes)
	* ESource changes not always written to a disk (Milan Crha)
	* ESource: Add functions for password management. (Matthew Barnes)

Translations:
	Claude Paroz (fr)
	Shankar Prasad (kn)
	Kjartan Maraas (nb)
	Yuri Myasoedov (ru)


Evolution-Data-Server 3.11.5 2014-02-02
---------------------------------------

Bug Fixes:
	Bug 687640 - Crash in caldav's initialize_backend() (Milan Crha)
	Bug 702709 - Do network background operations only if the CamelSession
	             is online (Milan Crha)
	Bug 719583 - Get a ESourceRegistry singleton (Xavier Claessens)
	Bug 720676 - [IMAPX] Do more searching server-side (Milan Crha)
	Bug 720943 - vFolder does not refresh automatically (Milan Crha)
	Bug 721286 - IMAPx: read messages become unread when reopening
	             Evolution (Milan Crha)
	Bug 721581 - Unable to write to ldap addressbook (Milan Crha)
	Bug 722275 - IMAPX: Parser trips on mailbox containing '+'
	             (Matthew Barnes)
	Bug 722415 - Memo does not support Start Date property
	             (Fabiano Fidêncio)

Other Changes:
	* IMAP IDLE mode improvements. (Matthew Barnes)
	* CamelStore: Remove noop_sync() method. (Matthew Barnes)
	* CalDAV: Force password ask on soup authenticate failure (Milan Crha)
	* Server-side memory leaks in calendar factory (Milan Crha)
	* CamelGPGContext: Prefer gpg2 over gpg (Milan Crha)
	* IMAPX: Remove some unused character macros. (Matthew Barnes)
	* ESource: Do not set properties on load which did not change
	  (Milan Crha)
	* Add CamelNullOutputStream. (Matthew Barnes)
	* maildir_store_get_folder_sync: Fix use-after-free issue (Milan Crha)

Translations:
	Nilamdyuti Goswami (as)
	Wylmer Wang (zh_CN)
	Chao-Hsiung Liao (zh_HK)


Evolution-Data-Server 3.11.4 2014-01-13
---------------------------------------

Bug Fixes:
	Bug 721527 - License text contains obsolete FSF postal address
	             (Matthew Barnes)
	Bug 721733 - Tweak Berkeley DB detection logic (Ryan Lortie)
	Bug 720657 - IMAPX: No new messages are received (Matthew Barnes)

Other Changes:
	* Update project homepage URL (William Jon McCann)
	* Bump SOURCES_DBUS_SERVICE_NAME version. (Matthew Barnes)
	* Remove #include <malloc.h> from a file (Ryan Lortie)
	* tests: #include <sys/wait.h> for WIFEXITED (Ryan Lortie)
	* CamelIMAPXNamespace: Allow NIL separator character. (Lubomir Rintel)
	* IMAPX: Handle BODY[HEADER] in FETCH response. (Lubomir Rintel)

Translations:
	Marek Černocký (cs)
	Dimitris Spingos (el)
	Fran Diéguez (gl)
	Gabor Kelemen (hu)
	Andika Triwidada (id)
	Rafael Ferreira (pt_BR)


Evolution-Data-Server 3.11.3 2013-12-16
---------------------------------------

Highlights:
	* Evolution-Data-Server API documentation has been merged into
	  one Gtk-Doc module (excluding Camel and private D-Bus APIs).
	  (Tristan Van Berkom)

Bug Fixes:
	Bug 680961 - Broken dispatching of EAuthenticationSession (Milan Crha)
	Bug 709838 - CamelDataCache: Empty cache file leads to deadlock
	             (Matthew Barnes)
	Bug 710361 - GError corruption in imapx_command_fetch_message_done()
	             (Matthew Barnes)
	Bug 712323 - Substantially expand EVCard documentation
	             (Philip Withnall)
	Bug 712578 - MH folder refresh can cause summary rebuild (Milan Crha)
	Bug 712728 - Add --disable-migration option to
	             evolution-source-registry (Tristan Van Berkom)
	Bug 712829 - Silence unnecessary migration chatter on stdout
	             (Colin Walters)
	Bug 715035 - cache-reaper: Demote g_message() -> g_debug()
	             (Colin Walters)
	Bug 715057 - Weather calendar is using Fahrenheit units as default
	             (Fabiano Fidêncio)
	Bug 719307 - trust-prompt: Squash a compiler warning (Colin Walters)
	Bug 719382 - Build break, missing NSPR CFLAGS/LIBS in Camel
	             (Milan Crha)
	Bug 719720 - Refcount error in imapx_command_select_done()
	             (Matthew Barnes)
	Bug 719774 - Missing linker flag in evolution-addressbook-factory
	             (Lionel Landwerlin)

Other Changes:
	* Bump minimum libgweather requirement. (Matthew Barnes)
	* Remove --enable-nntp configure option. (Matthew Barnes)
	* Remove --enable-strict configure option. (Matthew Barnes)
	* UOA: Update google-calendar service to use OAuth-based CalDAV.
	  (Matthew Barnes)
	* UOA: Add support for IMAP access to Windows Live accounts.
	  (Matthew Barnes)
	* ESourceRegistry: Ignore hidden files from .source folder monitoring
	  (Milan Crha)
	* Weather calendar: Be able to change temperature unit (Milan Crha)
	* e-vcard: Fix a minor memory leak for multi-valued parameters.
	  (Philip Withnall)
	* e-vcard: Fix case sensitivity of string comparisions.
	  (Philip Withnall)
	* EDataBook: Fixed memory leak of every EContact succesfully added to
	  the addressbook. (Tristan Van Berkom)
	* ESExp: Fixed memory leak of ESExp->error string (Tristan Van Berkom)
	* CamelSession: Remove "check-junk" property. (Matthew Barnes)
	* CamelSession: Add a "user-alert" signal. (Matthew Barnes)
	* Added e_vcard_construct_full() (Tristan Van Berkom)
	* ECollator: fixed e_collator_collate() to allow NULL strings.
	  (Tristan Van Berkom)
	* ECollator: Added e_collator_new_interpret_country()
	  (Tristan Van Berkom)
	* EPhoneNumber: Fixed phone number matching semantics.
	  (Tristan Van Berkom)
	* Added E_BOOK_INDEX_SORT_KEY to EBookIndexType (Tristan Van Berkom)
	* Adding new EBookSqlite (Tristan Van Berkom)
	* EDataBookCursor: Changed APIs to permit GCancellable for long
	  running operations. (Tristan Van Berkom)
	* Camel: Remove all asynchronous class methods. (Matthew Barnes)
	* Camel: Port from GSimpleAsyncResult to GTask. (Matthew Barnes)
	* CamelFolder: Remove unused fetch_messages_sync() method.
	  (Matthew Barnes)
	* CamelPOP3Settings: Remove unused "mobile-mode" property.
	  (Matthew Barnes)
	* CamelPOP3Settings: Remove unused "batch-fetch-count" property.
	  (Matthew Barnes)
	* CamelIMAPXSettings: Remove unused "mobile-mode" property.
	  (Matthew Barnes)
	* Add CamelAsyncClosure. (Matthew Barnes)
	* Added m4/eds-installed-tests.m4 with the EDS_INSTALLED_TESTS macro
	  (Tristan Van Berkom)
	* CamelPOP3Folder: Fix a potential g_object_unref(NULL) call
	  (Philip Withnall)
	* libecal: Refactor system timezone key file parsing code
	  (Philip Withnall)
	* Deprecate ECancellable[Rec]Mutex. (Matthew Barnes)
	* Add camel_service_queue_task(). (Matthew Barnes)
	* CamelIMAPXServer: Fix handling of LSUB responses. (Matthew Barnes)

Translations:
	Dimitris Spingos (el)
	Daniel Mustieles (es)
	Fran Diéguez (gl)
	Aurimas Černius (lt)
	Piotr Drąg (pl)
	Shantha kumar (ta)


Evolution-Data-Server 3.11.2 2013-11-18
---------------------------------------

Highlights:
	* New cursor API for address book clients. (Tristan Van Berkom)
	* Partial support for the IMAP NOTIFY extension. (Matthew Barnes)
	* Add VPN awareness to email accounts and transports. (Matthew Barnes)

Bug Fixes:
	Bug 710668 - ESource: Verify removal before returning (Matthew Barnes)
	Bug 710787 - Replace most uses of sprintf() with g_snprintf()
	             (Murray Cumming)
	Bug 710808 - Name all the timeouts added with g_timeout_add()
	             (Bastien Nocera)
	Bug 710989 - Replace most uses of strcpy() (Murray Cumming)

Other Changes:
	* Bump minimum libsoup requirement to 2.42. (Matthew Barnes)
	* Integrate network proxy support into the ESource framework, and
	  deprecate the old EProxy API. (Matthew Barnes)
	* Convert the IMAP APIs back into a loadable library module so it's
	  no longer part of libcamel's public API.  It was originally made
	  public to assist evolution-kolab, but that project is inactive.
	  (Matthew Barnes)
	* Support migrating merged GConf trees. (Matthew Barnes)
	* Start converting libcamel's public API to favor GIO streams over
	  CamelStream.  Still a work-in-progress. (Matthew Barnes)
	* Fix potential issues found by static analysis tools.
	  (Fabian Fidêncio, Milan Crha, Vadim Rutkovsky)
	* Convert the NNTP backend to CamelOfflineStore and finally remove
	  the long-deprecated "disco" (disconnected) classes from libcamel.
	* Switch from g_timeout_add to g_timeout_add_seconds (Alexandre Franke)

Translations:
	Dimitris Spingos (el)
	Daniel Mustieles (es)
	Fran Diéguez (gl)
	Anish A (ml)


Evolution-Data-Server 3.11.1 2013-10-21
---------------------------------------

Bug Fixes:
	Bug 695232 - Finish EVCard quoted-printable handling (Milan Crha)
	Bug 704869 - Make CamelSaslGssapi usable out of Camel (Milan Crha)
	Bug 708627 - Use PLAIN instead of LOGIN for GOA SMTP accounts
	             (Matthew Barnes)
	Bug 708730 - CalDAV: Improve handling of invalid access tokens
	             (Matthew Barnes)
	Bug 709198 - Add regression test for contacts database migrations
	             (Tristan Van Berkom)
	Bug 709550 - CamelService: Do not call disconnect_sync from its
	             finalize (Milan Crha)
	Bug 709561 - Pick up Windows Live mail from GOA (Matthew Barnes)

Other Changes:
	* Bump minimum GLib requirement to 2.36. (Matthew Barnes)
	* Clean up some unused or just bad Camel APIs. (Matthew Barnes)
	* Rework CamelStream to a GIOStream, and remove CamelTcpStream.
	  Camel uses GTcpConnection now. (Matthew Barnes)
	* Use GcrCertificateWidget in certificate prompts. (Matthew Barnes)

Translations:
	Gil Forcada (ca)
	Carles Ferrando (ca@valencia)
	Christian Kirbach (de)
	Andika Triwidada (id)
	Duarte Loreto (pt)
	Enrico Nicoletto (pt_BR)
	Yuri Myasoedov (ru)
	Marián Čavojský (sk)
	Chao-Hsiung Liao (zh_HK)


Evolution-Data-Server 3.10.0 2013-09-23
---------------------------------------

Translations:
	Ask H. Larsen (da)
	Luca Ferretti (it)
	Marián Čavojský (sk)


Evolution-Data-Server 3.9.92 2013-09-16
---------------------------------------

Bug Fixes:
	Bug 707034 - vCard param value parsing too strict (Milan Crha)
	Bug 707116 - IMAPX: Normalize descendants of INBOX (Matthew Barnes)
	Bug 707520 - New detached instance notification not send to clients
	             (Milan Crha)
	Bug 707736 - IMAPX: LSUB response handling broken (Matthew Barnes)
	Bug 708016 - CamelIMAPXStore: Crash when no namespace info present
	             (Matthew Barnes)

Other Changes:
	* More preliminary IMAPX refactoring. (Matthew Barnes)

Translations:
	Nilamdyuti Goswami (as)
	Ihar Hrachyshka (be)
	Timo Jyrinki (fi)
	Claude Paroz (fr)
	Andika Triwidada (id)
	Luca Ferretti (it)
	Changwoo Ryu (ko)
	Rūdolfs Mazurs (lv)
	Rafael Ferreira (pt_BR)
	Мирослав Николић (sr)


Evolution-Data-Server 3.9.91 2013-09-02
---------------------------------------

Miscellaneous Changes:
	* Preliminary IMAPX refactoring for 3.12 features. (Matthew Barnes)
	* Fix a possible memory leak in sasl_ntlm_try_empty_password_sync()
	  (Milan Crha)

Translations:
	Marek Černocký (cs)
	Fran Diéguez (gl)
	Balázs Úr (hu)
	Aurimas Černius (lt)
	Piotr Drąg (pl)
	Rafael Ferreira (pt_BR)


Evolution-Data-Server 3.9.90 2013-08-19
---------------------------------------

Bug Fixes:
	Bug 672899 - Renaming Google book group doesn't propagate to category
	             (Milan Crha)
	Bug 700895 - Decode header's value before comparing with RegEx
	             (Milan Crha)
	Bug 703181 - Book/calendar backends can authenticate without password
	             (Milan Crha)
	Bug 704688 - HTTP Backend: Don't authenticate unnecessarily
	             (Milan Crha)
	Bug 704871 - Fails to manage subscription on an NNTP account
	             (Matthew Barnes)
	Bug 704885 - "Unknown background operation" when syncing spamassassin
	             (Matthew Barnes)
	Bug 704895 - Nicknames for Google Contacts not synced (Milan Crha)
	Bug 705206 - Stale "Retrieving message xxx" in preview panel
	             (Matthew Barnes)
	Bug 705273 - Leaked sockets after failed authentication (Milan Crha)
	Bug 705288 - Custom header search produces error (Milan Crha)
	Bug 705444 - Can not create contact lists in LDAP address book
	             (Milan Crha)
	Bug 705446 - Old POP3 mails can be removed before getting them
	             (Milan Crha)
	Bug 705493 - Wrong default in configure help for --enable-largefile
	             (Matthew Barnes)
	Bug 705617 - Failed connection hides offline data in online mode
	             (Milan Crha)
	Bug 705814 - Crash in certificate_viewer_new() (Milan Crha)

Other Changes:
	* [Google] Implement EBookBackend::refresh and advertise its support
	  (Milan Crha)
	* [NNTP] Fails to get list of folders, if not connected already
	  (Milan Crha)
	* NNTP: Authentication requires nntp_stream set (Milan Crha)
	* CamelDiscoStore: Fix CamelServiceConnectionStatus tracking.
	  (Matthew Barnes)
	* [Camel] Disable SSL v2 and weak ciphers by default (Milan Crha)
	* IMAPX: Add classes to model LIST and STATUS responses, with more to
	  follow. (Matthew Barnes)
	* IMAPX: More refactoring of error handling, this time drastically
	  simplifying it. (Matthew Barnes)
	* Remove unused CamelOfflineJournal. (Matthew Barnes)
	* [Maildir] Create the 'tmp' directory, if missing (Milan Crha)
	* GOA: Honor GoaMail's "smtp-use-auth" setting. (Matthew Barnes)
	* EDataBook/CalFactory: Work around a GDBus name watching bug.
	  (Matthew Barnes)
	* EBook/CalBackend: Add a "shutdown" signal. (Matthew Barnes)
	* Tighten up the CamelStoreSummary API and keep mutexes internal.
	  (Matthew Barnes)
	* IMAPX: Obtain a fresh folder list on startup. (Matthew Barnes)

Translations:
	Daniel Mustieles (es)
	Fran Diéguez (gl)
	Kjartan Maraas (nb)
	Matej Urbančič (sl)
	Victor Ibragimov (tg)
	Chao-Hsiung Liao (zh_HK)


Evolution-Data-Server 3.9.5 2013-07-29
--------------------------------------

* E-D-S now uses Google's OAuth2-based CalDAV v2 interface for Google
  accounts added through GNOME Online Accounts or Ubuntu Online Accounts,
  which means no more password prompts.

Bug Fixes:
	Bug 386113 - show custom alarm message in pop-up alerts
	             (Fabiano Fidêncio)
	Bug 691526 - Memory corruption under
	             e_book_backend_google_start_book_view() (Milan Crha)
	Bug 692904 - Do not call camel_service_disconnect during connection
	             phase (Milan Crha)
	Bug 704003 - IMAPX: Untagged BYE message while connecting is lost
	             (Matthew Barnes)
	Bug 704181 - Froze while filtering messages (Milan Crha)
	Bug 704220 - Incorrect runtime check in
	             e_data_cal_respond_send_objects() (Milan Crha)
	Bug 704618 - Missing detached instances in get_object() response
	             (Milan Crha)
	Bug 704740 - WebDAV - Do not store ETag into REV attribute (Milan Crha)

Other Changes:
	* IMAPX: Improve error handling in parser. (Matthew Barnes)
	* IMAPX: Remove CamelIMAPXConnManager, just use a single connection.
	  (Matthew Barnes)
	* CamelTcpStreamRaw: Don't timeout on reads. (Matthew Barnes)
	* CalDAV: Add support for OAuth 2.0 authentication. (Matthew Barnes)
	* google: Use CalDAV v2 if OAuth 2.0 support is available.
	  (Matthew Barnes)
	* Insufficient return values from e_cal_backend_get_object/_list().
	  (Milan Crha)
	* CamelGpgContext: Be aware of gpg2 (Milan Crha)
	* CamelGpgContext: Enclose email addresses in brackets.
	  (Matthew Barnes)
	* Fix memory leak in camel_imapx_command_add_qresync_parameter().
	  (Matthew Barnes)
	* Do not use generic error codes in camel_getaddrinfo() /
	  camel_getnameinfo(). (Milan Crha)

Translations:
	Marek Černocký (cs)
	Christian Kirbach (de)
	Andika Triwidada (id)
	Kjartan Maraas (nb)
	Wylmer Wang (zh_CN)


Evolution-Data-Server 3.9.4 2013-07-08
--------------------------------------

Bug Fixes:
	Bug 682322 - SIGSEGV in pop3_folder_refresh_info_sync (Milan Crha)
	Bug 697598 - [imapx] Freeze due to calling thread join from main thread
	             (Milan Crha)
	Bug 700894 - LDAP 'Copy for offline' blocks online searches (Milan Crha)
	Bug 703053 - Error on setting reminder 'after start of appointment'
	             (Fabiano Fidêncio)
	Bug 703194 - Custom alarm message is REMINDER (Fabiano Fidêncio)

Other Changes:
	* CamelStore: Add a "folder-info-stale" signal. (Matthew Barnes)
	* CamelIMAPXStore: Try harder to track settings. (Matthew Barnes)
	* Add a desktop file for Ubuntu Online Accounts. (Iain Lane)
	* UOA: Add service-specific descriptions for E-D-S. (Matthew Barnes)
	* Allow automatic NTLM authentication unconditionally (David Woodhouse)
	* GError instance use-after-free in collection_backend_load_resources()
	  (Milan Crha)
	* [IMAPX] Server connection is not mandatory when searching folder
	  content (Milan Crha)
	* e_book_backend_sqlitedb_has_contact() used nonexistent column
	  (Milan Crha)

Translations:
	Daniel Mustieles (es)
	Aurimas Černius (lt)
	Kjartan Maraas (nb)


Evolution-Data-Server 3.9.3 2013-06-17
--------------------------------------

Bug Fixes:
	Bug 649420 - Work around QRESYNC bug in Zimbra's IMAP server
	             (Matthew Barnes)
	Bug 672837 - Crash in camel_pop3_engine_command_free (Milan Crha)
	Bug 699448 - Crash under e_book_backend_ldap_stop_view() (Milan Crha)
	Bug 701797 - UOA: Remove ResponseType and AuthPath from service files
	             (Ken VanDine)
	Bug 701838 - Work around a semantic API break in GObject
	             (Tristan Van Berkom)

Other Changes:
	* EBookQuery: Added regex query API (Tristan Van Berkom)
	* Be able to debug SMTP provider separately (Milan Crha)
	* Make the statements explicit when using ternary if (Fabiano Fidêncio)

Translations:
	Marek Černocký (cs)
	Daniel Mustieles (es)
	Fran Diéguez (gl)
	ManojKumar Giri (or)
	Marián Čavojský (sk)
	Matej Urbančič (sl)


Evolution-Data-Server 3.9.2 2013-05-27
--------------------------------------

Bug Fixes:
	Bug 697859 - Google: "Other Fax" is saved as "Business Fax"
	             (Matthew Barnes)
	Bug 698725 - ESourceRegistry: Handle service restarts gracefully
	             (Matthew Barnes)
	Bug 699024 - [google/yahoo] Don't override username (Matthew Barnes)
	Bug 699160 - IMAPX: Always flush debugging messages (Matthew Barnes)
	Bug 699223 - Emit view signals from context where view was started
	             (Matthew Barnes)
	Bug 699461 - Accept any 2xx HTTP code as successful DELETE
	             (Matthew Barnes)
	Bug 699597 - Autocomplete using GAL is slow (David Woodhouse)
	Bug 699811 - Moved IMAPx messages reappear (Milan Crha)
	Bug 699909 — Do not use toggle_refs in CamelObjectBag (David Woodhouse)

Other Changes:
	* Make camel_mime_message_dump() dump message contents (Dan Williams)
	* IMAPX: Recognize RFC 5530 response codes. (Matthew Barnes)
	* EBookClientView/ECalClientView: Make D-Bus signal handlers
	  thread-safe. (Matthew Barnes)
	* ECalBackendWeather: e_weather_source_new() is failable.
	  (Matthew Barnes)
	* google: Remove environment variable check for debugging.
	  (Matthew Barnes)
	* IMAPX: Support IMAP MOVE extension. (Matthew Barnes)
	* IMAPX: Set real Trash/Junk folder type as expected (Milan Crha)
	* Camel MH provider can deadlock on folder creation (Milan Crha)
	* CamelGpgContext: Report decrypt error only if no data was decrypted
	  (Milan Crha)
	* Make CamelPOP3Store a bit more thread-safe. (Matthew Barnes)
	* Make CamelNNTPStore a bit more thread-safe. (Matthew Barnes)
	* Improve error handling in imapx_command_fetch_message_done().
	  (Matthew Barnes)

Translations:
	Daniel Mustieles (es)
	Shankar Prasad (kn)
	Kjartan Maraas (nb)
	Matej Urbančič (sl)


Evolution-Data-Server 3.9.1 2013-04-29
--------------------------------------

* Dependency change: GNOME Online Accounts support is still optional.
  But if enabled, the goa-1.0 requirement is now 3.8 (bumped from 3.2).

Bug Fixes:
	Bug 271262 - Allow Send/Receive of local stores in offline (Milan Crha)
	Bug 656488 - imapx: Memory leak of mi->server_user_flags (Milan Crha)
	Bug 681837 - Make enum type registration thread safe (Milan Crha)
	Bug 691939 - Password prompt has "save password" always checked
	             (Milan Crha)
	Bug 693101 - IMAPx can vanish and redownload folder summary (Milan Crha)
	Bug 695578 - Trailing space in translatable string (Matthew Barnes)
	Bug 695915 - IMAP alert is not displayed (Milan Crha)
	Bug 696285 - ownCloud: Check addressbook even if calendar fails
	             (Vadim Rutkovsky)
	Bug 696637 - Deadlock in data_cal_view_dispose(). (Matthew Barnes)
	Bug 696757 - Do not use dynamic keys in g_object_set_data() (Milan Crha)
	Bug 697705 - e_cal_client_remove_objects_sync() crashes on empty UID
	             (Matthew Barnes)
	Bug 697734 - Memory leak in local calendar backend (Matthew Barnes)
	Bug 698261 - Skip invalid flags in imapx_parse_flags() (Milan Crha)
	Bug 698726 - Handle goa-daemon crashes/restarts gracefully
	             (Matthew Barnes)

Other Changes:
	* Start modernizing the EBookBackend and ECalBackend APIs (still a
	  work in progress). (Matthew Barnes)
	* Rewrite client connection tracking for factories. (Matthew Barnes)
	* libedata-*: Remove all deprecated backend APIs. (Matthew Barnes)
	* Simplify direct access to address books. (Matthew Barnes)
	* Fix implicit declaration of WIFEXITED. (Antoine Jacoutot)
	* E*Client: Use G_DBUS_MESSAGE_FLAGS_NO_REPLY_EXPECTED for close().
	  (Matthew Barnes)
	* Remove EBookBackendSync. (Matthew Barnes)
	* sqlite addressbook: fix memory corruption in get_revision
	  (Patrick Ohly)
	* CamelIMAPXServer: Rewrite duplicate message fetching.
	  (Matthew Barnes)
	* Automatically strip D-Bus info from error messages. (Matthew Barnes)
	* EBookBackendSqliteDB: Avoid summary introspection on initial
	  creation. (Tristan Van Berkom)
	* Switch NULL to empty string in e_util_utf8_{data_}make_valid()
	  (Milan Crha)
	* LC_ADDRESS is a GNU extension. Treat it as such. (Matthew Barnes)
	* CamelStoreSettings::filter-inbox: Change default to TRUE (Milan Crha)
	* Do not consider PGP and S/MIME subparts as attachments (Milan Crha)
	* ECalClient test: test-client-get-revision not broken anymore
	  (Tristan Van Berkom)
	* Improve error handling in imapx_server_get_message().
	  (Matthew Barnes)
	* Fix reference leak in book_client_view_emit_objects_modified().
	  (Matthew Barnes)

Translations:
	Nilamdyuti Goswami (as)
	Gil Forcada (ca)
	Carles Ferrando (ca@valencia)
	Jiri Eischmann (cs)
	Marek Černocký (cs)
	Flemming Christensen (da)
	Joe Hansen (da)
	Mario Blättermann (de)
	Dimitris Spingos (el)
	Daniel Mustieles (es)
	Inaki Larranaga Murgoitio (eu)
	Jiri Grönroos (fi)
	Alexandre Franke (fr)
	Sweta Kothari (gu)
	Chandan Kumar (hi)
	Balázs Úr (hu)
	Gabor Kelemen (hu)
	Noriko Mizumoto (ja)
	Shankar Prasad (kn)
	ManojKumar Giri (or)
	Piotr Drąg (pl)
	Yuri Myasoedov (ru)
	Marián Čavojský (sk)
	Andrej Žnidaršič (sl)
	Martin Srebotnjak (sl)
	Matej Urbančič (sl)
	Shantha kumar (ta)


Evolution-Data-Server 3.7.92 2013-03-18
---------------------------------------

Bug Fixes:
	Bug 215428 - Show percentage progress when filtering messages
	             (Milan Crha)
	Bug 350323 - Filter by "Mailing list contains" requires "@" symbol
	             (Milan Crha)
	Bug 352266 - Can't filter on body of message if
	             Content-Transfer-Encoding is base64 (Milan Crha)
	Bug 690433 - Do not refresh folder on every message transfer
	             (Milan Crha)
	Bug 690552 - Property 'other-phone' overwrites first phone in home or
	             work group (Milan Crha)
	Bug 695308 - Migration of broken signature breaks whole migration
	             (Milan Crha)
	Bug 695539 - Birthdays don't show up in the calendar (Sebastian Keller)
	Bug 695960 - Use a weak reference for GBusNameVanishedCallback
	             (Matthew Barnes)

Other Changes:
	* Test suite improvements. (Tristan Van Berkom, Mathias Hasselmann)
	* EBookBackendSqliteDB improvements. (Mathias Hasselmann)
	* EBookClient introspection fixes. (Simon McVittie)
	* Fix a memory leak around imapx_untagged_vanished() (Milan Crha)
	* Correct names for im_jabber_work variables (Vadim Rutkovsky)

Translations:
	Nilamdyuti Goswami (as)
	Ihar Hrachyshka (be)
	Mario Blättermann (de)
	Bruce Cowan (en_GB)
	Daniel Mustieles (es)
	Fran Diéguez (gl)
	Sweta Kothari (gu)
	Changwoo Ryu (ko)
	Rūdolfs Mazurs (lv)
	Kjartan Maraas (nb)
	Duarte Loreto (pt)
	Enrico Nicoletto (pt_BR)
	Marián Čavojský (sk)
	Martin Srebotnjak (sl)
	Matej Urbančič (sl)
	Мирослав Николић (sr)
	Gheyret Kenji (ug)
	Chao-Hsiung Liao (zh_HK)


Evolution-Data-Server 3.7.91 2013-03-04
---------------------------------------

Bug Fixes:
	Bug 693101 - IMAPx can vanish and redownload folder summary
	             (Milan Crha)
	Bug 693345 - dngettext should be used instead of ngettext (Milan Crha)
	Bug 694152 - Compile errors in C++ due to G_BEGIN/END_DECLS
	             (Patrick Ohly)
	Bug 694223 - The "message-location" search never matches on IMAP+
	             (Milan Crha)
	Bug 694734 - Relative URI in Location on PUT confuses WebDAV
	             (Milan Crha)

Other Changes:
	* Add VPN-awareness to calendar, contact, task and memo backends.
	  VPN-awareness for mail accounts not yet finished. (Matthew Barnes)
	* Support GOA's new IMAP/SMTP provider. (Matthew Barnes)
	* Added documentation for new Direct Read Access related apis.
	  (Tristan Van Berkom)
	* Fixing pkg-config files for libebook & libedata-book
	  (Tristan Van Berkom)
	* source_write_sync: Fail gracefully when given a scratch source.
	  (Matthew Barnes)
	* source_remove_sync: Fail gracefully when given a scratch source.
	  (Matthew Barnes)
	* e-test-server-utils: Add support for testing Direct Read Access
	  books. (Tristan Van Berkom)
	* Ported various EBookClient tests to additionally test Direct Read
	  Access variants (Tristan Van Berkom)
	* Do not use SSL_V2_COMPATIBLE_HELLO by default (Milan Crha)
	* Local Delivery not updated on start and missing Receiving Options
	  page (Milan Crha)
	* EBookBackendSexp: Restore suffix search functionality
	  (Tristan Van Berkom)
	* e_source_registry_server_load_directory: Monitor failure is
	  non-fatal. (Matthew Barnes)
	* e_cal_client_modify_objects_sync: Fix infinite loop. (Matthew Barnes)
	* EBookQuery/EPhoneNumber: Enhanced documentation (Tristan Van Berkom)
	* CamelSMIMEContext: Support IANA registered hash function names.
	  (Matthew Barnes)
	* evolution-user-prompter: Add a --keep-running option.
	  (Matthew Barnes)
	* Make the ESourceRegistryServer modules relocatable like addressbook
	  & calendar (Tristan Van Berkom)
	* Make the Camel provider modules relocatable (Tristan Van Berkom)
	* build: Support (and prefer) libboost_thread-mt (Mathias Hasselmann)
	* CamelIMAPXServer: Improve thread-safety when selecting folders.
	  (Matthew Barnes)

Translations:
	Dimitris Spingos (el)
	Daniel Mustieles (es)
	Fran Diéguez (gl)
	Aurimas Černius (lt)
	Anish A (ml)
	Kjartan Maraas (nb)
	Piotr Drąg (pl)
	Yuri Myasoedov (ru)
	Мирослав Николић (sr)
	Gheyret Kenji (ug)
	Nguyễn Thái Ngọc Duy (vi)
	Chao-Hsiung Liao (zh_HK)


Evolution-Data-Server 3.7.90 2013-02-18
---------------------------------------

Bug Fixes:
	Bug 675287 - Spool file account doesn't show messages (Milan Crha)
	Bug 683867 - Schedule actions with higher idle priority (Michel Dänzer)
	Bug 686528 - Pickup ownCloud accounts from GOA (Milan Crha)
	Bug 693841 - EDataCal: Complete implementation of GetObjectsList
	             (Giocanni Campagna)

Other Changes:
	* Improved phone number support. (Mathias Hasselmann)
	* Direct access to local address books. (Tristan Van Berkom)
	* Make e_book_client_is_self() more efficient. (Patrick Ohly)
	* Add e_data_factory_ref_initable_backend(). (Matthew Barnes)
	* Remove --with-dbus-call-timeout configure option. (Matthew Barnes)
	* Add CAMEL_MIME_FILTER_TOHTML_QUOTE_CITATION flag. (Matthew Barnes)
	* EBookClient: Use g_bus_watch_name_on_connection(). (Matthew Barnes)
	* ECalClient: Use g_bus_watch_name_on_connection(). (Matthew Barnes)
	* Add camel_service_ref_session(). (Matthew Barnes)
	* Fix few memory leaks in evolution-source-registry (Milan Crha)
	* Introduce e_backend_is_destination_reachable() (Milan Crha)
	* CalDAV: Try to search for event when not in local cache (Milan Crha)
	* e_extensible_load_extensions: Allow for retries. (Matthew Barnes)

Translations:
	Ihar Hrachyshka (be)
	Daniel Mustieles (es)
	Fran Diéguez (gl)
	Aurimas Černius (lt)
	Piotr Drąg (pl)


Evolution-Data-Server 3.7.5 2013-02-04
--------------------------------------

* This release adds support for Ubuntu's Single-SignOn framework (a.k.a.
  Ubuntu Online Accounts), with the following optional pkg dependencies:

    libaccounts-glib
    libsignon-glib
    json-glib-1.0
    librest-0.7

  Pass --disable-uoa to configure to disable support.

Bug Fixes:
	Bug 651399 - [maildir] Escape dots in folder display names (Milan Crha)
	Bug 691126 - Fix warnings find by Clang (Milan Crha)
	Bug 692278 - LDAP backend mutex deadlock on finalize (Milan Crha)

Other Changes:
	* Generate address book and calendar GDBus classes with gdbus-codegen
	  and simplify the APIs to require only one round trip per method.
	  (Matthew Barnes)
	* Introduce e_book_client_connect() and e_cal_client_connect() as
	  one-step replacements for e_book/cal_client_new() + e_client_open().
	  (Matthew Barnes)
	* Built-in data sources are now packaged as a GResource rather than
	  installed data files for better reliability. (Matthew Barnes)
	* Add --disable-google configure option to make libgdata dependency
	  optional.  (Tristan Van Berkom)
	* Unit test suite improvements. (Mathias Hasselmann and Tristan Van
	  Berkom)
	* Bump libsoup dependency to 2.40.3 (Milan Crha)
	* GOA: Support the upcoming "imap_smtp" provider type. (Matthew Barnes)
	* Optional libphonenumber support for local address books.
	  (Mathias Hasselmann)
	* EBookBackendSqliteDB: Added e_book_backend_new_contact[s]() APIs
	  (Tristan Van Berkom)
	* EBookBackendFile: Don't overwrite UIDs on incomming/new contacts.
	  (Tristan Van Berkom)
	* CamelIMAPXStore: Configure folder flags on folder creation.
	  (Matthew Barnes)
	* EBookBackendFile: Avoid lost data in contact modifications
	  (Tristan Van Berkom)
	* store_synchronize_sync(): Only synchronize subscribed folders.
	  (Matthew Barnes)

Translations:
	Nilamdyuti Goswami (as)
	Ihar Hrachyshka (be)
	Krasimir Chonov (bg)
	Daniel Mustieles (es)
	Fran Diéguez (gl)
	Aurimas Černius (lt)
	Kjartan Maraas (nb)
	Piotr Drąg (pl)
	Marián Čavojský (sk)
	Matej Urbančič (sl)
	Мирослав Николић (sr)
	Theppitak Karoonboonyanan (th)
	Gheyret Kenji (ug)
	Chao-Hsiung Liao (zh_HK)


Evolution-Data-Server 3.7.4 2013-01-14
--------------------------------------

* The legacy IMAP backend has been retired.  Legacy IMAP accounts will
  be converted to the newer "IMAP+" backend and their data caches reset.

Bug Fixes:
	Bug 665371 - Decommission legacy IMAP backend (Matthew Barnes)
	Bug 689124 - Increase Camel's TCP read/write timeout (Matthew Barnes)
	Bug 690151 - Crash in e_book_backend_file_bump_revision()
	             (Milan Crha)
	Bug 690158 - libedataserver: Vala binding updates (Alban Browaeys)
	Bug 690177 - Use trust-prompt for certificate verification in WebDAV
	             backends (Milan Crha)
	Bug 691033 - Avoid using LIBSOUP_DISABLE_DEPRECATED (Hashem Nasarat)
	Bug 691466 - Cache reaper restores old IMAP cache directories
	             (Matthew Barnes)
	Bug 691477 - exists_vcard is not supported when parsing a query from
	             string (Milan Crha)

Other Changes:
	* IMAPX: Support non-virtual Junk/Trash folders. (Matthew Barnes)
	* IMAPX: Ask server to handle "body-contains" searches.
	  (Matthew Barnes)
	* ESourceRegistryServer: Add a "tweak-key-file" signal.
	  (Matthew Barnes)
	* Add automatic IMAP to IMAPX account migration. (Matthew Barnes)
	* Add OAuth2Support D-Bus interface. (Matthew Barnes)
	* Merge ECalBackendFileStore into ECalBackendStore. (Matthew Barnes)
	* Add ETimezoneCache interface. (Matthew Barnes)
	* ECalBackend: Remove internal_get_timezone() method.
	  (Matthew Barnes)
	* CamelMimeFilterPgp: Ignore right side white spaces (Milan Crha)

Translations:
	Nilamdyuti Goswami (as)
	Christian Kirbach (de)
	Dimitris Spingos (el)
	Daniel Mustieles (es)
	Fran Diéguez (gl)
	Kjartan Maraas (nb)
	Rafael Ferreira (pt_BR)
	Matej Urbančič (sl)


Evolution-Data-Server 3.7.3 2012-12-16
--------------------------------------

* libedataserverui has been removed from Evolution-Data-Server and
  merged back into Evolution, since Evolution is its only consumer
  nowadays.

* The E-D-S unit test suite is functional again!  Many thanks to Tristan
  Van Berkom, Murray Cumming and Mathias Hasselmann for their hard work.

Bug Fixes:
	Bug 202576 - A way to refresh IMAP folder list (Milan Crha)
	Bug 371469 - Add port to connection refused error messages
	             (Milan Crha)
	Bug 512714 - Error string "Host lookup failed: Name or Service not
	             known" (Milan Crha)
	Bug 529743 - Add "Any header" filter and search folder condition
	             (Milan Crha)
	Bug 579315 - Identify filter names in filtering errors (Milan Crha)
	Bug 671620 - Support signing with multiple OpenPGP keys (Milan Crha)
	Bug 677378 - Crash in imapx_query_auth_types_sync() (Milan Crha)
	Bug 680201 - Backup restore doesn't migrate accounts from GConf
	             (Milan Crha)
	Bug 684175 - Check email value in e_destination_set_contact()
	             (Paul Menzel)
	Bug 687670 - Signing with both pgp and S/MIME causes a broken
	             signature (Milan Crha)
	Bug 688366 - WebDAV book can cause high CPU usage (Milan Crha)
	Bug 688479 - Empty name selector dialog on open (Milan Crha)
	Bug 688639 - SMTP: Correctly deal with 535 authentication error
	             (Paul Menzel)
	Bug 688660 - Crash on webdav contact cache update (Milan Crha)
	Bug 688795 - Crash under e_cal_backend_contacts_start_view()
	             (Milan Crha)
	Bug 688926 - SIGABRT on call_old_file_Sync (Daniele Rondina)

Other Changes
	* Added ESourceBackendSummarySetup extension (Tristan Van Berkom)
	* EBookBackendFile: Use the new ESourceBackendSummarySetup to
	  configure the summary (Tristan Van Berkom)
	* Use version-based GLib/GDK/GTK+ warnings. (Matthew Barnes)
	* Coverity scan cleanups. (Milan Crha)
	* Do not generate a ChangeLog file from 'git log' (Milan Crha)
	* Introduce evolution-user-prompter service (Milan Crha)
	* IMAPX: Support the QUOTA extension (RFC 2087). (Matthew Barnes)
	* Remove introspection of libecal. (Matthew Barnes)
	* Workaround file description leak from
	  e_source_registry_authenticate_sync() (Milan Crha)

Translations
	Nilamdyuti Goswami (as)
	Daniel Mustieles (es)
	Dr.T.Vasudevan (ta)
	Krishnababu Krothapalli (te)


Evolution-Data-Server 3.7.2 2012-11-17
--------------------------------------

Bug Fixes:
	Bug 640594 - Save also UID/REV in WebDAV backend (for CardDAV)
	             (Milan Crha)
	Bug 674454 - Crash in e_book_backend_ldap_authenticate_user()
	             (Milan Crha)
	Bug 686727 - POP3 provider deadlocks on finalize (Milan Crha)
	Bug 680497 - POP3 re-adds messages to local Inbox (Milan Crha)
	Bug 686719 - Missing linker flags in Camel tests (JB Lallement)
	Bug 685986 - ESourceRegistry: Wait for signals after creating sources
	             (Matthew Barnes)
	Bug 686924 - Doesn't parse Gerrit encoded From address correctly
	             (Milan Crha)
	Bug 687100 - Crash under cal_backend_contacts_remove_book_record()
	             (Milan Crha)
	Bug 685034 - [imapx] Read status of email is not persisted correctly
	             (Milan Crha)
	Bug 681962 - Identify server certificates by hostname and fingerprint
	             (Milan Crha)
	Bug 685090 - GOA EWS module doesn't save all required values
	             (Milan Crha)
	Bug 687776 - E-D-S crash in local address book (Milan Crha)
	Bug 669082 - Workaround crash in
	             imapx_command_copy_messages_step_done() (Andreas Kohn)
	Bug 687642 - Crash under caldav_synch_slave_loop() (Milan Crha)
	Bug 687694 - imapx_untagged_vanished() is inefficient (Dan Williams)
	Bug 687865 - Shows old reminders for GOA accounts (Milan Crha)
	Bug 687634 - Improve camel console warning text (Paul Menzel)
	Bug 688146 - Crash in Contacts calendar backend (Milan Crha)

Other Changes:
	* EAuthenticationSession: Close prompt before storing password.
	  (Matthew Barnes)
	* IMAPX error handling improvements. (Matthew Barnes)
	* Bump minimum GLib requirement to 2.34. (Matthew Barnes)
	* Use code coverage macros from gnome-common. (Matthew Barnes)
	* Remove version number from ${privdatadir}. (Matthew Barnes)
	* Remove erroneous version number from ${privlibdir}. (Matthew Barnes)
	* Remove version number from ${privincludedir}. (Matthew Barnes)
	* Add AllowAuthPromptAll() method to SourceManager interface.
	  (Matthew Barnes)
	* Reimplement EBook, ECal, et. al. using their EClient counterparts.
          (Matthew Barnes)
	* Google: allow writing X-GOOGLE-SYSTEM-GROUP-IDS (Giovanni Campagna)
	* Local file backend modified to use sqlite db exclusively
	  (Tristan Van Berkom)
	* gnome-online-accounts: Add an EDataFactory extension (Matthew Barnes)
	* Remove EBookBackendVCF. (Matthew Barnes)

Translations:
	Christian Kirbach (de)
	Hendrik Knackstedt (de)
	Paul Menzel (de)
	Gabor Kelemen (hu)
	Andika Triwidada (id)
	Kjartan Maraas (nb)
	Yuri Myasoedov (ru)
	Matej Urbančič (sl)


Evolution-Data-Server 3.7.1 2012-10-22
--------------------------------------

Dependency Changes:
	* Replaced gnome-keyring-1 with libsecret-1

Bug Fixes:
	Bug 201807 - Cannot specify sendmail parameters (Milan Crha)
	Bug 268618 - Add: Save replies in the folder of the message being
	             replied to (Milan Crha)
	Bug 310978 - USENET always requires authentication (Milan Crha)
	Bug 549819 - Cannot specify a custom sendmail program (Milan Crha)
	Bug 641825 - Crash in poll_ldap() when finalizing the backend
	             (Milan Crha)
	Bug 679914 - Replace libgnomekeyring with libsecret (Stef Walter)
	Bug 681314 - Add address dialog should follow composer's view settings
	             (Milan Crha)
	Bug 684655 - Files in data/sources are not getting translated
	             (Gert Kulyk)
	Bug 685588 - Remove useless LIBICAL_CFLAGS and LIBICAL_LIBS
	             (Peter Hurley)
	Bug 685713 - ESourceRegistry's manager thread aborts on error
	             (Matthew Barnes)
	Bug 685725 - Handle "muser" attributes in %gconf.xml files
	             (Bastien Nocera)
	Bug 686421 - Restore libebook tests to minimum working condition
	             (Tristan Van Berkom)

Other Changes:
	* Remove e_data_book_view_ref/unref(). (Matthew Barnes)
	* EBook: Reimplement "remove" functions. (Matthew Barnes)
	* EGdbusBook: Remove the remove() method. (Matthew Barnes)
	* Rename e_book_backend_start_book_view(). (Matthew Barnes)
	* Rename e_book_backend_stop_book_view(). (Matthew Barnes)
	* Rename e_book_backend_add_book_view(). (Matthew Barnes)
	* Rename e_book_backend_remove_book_view(). (Matthew Barnes)
	* Add e_book_backend_list_views(). (Matthew Barnes)
	* Deprecate e_book_backend_foreach_view(). (Matthew Barnes)
	* Remove e_data_book_register_gdbus_object(). (Matthew Barnes)
	* Remove e_data_book_view_register_gdbus_object(). (Matthew Barnes)
	* libedata-cal: Purge deprecated APIs. (Matthew Barnes)
	* ECal: Reimplement "remove" functions. (Matthew Barnes)
	* EGdbusCal: Remove the remove() method. (Matthew Barnes)
	* ECalBackend: Prefer GList over GSList. (Matthew Barnes)
	* Add e_cal_backend_list_views(). (Matthew Barnes)
	* Deprecate e_cal_backend_foreach_view(). (Matthew Barnes)
	* Remove e_data_cal_register_gdbus_object(). (Matthew Barnes)
	* Remove e_data_cal_view_register_gdbus_object(). (Matthew Barnes)
	* Don't migrate sources with empty attributes (Dan Vrátil)
	* EGDataGoaAuthorizer: Use GHmac to sign the OAuth parameters.
	  (Matthew Barnes)
	* Drop oauth package requirement for GOA support. (Matthew Barnes)
	* EGDataGoaAuthorizer: Prototype OAuth 2.0 support. (Matthew Barnes)
	* online-accounts: Refresh mail account settings on startup.
	  (Matthew Barnes)
	* Add e_book_backend_sexp_text(). (Matthew Barnes)
	* Deprecate e_source_extension_get_source(). (Matthew Barnes)
	* Silence libsecret unstable API warnings. (Matthew Barnes)
	* ESourceRegistryServer: File monitor should set flags on new sources.
	  (Matthew Barnes)
	* Rename 'online-accounts' module to 'gnome-online-accounts'.
	  (Matthew Barnes)
	* Change camel_junk_filter_classify() signature. (Matthew Barnes)
	* evolution-source-viewer: Select next source after deleting.
	  (Matthew Barnes)

Translations:
	Nilamdyuti Goswami (as)
	Alexander Shopov (bg)
	Runa Bhattacharjee (bn_IN)
	Gil Forcada (ca)
	Carles Ferrando (ca@valencia)
	Jiri Eischmann (cs)
	Marek Černocký (cs)
	Flemming Christensen (da)
	Tom Tryfonidis (el)
	Daniel Mustieles (es)
	Timo Jyrinki (fi)
	Alexandre Franke (fr)
	Fran Diéguez (gl)
	Rajesh Ranjan (hi)
	Gabor Kelemen (hu)
	Andika Triwidada (id)
	Luca Ferretti (it)
	Žygimantas Beručka (lt)
	Rūdolfs Mazurs (lv)
	A S Alam (pa)
	Piotr Drąg (pl)
	Rafael Ferreira (pt_BR)
	Yuri Myasoedov (ru)
	Marián Čavojský (sk)
	Matej Urbančič (sl)
	Krishnababu Krothapalli (te)
	Chao-Hsiung Liao (zh_HK)


Evolution-Data-Server 3.6.0 2012-09-24
--------------------------------------

Translations:
	Runa Bhattacharjee (bn_IN)
	Gil Forcada (ca)
	Carles Ferrando (ca@valencia)
	Rajesh Ranjan (hi)
	Gabor Kelemen (hu)
	Shankar Prasad (kn)
	Rūdolfs Mazurs (lv)
	Ani Peter (ml)
	A S Alam (pa)
	Djavan Fagundes (pt_BR)
	Rafael Ferreira (pt_BR)
	Matej Urbančič (sl)
	Krishnababu Krothapalli (te)


Evolution-Data-Server 3.5.92 2012-09-17
---------------------------------------

Bug Fixes:
	Bug 677393 - [IMAP] Deadlock when moving message and checking new mail
	             (Alban Browaeys)
	Bug 677685 - WebCal backend doesn't stop opening phase on error
	             (Milan Crha)
	Bug 677871 - EBookBackendSqliteDB - Escape SQL strings
	             (Mathias Hasselmann)
	Bug 679219 - IMAP+ fails to show newly created top-level folders
	             (Milan Crha)
	Bug 682398 - GError reuse during IMAP connect routine (Milan Crha)
	Bug 683785 - Add e_source_new_with_uid() (Matthew Barnes)

Other Changes:
	* CamelIMAPXServer: Fix shell command connections (Yanko Kaneti)
	* IMAPX - Copy also user flags/tags on message append, if server can
	  save them (Milan Crha)
	* IMAP - Be able to read messages from cache in offline mode
	  (Milan Crha)
	* Skip sources with disabled parents from completion lookup
	  (Milan Crha)
	* IMAP - Do not update folder list when the operation was cancelled
	  (Milan Crha)
	* ESourceRegistry: Work around GType deadlock. (Matthew Barnes)
	* [CalDAV] Block EProxy::changed when changing priv::uri (Milan Crha)
	* Fix a memory leak from MH-format camel provider (Milan Crha)
	* Unwrap GDBus error in generic EClient operations (Milan Crha)

Translations:
	Nilamdyuti Goswami (as)
	Ihar Hrachyshka (be)
	Mario Blättermann (de)
	Tom Tryfonidis (el)
	Daniel Mustieles (es)
	Alexandre Franke (fr)
	Sweta Kothari (gu)
	Gabor Kelemen (hu)
	Andika Triwidada (id)
	Seong-ho Cho (ko)
	Rūdolfs Mazurs (lv)
	Sandeep Sheshrao Shedmake (mr)
	Piotr Drąg (pl)
	Duarte Loreto (pt)
	Yuri Myasoedov (ru)
	Matej Urbančič (sl)
	Мирослав Николић (sr)
	Nguyễn Thái Ngọc Duy (vi)
	Chao-Hsiung Liao (zh_HK)


Evolution-Data-Server 3.5.91 2012-09-03
---------------------------------------

Bug Fixes:
	Bug 660383 - Backends should listen for changes in refresh interval
	             (Milan Crha)
	Bug 680467 - Crash under camel_folder_search_search() (Milan Crha)
	Bug 680961 - Broken dispatching of EAuthenticationSession
	             (Matthew Barnes)
	Bug 681930 - STARTTLS was default auth method (Milan Crha)
	Bug 681939 - camel_folder_summary_remove_uids() doesn't remove from DB
	             (Milan Crha)
	Bug 681995 - IMAPx does't set message size on message append
	             (Milan Crha)
	Bug 682706 - WebDAV addressbook lookup very slow (Milan Crha)

Other Changes:
	* IMAPX thread-safety improvements (Matthew Barnes)
	* Start/stop book/cal views in a dedicated thread (Milan Crha)
	* IMAP - Do not do folder summary update as all-or-nothing approach
	  (Milan Crha)
	* ESourceWebdav: Add "resource-query" property. (Matthew Barnes)
	* WebDAV addressbook cannot be opened (Milan Crha)
	* Could not create folders in Yahoo! account using imapx (Milan Crha)

Translations:
	Nilamdyuti Goswami (as)
	Chris Leonard (en_GB)
	Daniel Mustieles (es)
	Fran Diéguez (gl)
	Andika Triwidada (id)
	Aurimas Černius (lt)
	Kjartan Maraas (nb)
	Piotr Drąg (pl)
	Duarte Loreto (pt)
	Yuri Myasoedov (ru)
	Dr.T.Vasudevan (ta)
	Nguyễn Thái Ngọc Duy (vi)
	Chao-Hsiung Liao (zh_HK)


Evolution-Data-Server 3.5.90 2012-08-20
---------------------------------------

Bug Fixes:
	Bug 678289 - Filters are not applied automatically to local maildir
	             Inbox (Milan Crha)
	Bug 679488 - Unable to send mail using SMTP (Milan Crha)
	Bug 680744 - IMAP: Does not update folder structure (Milan Crha)
	Bug 681046 - Occasional crash of evolution-source-registry (Milan Crha)
	Bug 681318 - Filter by Source account doesn't match in local folders
	             (Milan Crha)
	Bug 681321 - Support both old and new-buf libxml2 APIs (Colin Walters)
	Bug 681466 - Virtual Trash/Junk not updated on change (Milan Crha)
	Bug 681640 - Check for Python interpreter in configure.ac
	             (Matthew Barnes)
	Bug 681679 - Typo in migration causes signatures to be dropped
	             (Matthew Barnes)
	Bug 682038 - "Show only this calendar" broken (Milan Crha)
	Bug 682102 - Upstream Debian's 20_gettext_intltool.patch
	             (Matthew Barnes)
	Bug 682103 - -fPIC build fix (Fabien Tassin)

Other Changes:
	* Do not update unread count in source folder for junk/deleted
	  messages. (Milan Crha)
	* e-book-backend-db-cache.h: Avoid DB typedef. (Matthew Barnes)
	* CamelSession: Make forward_to() method asynchronous. (Matthew Barnes)
	* CamelSession: Remove camel_session_lock/unlock(). (Matthew Barnes)
	* CamelSession: Have add_service() return a new reference.
	  (Matthew Barnes)
	* Have camel_session_list_services() return new references.
	  (Matthew Barnes)
	* Rename camel_session_get_service(). (Matthew Barnes)
	* Rename camel_service_get_settings(). (Matthew Barnes)
	* Add e_collection_backend_claim_all_resources(). (Matthew Barnes)
	* cache-reaper: Clean up abandoned data directories. (Matthew Barnes)
	* Deprecate e_client_remove_sync(). (Matthew Barnes)

Translations:
	Nilamdyuti Goswami (as)
	Daniel Mustieles (es)
	Fran Diéguez (gl)
	Sweta Kothari (gu)
	Aurimas Černius (lt)
	Sandeep Sheshrao Shedmake (mr)
	Мирослав Николић (sr)
	Krishnababu Krothapalli (te)
	Chao-Hsiung Liao (zh_HK)


Evolution-Data-Server 3.5.5 2012-08-06
--------------------------------------

Bug Fixes:
	Bug 551788 - Hangs when network changes (Milan Crha)
	Bug 674696 - Crash from finish_operation, get_groups_cb in Google
	             backend (Milan Crha)
	Bug 677530 - Memory leaks in imapx code (Milan Crha)
	Bug 678893 - Allow concurrent authentication sessions (Matthew Barnes)
	Bug 679017 - Broken spool mbox file accounts (Milan Crha)
	Bug 679808 - e_source_selector_set_primary_selection() has side-effects
	             (Matthew Barnes)
	Bug 680013 - Deadlock in CalDAV calendar (Milan Crha)
	Bug 680106 - Missing status message in camel_folder_refresh_info_sync()
	             (Matthew Barnes)
	Bug 680211 - Memory usage increases on each folder select (Milan Crha)
	Bug 680502 - Deadlock in contacts backend (Milan Crha)
	Bug 680687 - System timezone name differs from set in Gnome
	             (Milan Crha)

Other Changes:
	* Support creating/deleting remote resources. (Matthew Barnes)
	* Use template files to generate GEnumClass types. (Matthew Barnes)
	* google: Fix removal of custom vCard attributes in Google address
	  books (Philip Withnall)
	* Make sure IMAP is connected before doing online operations
	  (Milan Crha)
	* Move e_pointer_tracker to camel (Milan Crha)
	* Replace e_source_registry_server_queue_auth_session().
	  (Matthew Barnes)
	* CamelIMAPXServer: fixed API function for running custom commands
	  (Christian Hilberg)
	* Fix a memory leak in e-cal-system-timezone.c (Dan Vrátil)
	* Conditionally enable bug-buddy/gtk+ also for
	  evolution-source-registry (Milan Crha)
	* libecal: fix memory leak after failed object creation (Patrick Ohly)
	* e_source_registry_commit_source_sync(): Handle collection members.
	  (Matthew Barnes)

Translations:
	Andika Triwidada (id)
	Chao-Hsiung Liao (zh_HK)
	Daniel Mustieles (es)
	Fran Diéguez (gl)
	Sweta Kothari (gu)
	Kjartan Maraas (nb)
	Nilamdyuti Goswami (as)
	Tom Tryfonidis (el)
	Мирослав Николић (sr)


Evolution-Data-Server 3.5.4 2012-07-16
--------------------------------------

Bug Fixes:
	Bug 559391 - Wrong number of unread mails in folder tree (Milan Crha)
	Bug 578240 - Impossible to cancel search in search folders (Milan Crha)
	Bug 677697 - Huge memory leaks (Milan Crha)
	Bug 677886 - Runtime warning from ESourceAlarms (Milan Crha)
	Bug 678602 - Inform server of client-side auth cancellations.
	             (Matthew Barnes)
	Bug 678856 - Crash in add_instance() at e-cal-client.c (Milan Crha)
	Bug 678903 - GConf migration omits so-called "send-only" accounts
	             (Matthew Barnes)

Other Changes:
	* Rework CamelIMAPXServer to be subclassed and extended more
	  easily. (Christian Hilberg)
	* google: Remove the option to not cache Google Contacts data locally
	  (Philip Withnall)
	* Fix install failure in google backend. (Matthew Barnes)
	* Add ESourceResource extension type. (Matthew Barnes)
	* weather: update for newer GWeather (Giovanni Campagna)
	* libedata-book.pc.in: Add a 'libexecdir' variable. (Matthew Barnes)
	* libedata-cal.pc.in: Add a 'libexecdir' variable. (Matthew Barnes)
	* camel_provider_list(): Emit CRITICAL if camel_provider_load() fails.
	  (Matthew Barnes)
	* Disregard G_FILE_ERROR_NOENT during GConf migration. (Matthew Barnes)
	* evolution-source-viewer: Add delete capability. (Matthew Barnes)
	* CamelStoreClass: Rename compare_folder_name to equal_folder_name.
	  (Matthew Barnes)
	* server_side_source_remove(): Disregard G_IO_ERROR_NOT_FOUND.
	  (Matthew Barnes)
	* Camel: Use folder display name in status messages when possible.
	  (Matthew Barnes)
	* Preset timeout on SoupSession-s to 90 seconds (Milan Crha)
	* online-accounts: Mail sources need to be writable. (Matthew Barnes)

Translations:
	Nilamdyuti Goswami (as)
	Ihar Hrachyshka (be)
	Alexander Shopov (bg)
	Dimitris Spingos (el)
	Daniel Mustieles (es)
	Fran Diéguez (gl)
	Kjartan Maraas (nb)
	Nguyễn Thái Ngọc Duy (vi)
	Chao-Hsiung Liao (zh_HK)


Evolution-Data-Server 3.5.3 2012-06-25
--------------------------------------

!!! MAJOR DESIGN CHANGES AND API BREAKS IN THIS RELEASE !!!

* GConf dependency has been dropped.

* Account data now resides in plain text files rather than GConf XML blobs.
  As part of this effort, a good part of libedataserver was rewritten from
  scratch.  For further details and links to documentation see:
  https://mail.gnome.org/archives/evolution-list/2012-May/msg00214.html

Bug Fixes:
	Bug 668247 - Broken non-basic-latin folder name handling (Milan Crha)
	Bug 673817 - Crash in e_book_backend_file_dispose() (Milan Crha)
	Bug 676541 - Unreliable IMAP provider (Milan Crha)
	Bug 677183 - maildir account doesn't open (Milan Crha)
	Bug 677610 - Avoid modification of CPPFLAGS in Makefile.am (Milan Crha)
	Bug 677642 - Critical warnings on vFolder change (Milan Crha)
	Bug 677664 - Camel: Remove "SMTP Authentication" status message
	             (Matthew Barnes)
	Bug 677687 - Broken migration of "namespace" IMAP setting
	             (Matthew Barnes)
	Bug 677841 - Workaround for crash in
	             imapx_command_append_message_done() (Milan Crha)
	Bug 677933 - imapx_utils_init() called too early (Matthew Barnes)
	Bug 678067 - Localized display names get stuck (Matthew Barnes)
	Bug 678069 - Crash in _gdata_entry_update_from_e_contact() (Milan Crha)
	Bug 678255 - edata-cal missing libebackend-1.2 requirement
	             (Jordi Mallach)
	Bug 678378 - ESourceRegistry causes deadlock in gnome-shell
	             (Matthew Barnes)
	Bug 678618 - Runtime warning when clicking on top-level sidebar item
	             (Matthew Barnes)

Other Changes:
	* Remove camel_settings_load_from_url(). (Matthew Barnes)
	* Remove camel_settings_save_to_url(). (Matthew Barnes)
	* ldap: Avoid a race during finalize. (Matthew Barnes)
	* imap[x]: Remove shell command option from user interfaces.
	  (Matthew Barnes)
	* Add 'evolution-source-viewer' test tool. (Matthew Barnes)
	* Port remaining bits from GConf to GSettings (Milan Crha)
	* Remove forgotten DBUS_GLIB_CFLAGS/LIBS, these are gone now
	  (Milan Crha)
	* Remove -Werror from AM_INIT_AUTOMAKE. (Matthew Barnes)
	* google: Split conversion functions from Google backend into a util
	  lib (Philip Withnall)
	* google: Add some tests to Google address book backend
	  (Philip Withnall)
	* google: Make ‘rel’ and ‘label’ mutually exclusive for certain
	  elements (Philip Withnall)
	* Tighten up pkg-config files. (Matthew Barnes)
	* build: Enable g-ir-scanner’s --warn-all option when building GIR
	  files (Philip Withnall)
	* Do not call g_object_notify() when property didn't change (Milan Crha)
	* imapx_store_noop_sync: Don't return FALSE without setting a GError.
	  (Matthew Barnes)
	* Deprecate EUri. (Matthew Barnes)
	* Updated Telugu Translation (Sasi Bhushan Boddepalli)
	* imapx_command_fetch_message_done: Fix an error handling issue.
	  (Matthew Barnes)
	* camel_data_cache_get_filename: Remove unused GError parameter.
	  (Matthew Barnes)
	* e_book_backend_file_open: Fix directory existence test.
	  (Matthew Barnes)
	* camel_data_cache_get: Improve empty file handling. (Matthew Barnes)
	* Improve imapx_command_fetch_message_done(). (Matthew Barnes)
	* CAMEL_PROVIDER_IS_STORE_AND_TRANSPORT: Handle NULL gracefully.
	  (Matthew Barnes)
	* Updated Telugu Translation (Sasi Bhushan Boddepalli)
	* Deprecate EDbHash. (Matthew Barnes)
	* google: Add a new custom vCard property containing Google system
	  groups (Philip Withnall)
	* libebook: Reference address books by UID instead of URI.
	  (Matthew Barnes)
	* Camel string pool improvements. (Matthew Barnes)

Translations:
	Nilamdyuti Goswami (as)
	Ihar Hrachyshka (be)
	Daniel Mustieles (es)
	Bruno Brouard (fr)
	Fran Diéguez (gl)
	Yuri Kozlov (ru)


Evolution-Data-Server 3.5.2 2012-06-04
--------------------------------------

Bug Fixes:
	Bug 606181 - Accepting bad SSL certificate applies to any hostname
	             (Matt McCutchen)
	Bug 664639 - [IMAPX] Doesn't quit gracefully on account disable
	             (Chenthill Palanisamy)
	Bug 666327 - IMAP deadlock when moving message and checking new mail
	             (Alban Browaeys)
	Bug 667725 - imapx_untagged: code should not be reached
	             (David Woodhouse)
	Bug 669191 - Address book dialog has incorrect default size
	             (Mathieu Trudel-Lapierre)
	Bug 670279 - "Category" selector mnemonic not shown (Milan Crha)
	Bug 671603 - Birthday calendar broken since 3.3.4 (Milan Crha)
	Bug 673946 - Cannot delete search folders (Milan Crha)
	Bug 675387 - Store certificates under $XDG_DATA_HOME (Matthew Barnes)
	Bug 676108 - OpenBSD needs _XOPEN_SOURCE_EXTENDED for strptime(3)
	             (Antoine Jacoutot)
	Bug 676403 - imapx: Syncing folder after server-side deletion of
	             many messages is *very* slow (David Woodhouse)
	Bug 676506 - imapx: After QRESYNC leaves us out of sync, a "full
	             resync" doesn't work either. (David Woodhouse)

Other Changes:
	* Require libsoup >= 2.38.1. (Matthew Barnes)
	* Remove extra test on Google server photo data validity (Milan Crha)
	* Split camel-imapx library and merge into camel so that providers
	  can be written on top of imapx (Chenthill Palanisamy)
	* Add a extended response handler for unhandled imapx tokens to be
	  handled by the derived providers. (Chenthill Palanisamy)
	* Add EAsyncClosure. (Matthew Barnes)
	* Make sure data-book/cal is closed/freed in a separate thread
	  (Milan Crha)
	* CalDAV: Report NoSuchCal only when opening, ObjectNotFound
	  otherwise (Milan Crha)
	* Better error message for SOUP_STATUS_SSL_FAILED response (Milan Crha)
	* CalDAV: Also rename NoSuchCal to ObjectNotFound in
	  caldav_server_put_object() (Milan Crha)
	* Camel: Allow SSL certificate resave and use detailed errors from
	  SSL stream (Milan Crha)
	* Remove camel_folder_has_search_capability() (Milan Crha)
	* CamelService: Rewrite connect/disconnect API. (Matthew Barnes)
	* Simplify vFolder's code and other bunch of related time
	  optimizations (Milan Crha)

Translations:
	Daniel Mustieles (es)
	Fran Diéguez (gl)
	Luca Ferretti (it)
	Kjartan Maraas (nb)
	Matej Urbančič (sl)


Evolution-Data-Server 3.5.1 2012-04-30
--------------------------------------

Bug Fixes:
	Bug 658742 - Change EContact property description string (Milan Crha)
	Bug 663324 - Categories not correctly aligned with Google contacts
	             (Milan Crha)
	Bug 664639 - [IMAPX] Doesn't quit gracefully on account disable
	             (Milan Crha)
	Bug 664793 - Deadlock on EClient operation cancel (Milan Crha)
	Bug 665381 - LDAP backend crash when query_ldap_root_dse() fails
	             (Milan Crha)
	Bug 666438 - Contact's Full name field not displayed in list view
	             (Milan Crha)
	Bug 666896 - Workaround Improper GB-2312 Mail Encodings
	             (Palmer Dabbelt)
	Bug 667477 - EXDATE containing time are not handle correctly
	             (Milan Crha)
	Bug 667891 - Rapid message list regen when downloading a folder
	             (Milan Crha)
	Bug 668549 - Crash in objects_added_cb() in e-book-client-view.c
	             (Milan Crha)
	Bug 668679 - Crash on insertion of NULL in e_destination_set_contact()
	             (Milan Crha)
	Bug 668989 - Add a twitter username to IM in contacts (Milan Crha)
	Bug 669034 - [IMAP] Shows "Unknown background operation" on start
	             (Milan Crha)
	Bug 669085 - Saving draft on Google server emits runtime warning
	             (Milan Crha)
	Bug 670435 - Added e_cal_client_view_set_flags() (Christophe Dumez)
	Bug 670457 - Add bulk methods to ECalClient (Christophe Dumez)
	Bug 670470 - Do not force password for IMAPx connection (Yanko Kaneti)
	Bug 671172 - camel: smtp: Make EHLO keywords check case insensitive
	             (Pawel Moll)
	Bug 671537 - Option to validate SLL certificates with libsoup
	             (Milan Crha)
	Bug 672175 - Make CamelFolderSearch cancellable (Milan Crha)
	Bug 672258 - Error while moving messages in local folders (Milan Crha)
	Bug 672398 - CalDAV backend doesn't respect "Copy for offline" option
	             (Milan Crha)
	Bug 673527 - Addressbook bulk methods are broken (Christophe Dumez)
	Bug 673563 - Encoded filename for Outlook broken by spaces (Milan Crha)
	Bug 673894 - Adding events to Google Calendar is broken (Milan Crha)
	Bug 674257 - Recheck attachment availability on message download
	             (Milan Crha)
	Bug 674309 - Crash when calling oauth_init_nss() from two threads
	             (Milan Crha)

Miscellaneous Changes:
	* Add an --enable-code-coverage configure option to enable gcov
	  support (Philip Withnall)
	* Limit supported gweather to < 3.5. (Matthew Barnes)
	* Require GLib >= 2.32. (Matthew Barnes)
	* EDataFactory: Use GNetworkMonitor always. (Matthew Barnes)
	* Deprecate and gut EOfflineListener. (Matthew Barnes)
	* Remove migration of categories from GConf. (Matthew Barnes)
	* EDBusServer: Add run/quit signals. (Matthew Barnes)
	* CalDAV backend could starve on its dispose waiting for slave
	  finish (Milan Crha)
	* Remove CamelHttpStream. (Matthew Barnes)
	* Add e_file_recursive_delete(). (Matthew Barnes)
	* Make e_dbus_server_load_modules() idempotent. (Matthew Barnes)
	* EDBusServer: Add exit codes to run() and quit(). (Matthew Barnes)
	* ENameSelectorEntry: Remove USER_QUERY_FIELDS macro. (Matthew Barnes)
	* ENameSelectorDialog: Remove use of "primary_addressbook".
	  (Matthew Barnes)
	* Remove EDataFactory's "online" property. (Matthew Barnes)
	* Remove EBackend::last-client-gone signal. (Matthew Barnes)
	* Add e_data_factory_ref_backend_factory(). (Matthew Barnes)
	* Bump libedataserverui shared object name. (Matthew Barnes)
	* ESourceSelector: Add e_source_selector_ref_source_by_path().
	  (Matthew Barnes)
	* ESourceSelector: Add e_source_selector_ref_primary_selection().
	  (Matthew Barnes)
	* Remove e_source_combo_box_get/set_active_uid(). (Matthew Barnes)
	* ESourceComboBox: Add e_source_combo_box_ref_active().
	  (Matthew Barnes)
	* Remove deprecated API from ESourceSelector (Milan Crha)
	* Fix Google Talk vCard attribute name definition (Milan Crha)

Translations:
	Gil Forcada (ca)
	Jordi Serratosa (ca)
	Carles Ferrando (ca@valencia)
	Daniel Mustieles (es)
	Fran Diéguez (gl)
	Rajesh Ranjan (hi)
	Sandeep Sheshrao Shedmake (mr)
	Kjartan Maraas (nb)
	ManojKumar Giri (or)
	Daniel Nylander (sv)
	Krishnababu Krothapalli (te)
	Sasi Bhushan (te)


Evolution-Data-Server 3.4.0 2012-03-26
--------------------------------------

Miscellaneous Fixes:
	* Various last-minute IMAPX crash fixes. (Matthew Barnes)

Translations:
	Runa Bhattacharjee (bn_IN)
	Flemming Christensen (da)
	Kristjan SCHMIDT (eo)
	A S Alam (pa)
	Krishnababu Krothapalli (te)
	Nguyễn Thái Ngọc Duy (vi)


Evolution-Data-Server 3.3.92 2012-03-19
---------------------------------------

Bug Fixes:
	Bug 736655 (bnc) - Deadlocks when auto-completing address in email composer (Chenthill Palanisamy)
	Bug 659756 - Initialize dbus-glib threading for GConf (Milan Crha)
	Bug 665025 - Memory leak in camel mime (Milan Crha)
	Bug 664186 - Maildir scan checks incorrectly for folder name prefix (Milan Crha)
	Bug 671470 - Mail search on body doesn't work (local mail) (Milan Crha)
	Bug 664186 - Fix regression after commit for bug #664186 (Milan Crha)

Miscellaneous Fixes:
	Update API documentation. (Matthew Barnes)
	Fix some crashes in imapx_command_start_next(). (Matthew Barnes)
	EDS: memory leak fixes (Patrick Ohly)
	Update store<=>folder summaries connection on folder rename (Milan Crha)
	CamelIMAPXServer: Avoid crashing in cancel_all_jobs(). (Matthew Barnes)
	camel-local-provider.c: Remove superfluous conf entries. (Matthew Barnes)
	Fix compiler format warnings in IMAPX code (Milan Crha)
	Try to RC2047-decode address-only string when parsing email addresses (Milan Crha)

Translations:
	Jiri Eischmann (cs)
	Piotr Drąg (pl)
	Mario Blättermann (de)
	Gabor Kelemen (hu)
	Hannie Dumoleyn (nl)
	Timo Jyrinki (fi)
	Seong-ho Cho (ko)
	Yuri Myasoedov (ru)
	Sweta Kothari (gu)
	Duarte Loreto (pt)
	Nilamdyuti Goswami (as)
	Bruno Brouard (fr)
	Bruce Cowan (en_GB)
	Khoem Sokhem (km)
	Rudolfs Mazurs (lv)

* The dbus-glib dependency has temporarily returned.  GConf now uses
  dbus-glib instead of libbonobo but it does not initialize threading
  support, so we have to initialize it to avoid thread-safety issues.
  When we're ready to drop GConf we will drop dbus-glib along with it.


Evolution-Data-Server 3.3.91 2012-03-05
---------------------------------------

Bug Fixes:
	Bug 610988 - Filter can't set labels on IMAP messages (Milan Crha)
	Bug 658742 - Gettext messages require translator comments (Milan Crha)
	Bug 663224 - Deleted message not deleted on other machine (Milan Crha)
	Bug 668639 - Sexps on VEVENT / VJOURNAL statuses are not supported
	             (Christophe Dumez)
	Bug 670887 - e_cal_client_generate_instances_for_object() returns
	             instances in reverse order (Christophe Dumez)
	Bug 670938 - e_cal_client_generate_instances_for_object() returns
	             invalid instances (Christophe Dumez)

Other Changes:
	* Manual Refresh on a CalDAV calendar does not work (Milan Crha)
	* Initialize EGdbusTemplates main thread in book/calendar factories
	  (Milan Crha)
	* CamelSession: Add a default method for get_socks_proxy().
	  (Matthew Barnes)
	* Provide at least some NSPR error text, rather than cryptic error
	  code (Milan Crha)
	* EBookBackendFile: Fix a warning caused by Berkeley DB v5.
	  (Matthew Barnes)
	* EContact: fix "parse vcard + update contact + commit" (Patrick Ohly)

Translations:
	Ihar Hrachyshka (be)
	Petr Kovar (cs)
	Inaki Larranaga Murgoitio (eu)
	Changwoo Ryu (ko)
	Jonh Wendell (pt_BR)
	Yuri Myasoedov (ru)
	Matej Urbančič (sl)
	Martin Srebotnjak (sl)
	Gheyret Kenji (ug)
	Nguyễn Thái Ngọc Duy (vi)
	Chao-Hsiung Liao (zh_HK)


Evolution-Data-Server 3.3.90 2012-02-20
---------------------------------------

Bug Fixes:
	Bug 662920 - Creates MH folders, but needs restart to update folder list (Milan Crha)
	Bug 658348 - Harmonize wording for "Check new messages in INBOX" (Milan Crha)
	Bug 658347 - Harmonize mnemonic for "Check new messages for Junk contents" (Milan Crha)
	Bug 637200 - Add mnemonics to Folder Properties dialog checkboxes (Milan Crha)
	Bug 669341 - Plural forms in imapx (Milan Crha)
	Bug 391472 - Add ability to match headers by words (Milan Crha)
	Bug 669847 - Fix up online notification (part 2) (Alexander Larsson)
	Bug 669487 - Fix up online notification (part 1) (Alexander Larsson)
	Bug 535978 - Filtering on IMAP accounts causes message to be downloaded (Milan Crha)
	Bug 553796 - Unable to Reset Message Color (Milan Crha)
	Bug 485283 - Filter is not working for mix letter case (Milan Crha)
	Bug 309945 - Ability to filter folders other than INBOX too (Milan Crha)
	Bug 669545 - Crash invoking filters in IMAP folder (Milan Crha)

Miscellaneous Fixes:
	Use GSettings for EProxy (Milan Crha)
	Revert one change from the previous commit, it emitted incorrect warnings (Milan Crha)
	Fix issues found by Coverity Scan (Milan Crha)
	Crash on message send, under check_header_in_message_info() (Milan Crha)
	Fix google contacts going online after being offline (Alexander Larsson)

Translations:
	Daniel Mustieles (es)
	Мирослав Николић (sr)
	Daniel Nylander (sv)
	Yuri Myasoedov (ru)
	Ihar Hrachyshka (be)
	Aurimas Černius (lt)
	Fran Diéguez (gl)
	Kjartan Maraas (nn)


Evolution-Data-Server 3.3.5 2012-02-06
--------------------------------------

Bug Fixes:
	Bug 666764 - SQL error migrating folders (Milan Crha)
	Bug 649141 - Return only system timezones known to libical (Milan Crha)
	Bug 669005 - Partial hang with unresponsive HTML email image source
	             (Milan Crha)
	Bug 669003 - CalDAV: Cannot modify calendar object (libical 0.48)
	             (Milan Crha)
	Bug 668811 - EBookBackendSqliteDB can be asked for an unknown contact
	             (Milan Crha)
	Bug 669238 - Warning while creating appointments/meetings (Punit Jain)

Other Changes:
	* Remove CamelDList and use GQueues instead. (Matthew Barnes)
	* Improved deadlock and crash avoidance in IMAPX.  (Matthew Barnes)
	* CamelStoreSummary: Save count changes from CamelFolderSummary
	  immediately (Milan Crha)
	* CamelVeeFolder: Process folder changes more efficiently.
	  (Matthew Barnes)
	* CamelStoreSummary: Schedule save rather than save immediately
	  (Milan Crha)
	* Fix few memory leaks (Milan Crha)
	* Add auto_fetch param to avoid autofetching next mails.
	  (Srinivasa Ragavan)
	* Add sync+async apis for Fetch Messages and Purge Message Cache.
	  (Srinivasa Ragavan)
	* Add flags to the Provider and code for mobile mode in settings.
	  (Srinivasa Ragavan)
	* Added Mobile support and specific apis to imapx. (Srinivasa Ragavan)
	* Add mobile mode settings to POP3. (Srinivasa Ragavan)

Translations:
	Daniel Mustieles (es)
	Kjartan Maraas (nb)
	Matej Urbančič (sl)
	Chao-Hsiung Liao (zh_HK)


Evolution-Data-Server 3.3.4 2012-01-16
--------------------------------------

Bug Fixes:
	Bug 666327 - IMAP deadlock when moving message and checking new mail
	             (Alban Browaeys)
	Bug 666327 - [IMAP] Missing unlock in camel_imap_folder_fetch_data
	             (Alban Browaeys)
	Bug 357175 - IMAP alerts still too intrusive (Milan Crha)
	Bug 482171 - IMAP warnings are presented without folder context
	             (Milan Crha)
	Bug 662888 - Use --include-uninstalled for internal .gir files
	             (Colin Walters)
	Bug 592906 - Birthdays from WebDAV contacts do not show up in calendar
	             (Milan Crha)
	Bug 666770 - Add gmodule-2.0 to libedataserver.pc (Matthew Barnes)
	Bug 661743 - Return maildir Inbox sibling folders only when requested
	             (Milan Crha)
	Bug 665036 - Memory leaks spot in Contacts view (Milan Crha)
	Bug 666757 - [CalDAV] Manage authentication requests even after open
	             (Milan Crha)
	Bug 638810 - Crash in camel_folder_search_set_folder with IMAP account
	             (Milan Crha)
	Bug 644817 - Slow addressbook cache (Milan Crha)
	Bug 667698 - vapigen: fix builddir != srcdir issue (Ryan Lortie)
	Bug 667388 - Introspection annotation fixes for nullable return types
	             (Philip Withnall)

Miscellaneous Changes:
	* Camel: Various iconv improvements (Jeffrey Steadfast)
	* Camel: Add thread-safe accessors for string settings (Matthew Barnes)

Translations:
	Ihar Hrachyshka (be)
	Daniel Mustieles (es)
	Fran Diéguez (gl)
	OKANO Takayoshi (ja)
	Kjartan Maraas (nb)


Evolution-Data-Server 3.3.3 2011-12-19
--------------------------------------

Bug Fixes:
	Bug 665253 - "New folder" dialog does not show IMAP accounts (Milan Crha)
	Bug 662068 - Crash in e-cal-backend-http.c:retrieval_done (Milan Crha)
	Bug 666106 - libical 0.47 handles CATEGORIES as multiple parameters (Milan Crha)
	Bug 652173 - EContact's file-as getter doesn't populate empty value (Milan Crha)
	Bug 665337: Remove --disable-calendar (Matthew Barnes)
	Bug 664819 - gmodule-2.0 dependency must be explicit (Diego López León)
	Bug 664572 - Change e_cal_backend_notify_component* to use ECalComponent (Milan Crha)
	Bug 652177 - Add "revision" property to calendar file backend (Tristan Van Berkom)

Miscellaneous Fixes:
	Fix leaks around categories editing (Milan Crha)
	e_categories_selector_get_checked: Return them always in the same order (Milan Crha)
	Contacts calendar - consider also other than only file-as field (Milan Crha)
	Add CamelSession.remove_service() method. (Matthew Barnes)
	Fix glib-gen.mak rules. (Matthew Barnes)
	Call gettext on the short descriptions of port numbers. (Gabor Kelemen)
	Add --wait-for-client factory processes command line option (Milan Crha)
	Small correction to imapx_command_run_sync(). (Matthew Barnes)
	CamelIMAPXCommand: Make imapx_command_run_sync() more responsive to cancellations. (Matthew Barnes)
	CamelIMAPXCommand: Reference the command when running synchronously. (Matthew Barnes)
	CamelIMAPXCommand: Remove imapx_command_free() with imapx_command_unref(). (Matthew Barnes)
	CamelIMAPXCommand: Add imapx_command_ref(). (Matthew Barnes)
	CamelIMAPXCommand: Make IMAPX command functions static. (Matthew Barnes)
	CamelIMAPXCommand: Add a reference count. (Matthew Barnes)
	CamelIMAPXCommand: Allocate with g_slice_new(). (Matthew Barnes)
	CamelIMAPXJob: Make imapx_job_run() more responsive to cancellations. (Matthew Barnes)
	CamelIMAPXJob: Reference the job when queueing. (Matthew Barnes)
	CamelIMAPXJob: Replace imapx_job_free() with imapx_job_unref(). (Matthew Barnes)
	CamelIMAPXJob: Add imapx_job_ref(). (Matthew Barnes)
	CamelIMAPXJob: Add a reference count. (Matthew Barnes)
	CamelIMAPXJob: Allocate with g_slice_new(). (Matthew Barnes)
	imapx_parser_thread: Skip polling and just read the socket. (Matthew Barnes)
	rehandshake_ssl(): Be more responsive to cancellations. (Matthew Barnes)
	Reduce frequency of CamelFolder::changed emissions. (Matthew Barnes)
	Better runtime warnings in tcp_stream_set_error_from_pr_error(). (Matthew Barnes)
	Wean CamelIMAPXServer off CamelMsgPort. (Matthew Barnes)
	Avoid crash in e-cal-backend-http.c:webcal_to_http_method (Milan Crha)
	EProxy: Disconnect from signal handlers on dispose (Milan Crha)
	Added test case for new ECal revision backend property (Tristan Van Berkom)
	Pre-load all built-in timezones in libical on calendar factory start (Milan Crha)
	Add e_book_backend_sqlitedb_get_uids_and_rev() (Milan Crha)

Translations:
	Matej Urbančič (sl)
	Gabor Kelemen (hu)
	Kjartan Maraas (nn)
	Daniel Mustieles (es)
	Xandru Armesto (ast)


Evolution-Data-Server 3.3.2 2011-11-21
--------------------------------------

Bug Fixes:
	Bug 440316 - Improve SSL Certificate check bad signature dialog
	             (Milan Crha)
	Bug 652171 - Added e_book_client_view_set_flags() (Tristan Van Berkom)
	Bug 652175 - Add revision property to addressbook backend
	             (Tristan Van Berkom)
	Bug 655167 - Messages moved from IMAP Inbox reappear (Michel Dänzer)
	Bug 659736 - Do not report change on property set when not changed
	             (Milan Crha)
	Bug 660182 - Error dialog on LDAP query with multiple referrals
	             (Milan Crha)
	Bug 660646 - »IDLE« should not be translated in settings dialog
	             (Milan Crha)
	Bug 660972 - Unable to publish free/busy information (Milan Crha)
	Bug 660974 - sqlite backend: use INSERT OR IGNORE in
	             add_folder_into_db() (Christophe Dumez)
	Bug 661033 - Add support for E_CONTACT_FILE_AS field (Philip Withnall)
	Bug 662473 - Moving mails between local folders removes labels
	             (Milan Crha)
	Bug 662524 - POP3: Use a safer default value for "delete-after-days"
	             (Matthew Barnes)
	Bug 662643 - camel_url_decode_path() crashes on empty string
	             (Matthew Barnes)
	Bug 662929 - POP3 prevents expunge of local Inbox in offline
	             (Milan Crha)
	Bug 663062 - Missing attachment icon on a message with it (Milan Crha)
	Bug 663219 - Crash in imapx_completion at camel-imapx-server.c
	             (Chenthill Palanisamy)

Other Changes:
	* Move remaining CamelURL elements to CamelSettings. (Matthew Barnes)
	* IMAP: Split off a new mutex for commands and responses.
	  (Matthew Barnes)
	* Remove g_thread_init() calls. (Matthew Barnes)
	* Avoid possible crash when url->path is NULL (Milan Crha)
	* Make local addressbook backend store image data as URIs.
	  (Tristan Van Berkom)
	* CamelTcpStreamRaw: Use PR_Interrupt() to cancel blocked I/O.
	  (Matthew Barnes)
	* Use the same technique in imapx_parser_thread(). (Matthew Barnes)
	* Kill gtk-doc tmpl files. (Matthew Barnes)
	* Camel no longer depends on libedataserver. (Matthew Barnes)
	* Add useful GBinding transform funcs from e-util. (Matthew Barnes)

Translations:
	Daniel Mustieles (es)
	Fran Diéguez (gl)
	Kjartan Maraas (nb)
	Matej Urbančič (sl)


Evolution-Data-Server 3.3.1 2011-10-24
--------------------------------------

Bug Fixes:
	Bug 527614 - Valgrind shows a nice amount of lost memory (Milan Crha)
	Bug 601898 - SOCKS proxy does not work with mailer (Milan Crha)
	Bug 620382 - Do not delete also directory for custom local calendars
	             (Milan Crha)
	Bug 632619 - Recurring events can clutter month view (Milan Crha)
	Bug 642984 - Drop --enable-ssl configure option (nss/nspr always
	             required) (Milan Crha)
	Bug 655252 - Need to escape the comp_uid part of a path (Milan Crha)
	Bug 656473 - Store server folder cache in user's cache directory
	             (Milan Crha)
	Bug 656603 - Add support for generating vCard 2.1 in libebook
	             (Bartosz Szatkowski)
	Bug 659438 - Checks junk in all folders despite restricting to INBOX
	             (Milan Crha)
	Bug 659553 - Fix e_vcard_unescape_string (Alexander Larsson)
	Bug 659555 - Add custom icons in a folder Subscription dialog
	             (Milan Crha)
	Bug 659568 - One day delay in calendar view (Milan Crha)
	Bug 659914 - e_book_get_changes: Fix crash caused by unref of a NULL
	             pointer (Christophe Dumez)
	Bug 660246 - EBookBackendSqliteDB: Bad loop iteration
	             (Christophe Dumez)
	Bug 660533 - Missing GOA cflags/libs in libedata-book (Cosimo Cecchi)
	Bug 660615 - Make POP3 provider more cancellable ready (Milan Crha)
	Bug 660656 - Fix e_iterator_get annotation (Alban Browaeys)
	Bug 660829 - Allow 'Mark as read' in right click menu on spam folder
	             (Milan Crha)
	Bug 660870 - Empty Contacts list when pressing "To:" in composer
	             (Milan Crha)
	Bug 660884 - Missing libebackend LIBADD in calendar/backends
	             (Christian Hilberg)
	Bug 661432 - 'Any field contains' search doesn't work in contact view
	             (Milan Crha)
	Bug 661448 - e_util_copy_*_slist(): Avoid using append function
	             (Christophe Dumez)
	Bug 661549 - Avoid fetching from backend when calculating summary
	             (Milan Crha)

Other Changes:
	* libebook.pc.in: camel-1.2 is a private requirement. (Matthew Barnes)
	* Add CamelMemChunk (copy of EMemChunk). (Matthew Barnes)
	* CamelService: Add "password" property. (Matthew Barnes)
	* CamelProvider: Remove 'license' and 'license_file' members.
	  (Matthew Barnes)
	* Add EModule, EExtensible and EExtension (Matthew Barnes)
	* Add various base classes for backends and servers. (Matthew Barnes)
	* Provide CamelFolder::get_message_cached() (Milan Crha)
	* Merge libcamel-provider into libcamel. (Matthew Barnes)
	* Add a "services" directory. (Matthew Barnes)
	* Require GLib 2.30. (Matthew Barnes)
	* addressbook: Optimizations to avoid vcard parsing (Christophe Dumez)
	* Provide EClient's GSList utility functions within
	  e-data-server-util.h (Milan Crha)
	* Increase dependency on gtk+ to 3.2 (Milan Crha)
	* CamelFolderSummary API changes (Milan Crha)
	* gdbus_proxy_call_sync: check sync flag more frequently
	  (Christophe Dumez)
	* Make all backends return NULL when calling get_contact() and the
	  contact is not found. (Christophe Dumez)
	* e-book-client: add e_book_client_add_contacts*() methods
	  (Christophe Dumez)
	* addressbook: Improve bulk contact removal code (Christophe Dumez)
	* configure.ac: Bump ADDRESS_BOOK_DBUS_SERVICE_NAME to 2
	  (Christophe Dumez)
	* Workaround possible crash in imap_body_decode() (Milan Crha)
	* e-book-client: Add bulk contact modification methods.
	  (Christophe Dumez)
	* e_book_backend_sqlitedb_new: Fix database connection reuse
	  (Christophe Dumez)
	* Don't free vcard memory in e_data_book_view_notify_update*_vcard()
	  (Christophe Dumez)
	* ENameSelectorEntry::user_delete_text: Delete whole text when user
	  deleted it (Milan Crha)
	* e-book-backend-file: Don't share DB_ENV between address books from
	  different sources (Christophe Dumez)
	* Require libgdata >= 0.10. (Matthew Barnes)
	* Camel: New authentication API. (Matthew Barnes)
	* Really implement e_cal_client_view_set_fields_of_interest()
	  (Tristan Van Berkom)
	* Add camel_folder_refresh_info()/_finish(). (Matthew Barnes)
	* Avoid a crash in camel_session_get_service_by_url(). (Matthew Barnes)

Translations:
	Ihar Hrachyshka (be)
	Alexander Shopov (bg)
	Gil Forcada (ca)
	Carles Ferrando (ca@valencia)
	Jiri Eischmann (cs)
	Mario Blättermann (de)
	Bruce Cowan (en_GB)
	Daniel Mustieles (es)
	Inaki Larranaga Murgoitio (eu)
	Alexandre Franke (fr)
	Fran Dieguez (gl)
	Gabor Kelemen (hu)
	Luca Ferretti (it)
	OKANO Takayoshi (ja)
	Changwoo Ryu (ko)
	Kjartan Maraas (nb)
	Piotr Drąg (pl)
	Matej Urbančič (sl)
	Daniel Nylander (sv)
	Nguyễn Thái Ngọc Duy (vi)
	YunQiang Su (zh_CN)


Evolution-Data-Server 3.2.0 2011-09-26
--------------------------------------

Miscellaneous Changes:
	google: Handle multivalue custom vcard attributes (Alexander Larsson)

Translations:
	Nilamdyuti Goswami (as)
	Mario Blättermann (de)
	Inaki Larranaga Murgoitio (eu)
	Sweta Kothari (gu)
	Luca Ferretti (it)
	Hannie Dumoleyn (nl)
	Manoj Kumar Giri (or)
	A S Alam (pa)
	Muhammet Kara (tr)


Evolution-Data-Server 3.1.92 2011-09-19
---------------------------------------

Bug Fixes:
	Bug #659282 - Cannot add more than one appointment per session (Milan Crha)
	Bug 659184 - Contacts calendar backend doesn't show events (Milan Crha)
	Bug 659079 — Read all gContact:website (Alexander Larsson)
	Bug 659165 — editing eds contacts that has an avatar fails (Philip Withnall)
	Bug 655253 - fix regression introduced with MOD_ONLY_THIS (Patrick Ohly)
	Bug 632153 - Set X-Evolution-Source header consistently (Milan Crha)
	Bug 658911 - google: Always readonly addressbooks with goa (Alexander Larsson)
	Bug 655728 - Read proxy settings from GSettings since Gnome 3 (Milan Crha)
	Bug 655837 - Avoid use of deprecated g_unicode_canonical_decomposition (Vincent Untz)
	Bug 654818 crash fix : query conversion to sql (Punit Jain)

Miscellaneous Fixes:
	Introspection: improve annotation for e_source_peek_group (Raul Gutierrez Segales)
	[imapx] Fix read of uninitialized memory from g_str_has_prefix (Milan Crha)
	e-d-s: Expose all gContact:websites items (Milan Crha)
	Handle changes in the goa accounts list at runtime (Alexander Larsson)
	calendar file backend: revert adding EXDATE when creating detached recurrences (Patrick Ohly)
	e-gdbus-templates: Fix incorrect type check in e_gdbus_proxy_finish_call_uint() (Christophe Dumez)
	Make maintiner mode enabled by default (Javier Jardón)
	Change order of system timezone detection (Milan Crha)
	camel-sasl-gssapi.c: Fix reply read of org.gnome.KrbAuthDialog.acquireTgt (Milan Crha)

Translations:
	Duarte Loreto (pt)
	Jiro Matsuzawa (ja)
	Bruce Cowan (en_GB)
	A S Alam (pa)
	Gabor Kelemen (hu)
	Luca Ferretti (it)
	Krasimir Chonov (bg)
	Jorge González (es)
	Piotr Drąg (pl)
	Rajesh Ranjan (hi)
	I Felix (ta)
	Marek Černocký (cs)
	Changwoo Ryu (ko)
	Matej Urbančič (sl)
	Ihar Hrachyshka ()
	Rudolfs Mazurs (lv)
	Andika Triwidada (id)
	Martin Srebotnjak (sl)
	Antonio Fernandes C. Neto (pt)

Evolution-Data-Server 3.1.91 2011-09-05
---------------------------------------

Bug Fixes:
	Bug 566563 - Make ESource password prompts clearer (Milan Crha)
	Bug 655111 - Modify allday to date-time event keeps VALUE=DATE
	             parameter (Milan Crha)
	Bug 655253 - Delete of one occurrence of a repeatable event don't
	             work (Milan Crha)
	Bug 655433 - Drag and Drop of messages out of Junk folder broken
	             (Milan Crha)
	Bug 657345 - Remember password by default for book/calendar
	             (Milan Crha)
	Bug 657836 - Work around g_unix_signal API changes. (Denis Washington)

Other Changes:
	* Do not expose password in imapx log (Milan Crha)
	* Add a vapi for ecalendar (Lucas Baudin)
	* Create tar.xz files for 'make dist' only (Milan Crha)

Translations:
	Jorge González (es)
	Claude Paroz (fr)
	Fran Dieguez (gl)
	Shankar Prasad (kn)
	Kjartan Maraas (nb)
	Yuri Myasoedov (ru)
	Daniel Nylander (sv)
	krishnababu k (te)
	Chao-Hsiung Liao (zh_HK)


Evolution-Data-Server 3.1.90 2011-08-29
---------------------------------------

Camel has a new class heirarchy for managing provider-specific settings
called CamelSettings.  Heavily utilizing GObject properties, this new API
replaces the prevous method of settings storage which stuffed values into
the CamelService URL string as "&key=value;..." pairs.

Details about the new API here:
http://mail.gnome.org/archives/evolution-hackers/2011-August/msg00013.html

Bug Fixes:
	Bug 562912 - Unread vfolder marks unread messages as read (Milan Crha)
	Bug 576398 - vfolder not showing new messages from nntp group
	             (Milan Crha)
	Bug 651469 - Folders don't update after moving mails in maildir
	             (Milan Crha)
	Bug 651693 - Decode QP encoded names when invoking 'Expand list Inline'
	             (Ritesh Khadgaray)
	Bug 651849 - Remove string from translation (Milan Crha)
	Bug 652437 - NNTP messages is sometimes displayed as grey (Milan Crha)
	Bug 652914 - IMAP: moving mail puts a copy into real Trash too
	             (Milan Crha)
	Bug 655121 - CalDAV: Can't reopen attachments saved on a server
	             (Milan Crha)
	Bug 655272 - IMAPX: Leaking file descriptors from open pipes
	             (Milan Crha)
	Bug 655833 — Mailing addresses for Google Contacts not saving if
	             PO Box… (Philip Withnall)
	Bug 655997 - Unneeded context specifiers (Milan Crha)
	Bug 656051 - Preserve mbox file attributes after rewrite (Milan Crha)
	Bug 657181 - Backends can be left half-opened when using ECal
	             (Milan Crha)

Other Changes:
	* CamelStore: Split subscription API into a separate interface.
	  (Matthew Barnes)
	* Camel: Remove unused CAMEL_STORE_ASYNC flag. (Matthew Barnes)
	* google: Add a missing NULL pointer check (Philip Withnall)
	* Do not keep Google progress notifications in book view forever
	  (Milan Crha)
	* google: Fix cancellation and progress reporting for cold-cache
	  queries (Philip Withnall)
	* google: Tidy up finish_operation() (Philip Withnall)
	* Don't use our own DISABLE_DEPRECATED macros in .c files.
	  (Matthew Barnes)
	* CamelService: Add a "display-name" property. (Matthew Barnes)
	* Camel: Add CAMEL_STORE_CAN_EDIT_FOLDERS flag. (Matthew Barnes)
	* google: Fix various data loss bugs with organisations/jobs
	  (Philip Withnall)
	* Incorrect message signature verification failure (Milan Crha)
	* Pretend successful read when skipping 3+ part of multipart/signed
	  (Milan Crha)
	* [IMAPX] Do not overwrite errors on reconnect (Milan Crha)
	* Remove more similar strings from translation (Milan Crha)
	* Avoid a crash in gdata_goa_authorizer_get_parameters().
	  (Matthew Barnes)
	* Add Google Talk field to the list of IM information
	  (Raul Gutierrez Segales)
	* Avoid use-after-free by unsetting open_finished flag sooner
	  (Milan Crha)
	* Use cached value in e_cal_client_get_default_object() (Milan Crha)
	* Check ic->status is not NULL imapx_command_select_done ()
	  (Raul Gutierrez Segales)
	* Add E_TYPE_CAL_CLIENT_SOURCE_TYPE macro. (Matthew Barnes)

Translations:
	Alexander Shopov (bg)
	Mario Blättermann (de)
	Jorge González (es)
	Daniel Mustieles (es)
	Fran Dieguez (gl)
	Andika Triwidada (id)
	Kjartan Maraas (nb)
	Wouter Bolsterlee (nl)
	Yuri Myasoedov (ru)
	Мирослав Николић (sr)
	Daniel Nylander (sv)
	Abduxukur Abdurixit (ug)


Evolution-Data-Server 3.1.5 2011-08-14
--------------------------------------

Bug Fixes:
	Bug 656490 - imapx: Memory leak of stream tokenbuf (David Woodhouse)
	Bug 656487 - Memory leak in imapx fetch_folders_for_namespaces() (David Woodhouse)
	Bug 656480 - Memory leak in camel_folder_search_search() (David Woodhouse)
	Bug 656267 - Checking for auth types doesn't work properly (Milan Crha)
	Bug 656058 - Improve EBookBackendSqliteDB searching API (Tristan Van Berkom)
	Bug 652172 - Fix a regression from the previous commit (Milan Crha)
	Bug 655748 - rdate parsing failure: unknown value for period 20068 (Milan Crha)
	Bug 655190 - Sluggish performance interacting with calendar/tasks (Milan Crha)
	Bug 619135 — Add photo support to Google Contacts backend (Philip Withnall)
	Bug 655499 - Don't crash when getting contacts before backend is opened (Milan Crha)
	Bug 654893 - Fix one missed rename of 'msg_security' to 'dirty' (Sean Finney)
	Bug 655414 - Need translation comments (Milan Crha)
	Bug 655409 - Extra flags in CamelStoreInfo break folder type check (Milan Crha)
	Bug 654472 - Crash on async error return over GDBus (Milan Crha)
	Bug 655331 - pgp/gpg signature is not shown (Milan Crha)
	Bug 654480 - [imapx] Mark as Junk is not reliable (Matthew Barnes)

Miscellaneous Fixes:
	libecal: e_cal_remove_object() must remove *all* recurrences (Patrick Ohly)
	calendar file backend: fixed incomplete sanity check in e_cal_create_object() (Patrick Ohly)
	e_client_utils_open_new() could use already freed memory (Milan Crha)
	Properly manage boolean values in SQLite contacts cache (Milan Crha)
	Vala bindings: work around owned not being honored in metadata (Raul Gutierrez Segales)
	Call gtk_init_check() in factories with enabled maintainer mode (Milan Crha)
	Handle fields-of-interest for local addressbook backend. (Tristan Van Berkom)
	Do not cancel cancellable in free_get_objects_async_data() (Milan Crha)
	Be able to provide backtraces for e_ptr_tracker* functions (Milan Crha)
	Fix stray unref of server in imapx add_folders_to_summary() (David Woodhouse)
	Make e-{addressbook,calendar}-factory supersede old factory at startup. (David Woodhouse)
	Introspection: fix annotation fixes (Raul Gutierrez Segales)
	Be able to fetch all vCards/uids from an SQLite book backend cache (Milan Crha)

Translations:
	Yuri Kozlov (ru)
	Daniel Mustieles (es)
	Fran Dieguez (gl)
	Jorge González (es)
	Daniel Nylander (sv)
	Kjartan Maraas (nn)


Evolution-Data-Server 3.1.4 2011-07-25
--------------------------------------

Bug Fixes:
	none

Other Changes:
	* Authorization domains are no longer used in password storage.
	  (Matthew Barnes)
	* POP3: Use GError instead of errno. (Matthew Barnes)
	* NNTP: Remove unnecessary <errno.h> includes. (Matthew Barnes)
	* SMTP: Use GError instead of errno. (Matthew Barnes)
	* camel_tcp_stream_ssl_enable_ssl(): Add GError parameter.
	  (Matthew Barnes)
	* camel_stream_process_connect(): Add GError parameter.
	  (Matthew Barnes)
	* CamelImapWrapper: Use GError instead of errno. (Matthew Barnes)
	* Prefer g_seekable_seek() over camel_stream_reset(). (Matthew Barnes)
	* Remove camel_stream_reset(). (Matthew Barnes)
	* Remove camel_stream_printf(). (Matthew Barnes)
	* CamelDataWrapper: Keep contents in a GByteArray. (Matthew Barnes)
	* Move the "$host" down when $host is actually set and don't set
	  DL_LIB to libdl which is not available on OpenBSD/FreeBSD.
	  (Antoine Jacoutot)
	* Fix wakeups in imapx parser thread. (David Woodhouse)
	* Rewrite Camel's junk plugin interface. (Matthew Barnes)
	* Break reference cycle between CamelSession and CamelService.
	  (Matthew Barnes)
	* CamelIMAPXServer: Fix CamelSession reference leak. (Matthew Barnes)
	* CamelSession: Add camel_session_remove_services() (Matthew Barnes)
